#include "src/header.h"
#include <fstream>
#include <ctime>

using namespace std;
using namespace GiNaC;


vector<vector<ex> > evaluate_pentagonGHPL(double v1, double v2, double v3, double v4, double v5);

int main(){

    string filename;
   
    double v1,v2,v3,v4,v5;
    int ginacAcc ;
    cout<<endl<<" Enter GiNaC precision (integer) :";
    cin>>ginacAcc;
    cout<<endl;
    Digits = ginacAcc;

    clock_t timebefore, timeafter; 
    vector<ex> result;

    int ptinit, ptend;
    cout<<" From which point? [1-101] (if out of range, you will enter the kinematic invariants) ";
    cin>> ptinit;
    if(ptinit>101){ 
        ptend = ptinit; 
        cout<<endl;
    } else {
        cout<<endl<<" From which point? [1-101] ";
        cin>> ptend;
        cout<<endl;
    }

   for(int ptno = ptinit; ptno <=ptend; ptno++){  

    cout<<"Evaluation number: "<<ptno<<endl;
    #include "insertpoints.cpp"


                

    timebefore = clock();
    cout<<" Evaluating all the GHPLs"<<endl;

    // all necessary GHPLs are evaluated

    vector<vector<ex> > evaluatepentagon = evaluate_pentagonGHPL(v1,v2,v3,v4,v5);

    timeafter = clock();
    cout<<" Done! ( in "<<(timeafter-timebefore)/CLOCKS_PER_SEC<<"s).   Now..."<<endl<<endl;



    ofstream tofile;
    tofile.open(filename.c_str()); 
   
     
    for(int count = 1; count<=61; count++ ){
        if (count==1){ tofile<<"{";};
        tofile<<" {  "<<evaluatepentagon[count-1][0]<<" , "<<endl
              <<evaluatepentagon[count-1][1]<<" ,"<<endl
              <<evaluatepentagon[count-1][2]<<" ,"<<endl
              <<evaluatepentagon[count-1][3]<<" ,"<<endl
              <<evaluatepentagon[count-1][4]<<" }";
        if(count==61){ tofile<<" } "<<endl;} else {tofile << " , "<<endl;};
    }
    tofile.close();
    }

    return 0;
}




