
#include "../header.h"
#include "../struct-myGHPL.h"
std::vector<GiNaC::ex>  integral24( myGHPLs  & g) {
      using namespace GiNaC;

     #include "../boundary.h"
     ex zeta3=1.2020569031595942;
     ex d37s3 = 9.03301789873836469269;
     ex d38s3 = 22.0377098912592295221202221000567;

     ex integre0 =  -1.5;
     ex integre1 =  
  -3*g.OIm1 - (3*g.OIal2)/2. + 3*g.OIx1 + (3*g.OIx4)/2. - 
  (3*g.al2Ix5)/2. + (3*g.x5Ial2)/2. - (3*g.x5Ix4)/2.
;
     ex integre2 =    
(3*pow(M_PI,2))/4. - 3*pow(g.OIm1,2) + (3*pow(g.OIal1,2))/2. - 
  3*g.OIm1*g.OIal2 - (3*pow(g.OIal2,2))/4. + 6*g.OIm1*g.OIx1 + 
  3*g.OIal2*g.OIx1 - 3*pow(g.OIx1,2) - 3*g.OIal1*g.OIx2 + 
  (3*pow(g.OIx2,2))/2. + 3*g.OIm1*g.OIx4 + (3*g.OIal2*g.OIx4)/2. - 
  3*g.OIx1*g.OIx4 - (3*pow(g.OIx4,2))/4. + 3*g.OIal1*g.al1Ix2 + 
  3*g.OIal1*g.al14Ix5 - 3*g.OIx2*g.al14Ix5 - 3*g.OIm1*g.al2Ix5 - 
  3*g.OIal1*g.al2Ix5 - (3*g.OIal2*g.al2Ix5)/2. + 3*g.OIx1*g.al2Ix5 + 
  3*g.OIx2*g.al2Ix5 + (3*g.OIx4*g.al2Ix5)/2. + 
  (3*pow(g.al2Ix5,2))/2. - 3*g.OIal1*g.al29Ial2 + 
  3*g.OIx2*g.al29Ial2 + 3*g.al2Ix5*g.al29Ial2 + 3*g.OIal1*g.al29Ix4 - 
  3*g.OIx2*g.al29Ix4 - 3*g.al2Ix5*g.al29Ix4 + 3*g.OIm1*g.x5Ial2 + 
  3*g.OIal1*g.x5Ial2 + (3*g.OIal2*g.x5Ial2)/2. - 3*g.OIx1*g.x5Ial2 - 
  3*g.OIx2*g.x5Ial2 - (3*g.OIx4*g.x5Ial2)/2. - 3*g.al2Ix5*g.x5Ial2 - 
  3*g.al29Ial2*g.x5Ial2 + 3*g.al29Ix4*g.x5Ial2 + 
  (3*pow(g.x5Ial2,2))/2. - 3*g.OIm1*g.x5Ix4 - 3*g.OIal1*g.x5Ix4 + 
  3*g.OIx1*g.x5Ix4 + 3*g.OIx2*g.x5Ix4 + 3*g.al2Ix5*g.x5Ix4 - 
  3*g.x5Ial2*g.x5Ix4 + (3*pow(g.x5Ix4,2))/2. - 3*g.OIal1Ial1 - 
  (3*g.OIal2Ix5)/2. - (3*g.OIx5Ial2)/2. + (3*g.OIx5Ix4)/2. - 
  3*g.al1I0Ix2 - 3*g.al14Ial2Ix5 + 3*g.al29Ix5Ial2 - 3*g.al29Ix5Ix4
;
     ex integre3 =    
16*zeta3 + (3*pow(M_PI,2)*g.OIm1)/2. - 2*pow(g.OIm1,3) + 
  (pow(M_PI,2)*g.OIal1)/2. + 3*g.OIm1*pow(g.OIal1,2) + 
  (3*pow(g.OIal1,3))/2. + (3*pow(M_PI,2)*g.OIal2)/4. - 
  3*pow(g.OIm1,2)*g.OIal2 + (3*pow(g.OIal1,2)*g.OIal2)/2. - 
  (3*g.OIm1*pow(g.OIal2,2))/2. - pow(g.OIal2,3)/4. - 
  (3*pow(M_PI,2)*g.OIx1)/2. + 6*pow(g.OIm1,2)*g.OIx1 - 
  3*pow(g.OIal1,2)*g.OIx1 + 6*g.OIm1*g.OIal2*g.OIx1 + 
  (3*pow(g.OIal2,2)*g.OIx1)/2. - 6*g.OIm1*pow(g.OIx1,2) - 
  3*g.OIal2*pow(g.OIx1,2) + 2*pow(g.OIx1,3) - 
  (pow(M_PI,2)*g.OIx2)/2. - 6*g.OIm1*g.OIal1*g.OIx2 - 
  (9*pow(g.OIal1,2)*g.OIx2)/2. - 3*g.OIal1*g.OIal2*g.OIx2 + 
  6*g.OIal1*g.OIx1*g.OIx2 + 3*g.OIm1*pow(g.OIx2,2) + 
  (9*g.OIal1*pow(g.OIx2,2))/2. + (3*g.OIal2*pow(g.OIx2,2))/2. - 
  3*g.OIx1*pow(g.OIx2,2) - (3*pow(g.OIx2,3))/2. - 
  (3*pow(M_PI,2)*g.OIx4)/4. + 3*pow(g.OIm1,2)*g.OIx4 - 
  (3*pow(g.OIal1,2)*g.OIx4)/2. + 3*g.OIm1*g.OIal2*g.OIx4 + 
  (3*pow(g.OIal2,2)*g.OIx4)/4. - 6*g.OIm1*g.OIx1*g.OIx4 - 
  3*g.OIal2*g.OIx1*g.OIx4 + 3*pow(g.OIx1,2)*g.OIx4 + 
  3*g.OIal1*g.OIx2*g.OIx4 - (3*pow(g.OIx2,2)*g.OIx4)/2. - 
  (3*g.OIm1*pow(g.OIx4,2))/2. - (3*g.OIal2*pow(g.OIx4,2))/4. + 
  (3*g.OIx1*pow(g.OIx4,2))/2. + pow(g.OIx4,3)/4. + 
  6*g.OIm1*g.OIal1*g.al1Ix2 + 3*pow(g.OIal1,2)*g.al1Ix2 + 
  3*g.OIal1*g.OIal2*g.al1Ix2 - 6*g.OIal1*g.OIx1*g.al1Ix2 - 
  3*g.OIal1*g.OIx4*g.al1Ix2 + 6*g.OIm1*g.OIal1*g.al14Ix5 + 
  3*pow(g.OIal1,2)*g.al14Ix5 + 3*g.OIal1*g.OIal2*g.al14Ix5 - 
  6*g.OIal1*g.OIx1*g.al14Ix5 - 6*g.OIm1*g.OIx2*g.al14Ix5 - 
  6*g.OIal1*g.OIx2*g.al14Ix5 - 3*g.OIal2*g.OIx2*g.al14Ix5 + 
  6*g.OIx1*g.OIx2*g.al14Ix5 + 3*pow(g.OIx2,2)*g.al14Ix5 - 
  3*g.OIal1*g.OIx4*g.al14Ix5 + 3*g.OIx2*g.OIx4*g.al14Ix5 + 
  (pow(M_PI,2)*g.al2Ix5)/4. - 3*pow(g.OIm1,2)*g.al2Ix5 - 
  6*g.OIm1*g.OIal1*g.al2Ix5 - 3*pow(g.OIal1,2)*g.al2Ix5 - 
  3*g.OIm1*g.OIal2*g.al2Ix5 - 3*g.OIal1*g.OIal2*g.al2Ix5 - 
  (3*pow(g.OIal2,2)*g.al2Ix5)/4. + 6*g.OIm1*g.OIx1*g.al2Ix5 + 
  6*g.OIal1*g.OIx1*g.al2Ix5 + 3*g.OIal2*g.OIx1*g.al2Ix5 - 
  3*pow(g.OIx1,2)*g.al2Ix5 + 6*g.OIm1*g.OIx2*g.al2Ix5 + 
  6*g.OIal1*g.OIx2*g.al2Ix5 + 3*g.OIal2*g.OIx2*g.al2Ix5 - 
  6*g.OIx1*g.OIx2*g.al2Ix5 - 3*pow(g.OIx2,2)*g.al2Ix5 + 
  3*g.OIm1*g.OIx4*g.al2Ix5 + 3*g.OIal1*g.OIx4*g.al2Ix5 + 
  (3*g.OIal2*g.OIx4*g.al2Ix5)/2. - 3*g.OIx1*g.OIx4*g.al2Ix5 - 
  3*g.OIx2*g.OIx4*g.al2Ix5 - (3*pow(g.OIx4,2)*g.al2Ix5)/4. + 
  3*g.OIm1*pow(g.al2Ix5,2) + 3*g.OIal1*pow(g.al2Ix5,2) + 
  (3*g.OIal2*pow(g.al2Ix5,2))/2. - 3*g.OIx1*pow(g.al2Ix5,2) - 
  3*g.OIx2*pow(g.al2Ix5,2) - (3*g.OIx4*pow(g.al2Ix5,2))/2. - 
  pow(g.al2Ix5,3) - 6*g.OIm1*g.OIal1*g.al29Ial2 - 
  3*pow(g.OIal1,2)*g.al29Ial2 - 3*g.OIal1*g.OIal2*g.al29Ial2 + 
  6*g.OIal1*g.OIx1*g.al29Ial2 + 6*g.OIm1*g.OIx2*g.al29Ial2 + 
  6*g.OIal1*g.OIx2*g.al29Ial2 + 3*g.OIal2*g.OIx2*g.al29Ial2 - 
  6*g.OIx1*g.OIx2*g.al29Ial2 - 3*pow(g.OIx2,2)*g.al29Ial2 + 
  3*g.OIal1*g.OIx4*g.al29Ial2 - 3*g.OIx2*g.OIx4*g.al29Ial2 + 
  6*g.OIm1*g.al2Ix5*g.al29Ial2 + 6*g.OIal1*g.al2Ix5*g.al29Ial2 + 
  3*g.OIal2*g.al2Ix5*g.al29Ial2 - 6*g.OIx1*g.al2Ix5*g.al29Ial2 - 
  6*g.OIx2*g.al2Ix5*g.al29Ial2 - 3*g.OIx4*g.al2Ix5*g.al29Ial2 - 
  3*pow(g.al2Ix5,2)*g.al29Ial2 + 6*g.OIm1*g.OIal1*g.al29Ix4 + 
  3*pow(g.OIal1,2)*g.al29Ix4 - 6*g.OIal1*g.OIx1*g.al29Ix4 - 
  6*g.OIm1*g.OIx2*g.al29Ix4 - 6*g.OIal1*g.OIx2*g.al29Ix4 + 
  6*g.OIx1*g.OIx2*g.al29Ix4 + 3*pow(g.OIx2,2)*g.al29Ix4 - 
  6*g.OIm1*g.al2Ix5*g.al29Ix4 - 6*g.OIal1*g.al2Ix5*g.al29Ix4 + 
  6*g.OIx1*g.al2Ix5*g.al29Ix4 + 6*g.OIx2*g.al2Ix5*g.al29Ix4 + 
  3*pow(g.al2Ix5,2)*g.al29Ix4 + (pow(M_PI,2)*g.al8Ix5)/2. + 
  (3*pow(g.OIal1,2)*g.al8Ix5)/2. - 3*g.OIal1*g.OIx2*g.al8Ix5 + 
  (3*pow(g.OIx2,2)*g.al8Ix5)/2. + 3*g.OIal1*g.al1Ix2*g.al8Ix5 - 
  (pow(M_PI,2)*g.x5Ial2)/4. + 3*pow(g.OIm1,2)*g.x5Ial2 + 
  6*g.OIm1*g.OIal1*g.x5Ial2 + 3*pow(g.OIal1,2)*g.x5Ial2 + 
  3*g.OIm1*g.OIal2*g.x5Ial2 + 3*g.OIal1*g.OIal2*g.x5Ial2 + 
  (3*pow(g.OIal2,2)*g.x5Ial2)/4. - 6*g.OIm1*g.OIx1*g.x5Ial2 - 
  6*g.OIal1*g.OIx1*g.x5Ial2 - 3*g.OIal2*g.OIx1*g.x5Ial2 + 
  3*pow(g.OIx1,2)*g.x5Ial2 - 6*g.OIm1*g.OIx2*g.x5Ial2 - 
  6*g.OIal1*g.OIx2*g.x5Ial2 - 3*g.OIal2*g.OIx2*g.x5Ial2 + 
  6*g.OIx1*g.OIx2*g.x5Ial2 + 3*pow(g.OIx2,2)*g.x5Ial2 - 
  3*g.OIm1*g.OIx4*g.x5Ial2 - 3*g.OIal1*g.OIx4*g.x5Ial2 - 
  (3*g.OIal2*g.OIx4*g.x5Ial2)/2. + 3*g.OIx1*g.OIx4*g.x5Ial2 + 
  3*g.OIx2*g.OIx4*g.x5Ial2 + (3*pow(g.OIx4,2)*g.x5Ial2)/4. - 
  6*g.OIm1*g.al2Ix5*g.x5Ial2 - 6*g.OIal1*g.al2Ix5*g.x5Ial2 - 
  3*g.OIal2*g.al2Ix5*g.x5Ial2 + 6*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  6*g.OIx2*g.al2Ix5*g.x5Ial2 + 3*g.OIx4*g.al2Ix5*g.x5Ial2 + 
  3*pow(g.al2Ix5,2)*g.x5Ial2 - 6*g.OIm1*g.al29Ial2*g.x5Ial2 - 
  6*g.OIal1*g.al29Ial2*g.x5Ial2 - 3*g.OIal2*g.al29Ial2*g.x5Ial2 + 
  6*g.OIx1*g.al29Ial2*g.x5Ial2 + 6*g.OIx2*g.al29Ial2*g.x5Ial2 + 
  3*g.OIx4*g.al29Ial2*g.x5Ial2 + 6*g.al2Ix5*g.al29Ial2*g.x5Ial2 + 
  6*g.OIm1*g.al29Ix4*g.x5Ial2 + 6*g.OIal1*g.al29Ix4*g.x5Ial2 - 
  6*g.OIx1*g.al29Ix4*g.x5Ial2 - 6*g.OIx2*g.al29Ix4*g.x5Ial2 - 
  6*g.al2Ix5*g.al29Ix4*g.x5Ial2 + 3*g.OIm1*pow(g.x5Ial2,2) + 
  3*g.OIal1*pow(g.x5Ial2,2) + (3*g.OIal2*pow(g.x5Ial2,2))/2. - 
  3*g.OIx1*pow(g.x5Ial2,2) - 3*g.OIx2*pow(g.x5Ial2,2) - 
  (3*g.OIx4*pow(g.x5Ial2,2))/2. - 3*g.al2Ix5*pow(g.x5Ial2,2) - 
  3*g.al29Ial2*pow(g.x5Ial2,2) + 3*g.al29Ix4*pow(g.x5Ial2,2) + 
  pow(g.x5Ial2,3) + (pow(M_PI,2)*g.x5Ix4)/4. - 
  3*pow(g.OIm1,2)*g.x5Ix4 - 6*g.OIm1*g.OIal1*g.x5Ix4 - 
  3*pow(g.OIal1,2)*g.x5Ix4 + 6*g.OIm1*g.OIx1*g.x5Ix4 + 
  6*g.OIal1*g.OIx1*g.x5Ix4 - 3*pow(g.OIx1,2)*g.x5Ix4 + 
  6*g.OIm1*g.OIx2*g.x5Ix4 + 6*g.OIal1*g.OIx2*g.x5Ix4 - 
  6*g.OIx1*g.OIx2*g.x5Ix4 - 3*pow(g.OIx2,2)*g.x5Ix4 + 
  6*g.OIm1*g.al2Ix5*g.x5Ix4 + 6*g.OIal1*g.al2Ix5*g.x5Ix4 - 
  6*g.OIx1*g.al2Ix5*g.x5Ix4 - 6*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  3*pow(g.al2Ix5,2)*g.x5Ix4 - 6*g.OIm1*g.x5Ial2*g.x5Ix4 - 
  6*g.OIal1*g.x5Ial2*g.x5Ix4 + 6*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  6*g.OIx2*g.x5Ial2*g.x5Ix4 + 6*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  3*pow(g.x5Ial2,2)*g.x5Ix4 + 3*g.OIm1*pow(g.x5Ix4,2) + 
  3*g.OIal1*pow(g.x5Ix4,2) - 3*g.OIx1*pow(g.x5Ix4,2) - 
  3*g.OIx2*pow(g.x5Ix4,2) - 3*g.al2Ix5*pow(g.x5Ix4,2) + 
  3*g.x5Ial2*pow(g.x5Ix4,2) - pow(g.x5Ix4,3) - 
  6*g.OIm1*g.OIal1Ial1 - 6*g.OIal1*g.OIal1Ial1 - 
  3*g.OIal2*g.OIal1Ial1 + 6*g.OIx1*g.OIal1Ial1 + 3*g.OIx2*g.OIal1Ial1 + 
  3*g.OIx4*g.OIal1Ial1 - 3*g.al8Ix5*g.OIal1Ial1 - 
  3*g.OIal1*g.OIal1Ix2 - 3*g.OIm1*g.OIal2Ix5 - 3*g.OIal1*g.OIal2Ix5 - 
  (3*g.OIal2*g.OIal2Ix5)/2. + 3*g.OIx1*g.OIal2Ix5 + 
  3*g.OIx2*g.OIal2Ix5 + (3*g.OIx4*g.OIal2Ix5)/2. + 
  3*g.OIal1*g.OIal29Ial2 - 3*g.OIx2*g.OIal29Ial2 - 
  3*g.al2Ix5*g.OIal29Ial2 + 3*g.x5Ial2*g.OIal29Ial2 - 
  3*g.OIal1*g.OIal29Ix4 + 3*g.OIx2*g.OIal29Ix4 + 
  3*g.al2Ix5*g.OIal29Ix4 - 3*g.x5Ial2*g.OIal29Ix4 - 
  3*g.OIm1*g.OIx5Ial2 - 3*g.OIal1*g.OIx5Ial2 - 
  (3*g.OIal2*g.OIx5Ial2)/2. + 3*g.OIx1*g.OIx5Ial2 + 
  3*g.OIx2*g.OIx5Ial2 + (3*g.OIx4*g.OIx5Ial2)/2. + 
  3*g.al2Ix5*g.OIx5Ial2 - 3*g.x5Ial2*g.OIx5Ial2 + 3*g.OIm1*g.OIx5Ix4 + 
  3*g.OIal1*g.OIx5Ix4 - 3*g.OIx1*g.OIx5Ix4 - 3*g.OIx2*g.OIx5Ix4 - 
  3*g.al2Ix5*g.OIx5Ix4 + 3*g.x5Ial2*g.OIx5Ix4 - 6*g.OIm1*g.al1I0Ix2 - 
  6*g.OIal1*g.al1I0Ix2 - 3*g.OIal2*g.al1I0Ix2 + 6*g.OIx1*g.al1I0Ix2 + 
  3*g.OIx4*g.al1I0Ix2 - 3*g.al8Ix5*g.al1I0Ix2 - 
  6*g.OIm1*g.al14Ial2Ix5 - 6*g.OIal1*g.al14Ial2Ix5 - 
  3*g.OIal2*g.al14Ial2Ix5 + 6*g.OIx1*g.al14Ial2Ix5 + 
  6*g.OIx2*g.al14Ial2Ix5 + 3*g.OIx4*g.al14Ial2Ix5 + 
  6*g.OIm1*g.al29Ix5Ial2 + 6*g.OIal1*g.al29Ix5Ial2 + 
  3*g.OIal2*g.al29Ix5Ial2 - 6*g.OIx1*g.al29Ix5Ial2 - 
  6*g.OIx2*g.al29Ix5Ial2 - 3*g.OIx4*g.al29Ix5Ial2 - 
  6*g.al2Ix5*g.al29Ix5Ial2 + 6*g.x5Ial2*g.al29Ix5Ial2 - 
  6*g.OIm1*g.al29Ix5Ix4 - 6*g.OIal1*g.al29Ix5Ix4 + 
  6*g.OIx1*g.al29Ix5Ix4 + 6*g.OIx2*g.al29Ix5Ix4 + 
  6*g.al2Ix5*g.al29Ix5Ix4 - 6*g.x5Ial2*g.al29Ix5Ix4 + 
  3*g.OIal1*g.al8Ial14Ix5 - 3*g.OIx2*g.al8Ial14Ix5 + 6*g.OI0Ial1Ial1 + 
  (3*g.OI0Ial2Ix5)/2. + (3*g.OI0Ix5Ial2)/2. - (3*g.OI0Ix5Ix4)/2. + 
  3*g.OIal1I0Ial1 + 3*g.OIal1I0Ix2 + 3*g.OIal2Ial2Ix5 - 
  3*g.OIal29Ix5Ial2 + 3*g.OIal29Ix5Ix4 + 3*g.OIx5Ix5Ial2 - 
  3*g.OIx5Ix5Ix4 + 6*g.al1I0I0Ix2 + 6*g.al14Ial2Ial2Ix5 - 
  6*g.al29Ix5Ix5Ial2 + 6*g.al29Ix5Ix5Ix4 - 3*g.al8I0Ial2Ix5 - 
  3*g.al8Ial14Ial2Ix5
;
     ex integre4 =   
 bc4i24 + 32*zeta3*g.OIm1 + (3*pow(M_PI,2)*pow(g.OIm1,2))/2. - 
  pow(g.OIm1,4) + pow(M_PI,2)*g.OIm1*g.OIal1 + 
  3*pow(g.OIm1,2)*pow(g.OIal1,2) + 3*g.OIm1*pow(g.OIal1,3) + 
  (7*pow(g.OIal1,4))/8. + 16*zeta3*g.OIal2 + 
  (3*pow(M_PI,2)*g.OIm1*g.OIal2)/2. - 2*pow(g.OIm1,3)*g.OIal2 + 
  (pow(M_PI,2)*g.OIal1*g.OIal2)/2. + 3*g.OIm1*pow(g.OIal1,2)*g.OIal2 + 
  (3*pow(g.OIal1,3)*g.OIal2)/2. + (3*pow(M_PI,2)*pow(g.OIal2,2))/8. - 
  (3*pow(g.OIm1,2)*pow(g.OIal2,2))/2. + 
  (3*pow(g.OIal1,2)*pow(g.OIal2,2))/4. - 
  (g.OIm1*pow(g.OIal2,3))/2. - pow(g.OIal2,4)/16. - 32*zeta3*g.OIx1 - 
  3*pow(M_PI,2)*g.OIm1*g.OIx1 + 4*pow(g.OIm1,3)*g.OIx1 - 
  pow(M_PI,2)*g.OIal1*g.OIx1 - 6*g.OIm1*pow(g.OIal1,2)*g.OIx1 - 
  3*pow(g.OIal1,3)*g.OIx1 - (3*pow(M_PI,2)*g.OIal2*g.OIx1)/2. + 
  6*pow(g.OIm1,2)*g.OIal2*g.OIx1 - 
  3*pow(g.OIal1,2)*g.OIal2*g.OIx1 + 
  3*g.OIm1*pow(g.OIal2,2)*g.OIx1 + (pow(g.OIal2,3)*g.OIx1)/2. + 
  (3*pow(M_PI,2)*pow(g.OIx1,2))/2. - 6*pow(g.OIm1,2)*pow(g.OIx1,2) + 
  3*pow(g.OIal1,2)*pow(g.OIx1,2) - 
  6*g.OIm1*g.OIal2*pow(g.OIx1,2) - 
  (3*pow(g.OIal2,2)*pow(g.OIx1,2))/2. + 4*g.OIm1*pow(g.OIx1,3) + 
  2*g.OIal2*pow(g.OIx1,3) - pow(g.OIx1,4) - 
  pow(M_PI,2)*g.OIm1*g.OIx2 - 6*pow(g.OIm1,2)*g.OIal1*g.OIx2 - 
  9*g.OIm1*pow(g.OIal1,2)*g.OIx2 - (7*pow(g.OIal1,3)*g.OIx2)/2. - 
  (pow(M_PI,2)*g.OIal2*g.OIx2)/2. - 6*g.OIm1*g.OIal1*g.OIal2*g.OIx2 - 
  (9*pow(g.OIal1,2)*g.OIal2*g.OIx2)/2. - 
  (3*g.OIal1*pow(g.OIal2,2)*g.OIx2)/2. + pow(M_PI,2)*g.OIx1*g.OIx2 + 
  12*g.OIm1*g.OIal1*g.OIx1*g.OIx2 + 9*pow(g.OIal1,2)*g.OIx1*g.OIx2 + 
  6*g.OIal1*g.OIal2*g.OIx1*g.OIx2 - 6*g.OIal1*pow(g.OIx1,2)*g.OIx2 + 
  3*pow(g.OIm1,2)*pow(g.OIx2,2) + 9*g.OIm1*g.OIal1*pow(g.OIx2,2) + 
  (21*pow(g.OIal1,2)*pow(g.OIx2,2))/4. + 
  3*g.OIm1*g.OIal2*pow(g.OIx2,2) + 
  (9*g.OIal1*g.OIal2*pow(g.OIx2,2))/2. + 
  (3*pow(g.OIal2,2)*pow(g.OIx2,2))/4. - 
  6*g.OIm1*g.OIx1*pow(g.OIx2,2) - 9*g.OIal1*g.OIx1*pow(g.OIx2,2) - 
  3*g.OIal2*g.OIx1*pow(g.OIx2,2) + 3*pow(g.OIx1,2)*pow(g.OIx2,2) - 
  3*g.OIm1*pow(g.OIx2,3) - (7*g.OIal1*pow(g.OIx2,3))/2. - 
  (3*g.OIal2*pow(g.OIx2,3))/2. + 3*g.OIx1*pow(g.OIx2,3) + 
  (7*pow(g.OIx2,4))/8. - 16*zeta3*g.OIx4 - 
  (3*pow(M_PI,2)*g.OIm1*g.OIx4)/2. + 2*pow(g.OIm1,3)*g.OIx4 - 
  (pow(M_PI,2)*g.OIal1*g.OIx4)/2. - 3*g.OIm1*pow(g.OIal1,2)*g.OIx4 - 
  (3*pow(g.OIal1,3)*g.OIx4)/2. - (3*pow(M_PI,2)*g.OIal2*g.OIx4)/4. + 
  3*pow(g.OIm1,2)*g.OIal2*g.OIx4 - 
  (3*pow(g.OIal1,2)*g.OIal2*g.OIx4)/2. + 
  (3*g.OIm1*pow(g.OIal2,2)*g.OIx4)/2. + (pow(g.OIal2,3)*g.OIx4)/4. + 
  (3*pow(M_PI,2)*g.OIx1*g.OIx4)/2. - 6*pow(g.OIm1,2)*g.OIx1*g.OIx4 + 
  3*pow(g.OIal1,2)*g.OIx1*g.OIx4 - 6*g.OIm1*g.OIal2*g.OIx1*g.OIx4 - 
  (3*pow(g.OIal2,2)*g.OIx1*g.OIx4)/2. + 
  6*g.OIm1*pow(g.OIx1,2)*g.OIx4 + 3*g.OIal2*pow(g.OIx1,2)*g.OIx4 - 
  2*pow(g.OIx1,3)*g.OIx4 + (pow(M_PI,2)*g.OIx2*g.OIx4)/2. + 
  6*g.OIm1*g.OIal1*g.OIx2*g.OIx4 + 
  (9*pow(g.OIal1,2)*g.OIx2*g.OIx4)/2. + 
  3*g.OIal1*g.OIal2*g.OIx2*g.OIx4 - 6*g.OIal1*g.OIx1*g.OIx2*g.OIx4 - 
  3*g.OIm1*pow(g.OIx2,2)*g.OIx4 - 
  (9*g.OIal1*pow(g.OIx2,2)*g.OIx4)/2. - 
  (3*g.OIal2*pow(g.OIx2,2)*g.OIx4)/2. + 
  3*g.OIx1*pow(g.OIx2,2)*g.OIx4 + (3*pow(g.OIx2,3)*g.OIx4)/2. + 
  (3*pow(M_PI,2)*pow(g.OIx4,2))/8. - 
  (3*pow(g.OIm1,2)*pow(g.OIx4,2))/2. + 
  (3*pow(g.OIal1,2)*pow(g.OIx4,2))/4. - 
  (3*g.OIm1*g.OIal2*pow(g.OIx4,2))/2. - 
  (3*pow(g.OIal2,2)*pow(g.OIx4,2))/8. + 
  3*g.OIm1*g.OIx1*pow(g.OIx4,2) + 
  (3*g.OIal2*g.OIx1*pow(g.OIx4,2))/2. - 
  (3*pow(g.OIx1,2)*pow(g.OIx4,2))/2. - 
  (3*g.OIal1*g.OIx2*pow(g.OIx4,2))/2. + 
  (3*pow(g.OIx2,2)*pow(g.OIx4,2))/4. + (g.OIm1*pow(g.OIx4,3))/2. + 
  (g.OIal2*pow(g.OIx4,3))/4. - (g.OIx1*pow(g.OIx4,3))/2. - 
  pow(g.OIx4,4)/16. - (pow(M_PI,2)*g.OIal1*g.al1Ix2)/2. + 
  6*pow(g.OIm1,2)*g.OIal1*g.al1Ix2 + 
  6*g.OIm1*pow(g.OIal1,2)*g.al1Ix2 + 2*pow(g.OIal1,3)*g.al1Ix2 + 
  6*g.OIm1*g.OIal1*g.OIal2*g.al1Ix2 + 
  3*pow(g.OIal1,2)*g.OIal2*g.al1Ix2 + 
  (3*g.OIal1*pow(g.OIal2,2)*g.al1Ix2)/2. - 
  12*g.OIm1*g.OIal1*g.OIx1*g.al1Ix2 - 
  6*pow(g.OIal1,2)*g.OIx1*g.al1Ix2 - 
  6*g.OIal1*g.OIal2*g.OIx1*g.al1Ix2 + 
  6*g.OIal1*pow(g.OIx1,2)*g.al1Ix2 - 
  6*g.OIm1*g.OIal1*g.OIx4*g.al1Ix2 - 
  3*pow(g.OIal1,2)*g.OIx4*g.al1Ix2 - 
  3*g.OIal1*g.OIal2*g.OIx4*g.al1Ix2 + 
  6*g.OIal1*g.OIx1*g.OIx4*g.al1Ix2 + 
  (3*g.OIal1*pow(g.OIx4,2)*g.al1Ix2)/2. - 
  (pow(M_PI,2)*g.OIal1*g.al14Ix5)/2. + 
  6*pow(g.OIm1,2)*g.OIal1*g.al14Ix5 + 
  6*g.OIm1*pow(g.OIal1,2)*g.al14Ix5 + 2*pow(g.OIal1,3)*g.al14Ix5 + 
  6*g.OIm1*g.OIal1*g.OIal2*g.al14Ix5 + 
  3*pow(g.OIal1,2)*g.OIal2*g.al14Ix5 + 
  (3*g.OIal1*pow(g.OIal2,2)*g.al14Ix5)/2. - 
  12*g.OIm1*g.OIal1*g.OIx1*g.al14Ix5 - 
  6*pow(g.OIal1,2)*g.OIx1*g.al14Ix5 - 
  6*g.OIal1*g.OIal2*g.OIx1*g.al14Ix5 + 
  6*g.OIal1*pow(g.OIx1,2)*g.al14Ix5 + 
  (pow(M_PI,2)*g.OIx2*g.al14Ix5)/2. - 
  6*pow(g.OIm1,2)*g.OIx2*g.al14Ix5 - 
  12*g.OIm1*g.OIal1*g.OIx2*g.al14Ix5 - 
  6*pow(g.OIal1,2)*g.OIx2*g.al14Ix5 - 
  6*g.OIm1*g.OIal2*g.OIx2*g.al14Ix5 - 
  6*g.OIal1*g.OIal2*g.OIx2*g.al14Ix5 - 
  (3*pow(g.OIal2,2)*g.OIx2*g.al14Ix5)/2. + 
  12*g.OIm1*g.OIx1*g.OIx2*g.al14Ix5 + 
  12*g.OIal1*g.OIx1*g.OIx2*g.al14Ix5 + 
  6*g.OIal2*g.OIx1*g.OIx2*g.al14Ix5 - 
  6*pow(g.OIx1,2)*g.OIx2*g.al14Ix5 + 
  6*g.OIm1*pow(g.OIx2,2)*g.al14Ix5 + 
  6*g.OIal1*pow(g.OIx2,2)*g.al14Ix5 + 
  3*g.OIal2*pow(g.OIx2,2)*g.al14Ix5 - 
  6*g.OIx1*pow(g.OIx2,2)*g.al14Ix5 - 2*pow(g.OIx2,3)*g.al14Ix5 - 
  6*g.OIm1*g.OIal1*g.OIx4*g.al14Ix5 - 
  3*pow(g.OIal1,2)*g.OIx4*g.al14Ix5 - 
  3*g.OIal1*g.OIal2*g.OIx4*g.al14Ix5 + 
  6*g.OIal1*g.OIx1*g.OIx4*g.al14Ix5 + 
  6*g.OIm1*g.OIx2*g.OIx4*g.al14Ix5 + 
  6*g.OIal1*g.OIx2*g.OIx4*g.al14Ix5 + 
  3*g.OIal2*g.OIx2*g.OIx4*g.al14Ix5 - 
  6*g.OIx1*g.OIx2*g.OIx4*g.al14Ix5 - 
  3*pow(g.OIx2,2)*g.OIx4*g.al14Ix5 + 
  (3*g.OIal1*pow(g.OIx4,2)*g.al14Ix5)/2. - 
  (3*g.OIx2*pow(g.OIx4,2)*g.al14Ix5)/2. + 16*zeta3*g.al2Ix5 + 
  (pow(M_PI,2)*g.OIm1*g.al2Ix5)/2. - 2*pow(g.OIm1,3)*g.al2Ix5 + 
  (pow(M_PI,2)*g.OIal1*g.al2Ix5)/2. - 
  6*pow(g.OIm1,2)*g.OIal1*g.al2Ix5 - 
  6*g.OIm1*pow(g.OIal1,2)*g.al2Ix5 - 2*pow(g.OIal1,3)*g.al2Ix5 + 
  (pow(M_PI,2)*g.OIal2*g.al2Ix5)/4. - 
  3*pow(g.OIm1,2)*g.OIal2*g.al2Ix5 - 
  6*g.OIm1*g.OIal1*g.OIal2*g.al2Ix5 - 
  3*pow(g.OIal1,2)*g.OIal2*g.al2Ix5 - 
  (3*g.OIm1*pow(g.OIal2,2)*g.al2Ix5)/2. - 
  (3*g.OIal1*pow(g.OIal2,2)*g.al2Ix5)/2. - 
  (pow(g.OIal2,3)*g.al2Ix5)/4. - (pow(M_PI,2)*g.OIx1*g.al2Ix5)/2. + 
  6*pow(g.OIm1,2)*g.OIx1*g.al2Ix5 + 
  12*g.OIm1*g.OIal1*g.OIx1*g.al2Ix5 + 
  6*pow(g.OIal1,2)*g.OIx1*g.al2Ix5 + 
  6*g.OIm1*g.OIal2*g.OIx1*g.al2Ix5 + 
  6*g.OIal1*g.OIal2*g.OIx1*g.al2Ix5 + 
  (3*pow(g.OIal2,2)*g.OIx1*g.al2Ix5)/2. - 
  6*g.OIm1*pow(g.OIx1,2)*g.al2Ix5 - 
  6*g.OIal1*pow(g.OIx1,2)*g.al2Ix5 - 
  3*g.OIal2*pow(g.OIx1,2)*g.al2Ix5 + 2*pow(g.OIx1,3)*g.al2Ix5 - 
  (pow(M_PI,2)*g.OIx2*g.al2Ix5)/2. + 6*pow(g.OIm1,2)*g.OIx2*g.al2Ix5 + 
  12*g.OIm1*g.OIal1*g.OIx2*g.al2Ix5 + 
  6*pow(g.OIal1,2)*g.OIx2*g.al2Ix5 + 
  6*g.OIm1*g.OIal2*g.OIx2*g.al2Ix5 + 
  6*g.OIal1*g.OIal2*g.OIx2*g.al2Ix5 + 
  (3*pow(g.OIal2,2)*g.OIx2*g.al2Ix5)/2. - 
  12*g.OIm1*g.OIx1*g.OIx2*g.al2Ix5 - 
  12*g.OIal1*g.OIx1*g.OIx2*g.al2Ix5 - 
  6*g.OIal2*g.OIx1*g.OIx2*g.al2Ix5 + 
  6*pow(g.OIx1,2)*g.OIx2*g.al2Ix5 - 
  6*g.OIm1*pow(g.OIx2,2)*g.al2Ix5 - 
  6*g.OIal1*pow(g.OIx2,2)*g.al2Ix5 - 
  3*g.OIal2*pow(g.OIx2,2)*g.al2Ix5 + 
  6*g.OIx1*pow(g.OIx2,2)*g.al2Ix5 + 2*pow(g.OIx2,3)*g.al2Ix5 - 
  (pow(M_PI,2)*g.OIx4*g.al2Ix5)/4. + 3*pow(g.OIm1,2)*g.OIx4*g.al2Ix5 + 
  6*g.OIm1*g.OIal1*g.OIx4*g.al2Ix5 + 
  3*pow(g.OIal1,2)*g.OIx4*g.al2Ix5 + 
  3*g.OIm1*g.OIal2*g.OIx4*g.al2Ix5 + 
  3*g.OIal1*g.OIal2*g.OIx4*g.al2Ix5 + 
  (3*pow(g.OIal2,2)*g.OIx4*g.al2Ix5)/4. - 
  6*g.OIm1*g.OIx1*g.OIx4*g.al2Ix5 - 
  6*g.OIal1*g.OIx1*g.OIx4*g.al2Ix5 - 
  3*g.OIal2*g.OIx1*g.OIx4*g.al2Ix5 + 
  3*pow(g.OIx1,2)*g.OIx4*g.al2Ix5 - 
  6*g.OIm1*g.OIx2*g.OIx4*g.al2Ix5 - 
  6*g.OIal1*g.OIx2*g.OIx4*g.al2Ix5 - 
  3*g.OIal2*g.OIx2*g.OIx4*g.al2Ix5 + 
  6*g.OIx1*g.OIx2*g.OIx4*g.al2Ix5 + 
  3*pow(g.OIx2,2)*g.OIx4*g.al2Ix5 - 
  (3*g.OIm1*pow(g.OIx4,2)*g.al2Ix5)/2. - 
  (3*g.OIal1*pow(g.OIx4,2)*g.al2Ix5)/2. - 
  (3*g.OIal2*pow(g.OIx4,2)*g.al2Ix5)/4. + 
  (3*g.OIx1*pow(g.OIx4,2)*g.al2Ix5)/2. + 
  (3*g.OIx2*pow(g.OIx4,2)*g.al2Ix5)/2. + 
  (pow(g.OIx4,3)*g.al2Ix5)/4. - (pow(M_PI,2)*pow(g.al2Ix5,2))/4. + 
  3*pow(g.OIm1,2)*pow(g.al2Ix5,2) + 
  6*g.OIm1*g.OIal1*pow(g.al2Ix5,2) + 
  3*pow(g.OIal1,2)*pow(g.al2Ix5,2) + 
  3*g.OIm1*g.OIal2*pow(g.al2Ix5,2) + 
  3*g.OIal1*g.OIal2*pow(g.al2Ix5,2) + 
  (3*pow(g.OIal2,2)*pow(g.al2Ix5,2))/4. - 
  6*g.OIm1*g.OIx1*pow(g.al2Ix5,2) - 
  6*g.OIal1*g.OIx1*pow(g.al2Ix5,2) - 
  3*g.OIal2*g.OIx1*pow(g.al2Ix5,2) + 
  3*pow(g.OIx1,2)*pow(g.al2Ix5,2) - 
  6*g.OIm1*g.OIx2*pow(g.al2Ix5,2) - 
  6*g.OIal1*g.OIx2*pow(g.al2Ix5,2) - 
  3*g.OIal2*g.OIx2*pow(g.al2Ix5,2) + 
  6*g.OIx1*g.OIx2*pow(g.al2Ix5,2) + 
  3*pow(g.OIx2,2)*pow(g.al2Ix5,2) - 
  3*g.OIm1*g.OIx4*pow(g.al2Ix5,2) - 
  3*g.OIal1*g.OIx4*pow(g.al2Ix5,2) - 
  (3*g.OIal2*g.OIx4*pow(g.al2Ix5,2))/2. + 
  3*g.OIx1*g.OIx4*pow(g.al2Ix5,2) + 
  3*g.OIx2*g.OIx4*pow(g.al2Ix5,2) + 
  (3*pow(g.OIx4,2)*pow(g.al2Ix5,2))/4. - 2*g.OIm1*pow(g.al2Ix5,3) - 
  2*g.OIal1*pow(g.al2Ix5,3) - g.OIal2*pow(g.al2Ix5,3) + 
  2*g.OIx1*pow(g.al2Ix5,3) + 2*g.OIx2*pow(g.al2Ix5,3) + 
  g.OIx4*pow(g.al2Ix5,3) + pow(g.al2Ix5,4)/2. + 
  (pow(M_PI,2)*g.OIal1*g.al29Ial2)/2. - 
  6*pow(g.OIm1,2)*g.OIal1*g.al29Ial2 - 
  6*g.OIm1*pow(g.OIal1,2)*g.al29Ial2 - 2*pow(g.OIal1,3)*g.al29Ial2 - 
  6*g.OIm1*g.OIal1*g.OIal2*g.al29Ial2 - 
  3*pow(g.OIal1,2)*g.OIal2*g.al29Ial2 - 
  (3*g.OIal1*pow(g.OIal2,2)*g.al29Ial2)/2. + 
  12*g.OIm1*g.OIal1*g.OIx1*g.al29Ial2 + 
  6*pow(g.OIal1,2)*g.OIx1*g.al29Ial2 + 
  6*g.OIal1*g.OIal2*g.OIx1*g.al29Ial2 - 
  6*g.OIal1*pow(g.OIx1,2)*g.al29Ial2 - 
  (pow(M_PI,2)*g.OIx2*g.al29Ial2)/2. + 
  6*pow(g.OIm1,2)*g.OIx2*g.al29Ial2 + 
  12*g.OIm1*g.OIal1*g.OIx2*g.al29Ial2 + 
  6*pow(g.OIal1,2)*g.OIx2*g.al29Ial2 + 
  6*g.OIm1*g.OIal2*g.OIx2*g.al29Ial2 + 
  6*g.OIal1*g.OIal2*g.OIx2*g.al29Ial2 + 
  (3*pow(g.OIal2,2)*g.OIx2*g.al29Ial2)/2. - 
  12*g.OIm1*g.OIx1*g.OIx2*g.al29Ial2 - 
  12*g.OIal1*g.OIx1*g.OIx2*g.al29Ial2 - 
  6*g.OIal2*g.OIx1*g.OIx2*g.al29Ial2 + 
  6*pow(g.OIx1,2)*g.OIx2*g.al29Ial2 - 
  6*g.OIm1*pow(g.OIx2,2)*g.al29Ial2 - 
  6*g.OIal1*pow(g.OIx2,2)*g.al29Ial2 - 
  3*g.OIal2*pow(g.OIx2,2)*g.al29Ial2 + 
  6*g.OIx1*pow(g.OIx2,2)*g.al29Ial2 + 2*pow(g.OIx2,3)*g.al29Ial2 + 
  6*g.OIm1*g.OIal1*g.OIx4*g.al29Ial2 + 
  3*pow(g.OIal1,2)*g.OIx4*g.al29Ial2 + 
  3*g.OIal1*g.OIal2*g.OIx4*g.al29Ial2 - 
  6*g.OIal1*g.OIx1*g.OIx4*g.al29Ial2 - 
  6*g.OIm1*g.OIx2*g.OIx4*g.al29Ial2 - 
  6*g.OIal1*g.OIx2*g.OIx4*g.al29Ial2 - 
  3*g.OIal2*g.OIx2*g.OIx4*g.al29Ial2 + 
  6*g.OIx1*g.OIx2*g.OIx4*g.al29Ial2 + 
  3*pow(g.OIx2,2)*g.OIx4*g.al29Ial2 - 
  (3*g.OIal1*pow(g.OIx4,2)*g.al29Ial2)/2. + 
  (3*g.OIx2*pow(g.OIx4,2)*g.al29Ial2)/2. - 
  (pow(M_PI,2)*g.al2Ix5*g.al29Ial2)/2. + 
  6*pow(g.OIm1,2)*g.al2Ix5*g.al29Ial2 + 
  12*g.OIm1*g.OIal1*g.al2Ix5*g.al29Ial2 + 
  6*pow(g.OIal1,2)*g.al2Ix5*g.al29Ial2 + 
  6*g.OIm1*g.OIal2*g.al2Ix5*g.al29Ial2 + 
  6*g.OIal1*g.OIal2*g.al2Ix5*g.al29Ial2 + 
  (3*pow(g.OIal2,2)*g.al2Ix5*g.al29Ial2)/2. - 
  12*g.OIm1*g.OIx1*g.al2Ix5*g.al29Ial2 - 
  12*g.OIal1*g.OIx1*g.al2Ix5*g.al29Ial2 - 
  6*g.OIal2*g.OIx1*g.al2Ix5*g.al29Ial2 + 
  6*pow(g.OIx1,2)*g.al2Ix5*g.al29Ial2 - 
  12*g.OIm1*g.OIx2*g.al2Ix5*g.al29Ial2 - 
  12*g.OIal1*g.OIx2*g.al2Ix5*g.al29Ial2 - 
  6*g.OIal2*g.OIx2*g.al2Ix5*g.al29Ial2 + 
  12*g.OIx1*g.OIx2*g.al2Ix5*g.al29Ial2 + 
  6*pow(g.OIx2,2)*g.al2Ix5*g.al29Ial2 - 
  6*g.OIm1*g.OIx4*g.al2Ix5*g.al29Ial2 - 
  6*g.OIal1*g.OIx4*g.al2Ix5*g.al29Ial2 - 
  3*g.OIal2*g.OIx4*g.al2Ix5*g.al29Ial2 + 
  6*g.OIx1*g.OIx4*g.al2Ix5*g.al29Ial2 + 
  6*g.OIx2*g.OIx4*g.al2Ix5*g.al29Ial2 + 
  (3*pow(g.OIx4,2)*g.al2Ix5*g.al29Ial2)/2. - 
  6*g.OIm1*pow(g.al2Ix5,2)*g.al29Ial2 - 
  6*g.OIal1*pow(g.al2Ix5,2)*g.al29Ial2 - 
  3*g.OIal2*pow(g.al2Ix5,2)*g.al29Ial2 + 
  6*g.OIx1*pow(g.al2Ix5,2)*g.al29Ial2 + 
  6*g.OIx2*pow(g.al2Ix5,2)*g.al29Ial2 + 
  3*g.OIx4*pow(g.al2Ix5,2)*g.al29Ial2 + 
  2*pow(g.al2Ix5,3)*g.al29Ial2 - (pow(M_PI,2)*g.OIal1*g.al29Ix4)/2. + 
  6*pow(g.OIm1,2)*g.OIal1*g.al29Ix4 + 
  6*g.OIm1*pow(g.OIal1,2)*g.al29Ix4 + 2*pow(g.OIal1,3)*g.al29Ix4 - 
  12*g.OIm1*g.OIal1*g.OIx1*g.al29Ix4 - 
  6*pow(g.OIal1,2)*g.OIx1*g.al29Ix4 + 
  6*g.OIal1*pow(g.OIx1,2)*g.al29Ix4 + 
  (pow(M_PI,2)*g.OIx2*g.al29Ix4)/2. - 
  6*pow(g.OIm1,2)*g.OIx2*g.al29Ix4 - 
  12*g.OIm1*g.OIal1*g.OIx2*g.al29Ix4 - 
  6*pow(g.OIal1,2)*g.OIx2*g.al29Ix4 + 
  12*g.OIm1*g.OIx1*g.OIx2*g.al29Ix4 + 
  12*g.OIal1*g.OIx1*g.OIx2*g.al29Ix4 - 
  6*pow(g.OIx1,2)*g.OIx2*g.al29Ix4 + 
  6*g.OIm1*pow(g.OIx2,2)*g.al29Ix4 + 
  6*g.OIal1*pow(g.OIx2,2)*g.al29Ix4 - 
  6*g.OIx1*pow(g.OIx2,2)*g.al29Ix4 - 2*pow(g.OIx2,3)*g.al29Ix4 + 
  (pow(M_PI,2)*g.al2Ix5*g.al29Ix4)/2. - 
  6*pow(g.OIm1,2)*g.al2Ix5*g.al29Ix4 - 
  12*g.OIm1*g.OIal1*g.al2Ix5*g.al29Ix4 - 
  6*pow(g.OIal1,2)*g.al2Ix5*g.al29Ix4 + 
  12*g.OIm1*g.OIx1*g.al2Ix5*g.al29Ix4 + 
  12*g.OIal1*g.OIx1*g.al2Ix5*g.al29Ix4 - 
  6*pow(g.OIx1,2)*g.al2Ix5*g.al29Ix4 + 
  12*g.OIm1*g.OIx2*g.al2Ix5*g.al29Ix4 + 
  12*g.OIal1*g.OIx2*g.al2Ix5*g.al29Ix4 - 
  12*g.OIx1*g.OIx2*g.al2Ix5*g.al29Ix4 - 
  6*pow(g.OIx2,2)*g.al2Ix5*g.al29Ix4 + 
  6*g.OIm1*pow(g.al2Ix5,2)*g.al29Ix4 + 
  6*g.OIal1*pow(g.al2Ix5,2)*g.al29Ix4 - 
  6*g.OIx1*pow(g.al2Ix5,2)*g.al29Ix4 - 
  6*g.OIx2*pow(g.al2Ix5,2)*g.al29Ix4 - 2*pow(g.al2Ix5,3)*g.al29Ix4 + 
  pow(M_PI,2)*g.OIm1*g.al8Ix5 + (pow(M_PI,2)*g.OIal1*g.al8Ix5)/2. + 
  3*g.OIm1*pow(g.OIal1,2)*g.al8Ix5 + 
  (3*pow(g.OIal1,3)*g.al8Ix5)/2. + (pow(M_PI,2)*g.OIal2*g.al8Ix5)/2. + 
  (3*pow(g.OIal1,2)*g.OIal2*g.al8Ix5)/2. - 
  pow(M_PI,2)*g.OIx1*g.al8Ix5 - 3*pow(g.OIal1,2)*g.OIx1*g.al8Ix5 - 
  (pow(M_PI,2)*g.OIx2*g.al8Ix5)/2. - 6*g.OIm1*g.OIal1*g.OIx2*g.al8Ix5 - 
  (9*pow(g.OIal1,2)*g.OIx2*g.al8Ix5)/2. - 
  3*g.OIal1*g.OIal2*g.OIx2*g.al8Ix5 + 
  6*g.OIal1*g.OIx1*g.OIx2*g.al8Ix5 + 
  3*g.OIm1*pow(g.OIx2,2)*g.al8Ix5 + 
  (9*g.OIal1*pow(g.OIx2,2)*g.al8Ix5)/2. + 
  (3*g.OIal2*pow(g.OIx2,2)*g.al8Ix5)/2. - 
  3*g.OIx1*pow(g.OIx2,2)*g.al8Ix5 - (3*pow(g.OIx2,3)*g.al8Ix5)/2. - 
  (pow(M_PI,2)*g.OIx4*g.al8Ix5)/2. - 
  (3*pow(g.OIal1,2)*g.OIx4*g.al8Ix5)/2. + 
  3*g.OIal1*g.OIx2*g.OIx4*g.al8Ix5 - 
  (3*pow(g.OIx2,2)*g.OIx4*g.al8Ix5)/2. + 
  6*g.OIm1*g.OIal1*g.al1Ix2*g.al8Ix5 + 
  3*pow(g.OIal1,2)*g.al1Ix2*g.al8Ix5 + 
  3*g.OIal1*g.OIal2*g.al1Ix2*g.al8Ix5 - 
  6*g.OIal1*g.OIx1*g.al1Ix2*g.al8Ix5 - 
  3*g.OIal1*g.OIx4*g.al1Ix2*g.al8Ix5 + 
  (pow(M_PI,2)*pow(g.al8Ix5,2))/4. + 
  (3*pow(g.OIal1,2)*pow(g.al8Ix5,2))/4. - 
  (3*g.OIal1*g.OIx2*pow(g.al8Ix5,2))/2. + 
  (3*pow(g.OIx2,2)*pow(g.al8Ix5,2))/4. + 
  (3*g.OIal1*g.al1Ix2*pow(g.al8Ix5,2))/2. - 16*zeta3*g.x5Ial2 - 
  (pow(M_PI,2)*g.OIm1*g.x5Ial2)/2. + 2*pow(g.OIm1,3)*g.x5Ial2 - 
  (pow(M_PI,2)*g.OIal1*g.x5Ial2)/2. + 
  6*pow(g.OIm1,2)*g.OIal1*g.x5Ial2 + 
  6*g.OIm1*pow(g.OIal1,2)*g.x5Ial2 + 2*pow(g.OIal1,3)*g.x5Ial2 - 
  (pow(M_PI,2)*g.OIal2*g.x5Ial2)/4. + 
  3*pow(g.OIm1,2)*g.OIal2*g.x5Ial2 + 
  6*g.OIm1*g.OIal1*g.OIal2*g.x5Ial2 + 
  3*pow(g.OIal1,2)*g.OIal2*g.x5Ial2 + 
  (3*g.OIm1*pow(g.OIal2,2)*g.x5Ial2)/2. + 
  (3*g.OIal1*pow(g.OIal2,2)*g.x5Ial2)/2. + 
  (pow(g.OIal2,3)*g.x5Ial2)/4. + (pow(M_PI,2)*g.OIx1*g.x5Ial2)/2. - 
  6*pow(g.OIm1,2)*g.OIx1*g.x5Ial2 - 
  12*g.OIm1*g.OIal1*g.OIx1*g.x5Ial2 - 
  6*pow(g.OIal1,2)*g.OIx1*g.x5Ial2 - 
  6*g.OIm1*g.OIal2*g.OIx1*g.x5Ial2 - 
  6*g.OIal1*g.OIal2*g.OIx1*g.x5Ial2 - 
  (3*pow(g.OIal2,2)*g.OIx1*g.x5Ial2)/2. + 
  6*g.OIm1*pow(g.OIx1,2)*g.x5Ial2 + 
  6*g.OIal1*pow(g.OIx1,2)*g.x5Ial2 + 
  3*g.OIal2*pow(g.OIx1,2)*g.x5Ial2 - 2*pow(g.OIx1,3)*g.x5Ial2 + 
  (pow(M_PI,2)*g.OIx2*g.x5Ial2)/2. - 6*pow(g.OIm1,2)*g.OIx2*g.x5Ial2 - 
  12*g.OIm1*g.OIal1*g.OIx2*g.x5Ial2 - 
  6*pow(g.OIal1,2)*g.OIx2*g.x5Ial2 - 
  6*g.OIm1*g.OIal2*g.OIx2*g.x5Ial2 - 
  6*g.OIal1*g.OIal2*g.OIx2*g.x5Ial2 - 
  (3*pow(g.OIal2,2)*g.OIx2*g.x5Ial2)/2. + 
  12*g.OIm1*g.OIx1*g.OIx2*g.x5Ial2 + 
  12*g.OIal1*g.OIx1*g.OIx2*g.x5Ial2 + 
  6*g.OIal2*g.OIx1*g.OIx2*g.x5Ial2 - 
  6*pow(g.OIx1,2)*g.OIx2*g.x5Ial2 + 
  6*g.OIm1*pow(g.OIx2,2)*g.x5Ial2 + 
  6*g.OIal1*pow(g.OIx2,2)*g.x5Ial2 + 
  3*g.OIal2*pow(g.OIx2,2)*g.x5Ial2 - 
  6*g.OIx1*pow(g.OIx2,2)*g.x5Ial2 - 2*pow(g.OIx2,3)*g.x5Ial2 + 
  (pow(M_PI,2)*g.OIx4*g.x5Ial2)/4. - 3*pow(g.OIm1,2)*g.OIx4*g.x5Ial2 - 
  6*g.OIm1*g.OIal1*g.OIx4*g.x5Ial2 - 
  3*pow(g.OIal1,2)*g.OIx4*g.x5Ial2 - 
  3*g.OIm1*g.OIal2*g.OIx4*g.x5Ial2 - 
  3*g.OIal1*g.OIal2*g.OIx4*g.x5Ial2 - 
  (3*pow(g.OIal2,2)*g.OIx4*g.x5Ial2)/4. + 
  6*g.OIm1*g.OIx1*g.OIx4*g.x5Ial2 + 
  6*g.OIal1*g.OIx1*g.OIx4*g.x5Ial2 + 
  3*g.OIal2*g.OIx1*g.OIx4*g.x5Ial2 - 
  3*pow(g.OIx1,2)*g.OIx4*g.x5Ial2 + 
  6*g.OIm1*g.OIx2*g.OIx4*g.x5Ial2 + 
  6*g.OIal1*g.OIx2*g.OIx4*g.x5Ial2 + 
  3*g.OIal2*g.OIx2*g.OIx4*g.x5Ial2 - 
  6*g.OIx1*g.OIx2*g.OIx4*g.x5Ial2 - 
  3*pow(g.OIx2,2)*g.OIx4*g.x5Ial2 + 
  (3*g.OIm1*pow(g.OIx4,2)*g.x5Ial2)/2. + 
  (3*g.OIal1*pow(g.OIx4,2)*g.x5Ial2)/2. + 
  (3*g.OIal2*pow(g.OIx4,2)*g.x5Ial2)/4. - 
  (3*g.OIx1*pow(g.OIx4,2)*g.x5Ial2)/2. - 
  (3*g.OIx2*pow(g.OIx4,2)*g.x5Ial2)/2. - 
  (pow(g.OIx4,3)*g.x5Ial2)/4. + (pow(M_PI,2)*g.al2Ix5*g.x5Ial2)/2. - 
  6*pow(g.OIm1,2)*g.al2Ix5*g.x5Ial2 - 
  12*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ial2 - 
  6*pow(g.OIal1,2)*g.al2Ix5*g.x5Ial2 - 
  6*g.OIm1*g.OIal2*g.al2Ix5*g.x5Ial2 - 
  6*g.OIal1*g.OIal2*g.al2Ix5*g.x5Ial2 - 
  (3*pow(g.OIal2,2)*g.al2Ix5*g.x5Ial2)/2. + 
  12*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  12*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  6*g.OIal2*g.OIx1*g.al2Ix5*g.x5Ial2 - 
  6*pow(g.OIx1,2)*g.al2Ix5*g.x5Ial2 + 
  12*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  12*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  6*g.OIal2*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  12*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  6*pow(g.OIx2,2)*g.al2Ix5*g.x5Ial2 + 
  6*g.OIm1*g.OIx4*g.al2Ix5*g.x5Ial2 + 
  6*g.OIal1*g.OIx4*g.al2Ix5*g.x5Ial2 + 
  3*g.OIal2*g.OIx4*g.al2Ix5*g.x5Ial2 - 
  6*g.OIx1*g.OIx4*g.al2Ix5*g.x5Ial2 - 
  6*g.OIx2*g.OIx4*g.al2Ix5*g.x5Ial2 - 
  (3*pow(g.OIx4,2)*g.al2Ix5*g.x5Ial2)/2. + 
  6*g.OIm1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  6*g.OIal1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  3*g.OIal2*pow(g.al2Ix5,2)*g.x5Ial2 - 
  6*g.OIx1*pow(g.al2Ix5,2)*g.x5Ial2 - 
  6*g.OIx2*pow(g.al2Ix5,2)*g.x5Ial2 - 
  3*g.OIx4*pow(g.al2Ix5,2)*g.x5Ial2 - 2*pow(g.al2Ix5,3)*g.x5Ial2 + 
  (pow(M_PI,2)*g.al29Ial2*g.x5Ial2)/2. - 
  6*pow(g.OIm1,2)*g.al29Ial2*g.x5Ial2 - 
  12*g.OIm1*g.OIal1*g.al29Ial2*g.x5Ial2 - 
  6*pow(g.OIal1,2)*g.al29Ial2*g.x5Ial2 - 
  6*g.OIm1*g.OIal2*g.al29Ial2*g.x5Ial2 - 
  6*g.OIal1*g.OIal2*g.al29Ial2*g.x5Ial2 - 
  (3*pow(g.OIal2,2)*g.al29Ial2*g.x5Ial2)/2. + 
  12*g.OIm1*g.OIx1*g.al29Ial2*g.x5Ial2 + 
  12*g.OIal1*g.OIx1*g.al29Ial2*g.x5Ial2 + 
  6*g.OIal2*g.OIx1*g.al29Ial2*g.x5Ial2 - 
  6*pow(g.OIx1,2)*g.al29Ial2*g.x5Ial2 + 
  12*g.OIm1*g.OIx2*g.al29Ial2*g.x5Ial2 + 
  12*g.OIal1*g.OIx2*g.al29Ial2*g.x5Ial2 + 
  6*g.OIal2*g.OIx2*g.al29Ial2*g.x5Ial2 - 
  12*g.OIx1*g.OIx2*g.al29Ial2*g.x5Ial2 - 
  6*pow(g.OIx2,2)*g.al29Ial2*g.x5Ial2 + 
  6*g.OIm1*g.OIx4*g.al29Ial2*g.x5Ial2 + 
  6*g.OIal1*g.OIx4*g.al29Ial2*g.x5Ial2 + 
  3*g.OIal2*g.OIx4*g.al29Ial2*g.x5Ial2 - 
  6*g.OIx1*g.OIx4*g.al29Ial2*g.x5Ial2 - 
  6*g.OIx2*g.OIx4*g.al29Ial2*g.x5Ial2 - 
  (3*pow(g.OIx4,2)*g.al29Ial2*g.x5Ial2)/2. + 
  12*g.OIm1*g.al2Ix5*g.al29Ial2*g.x5Ial2 + 
  12*g.OIal1*g.al2Ix5*g.al29Ial2*g.x5Ial2 + 
  6*g.OIal2*g.al2Ix5*g.al29Ial2*g.x5Ial2 - 
  12*g.OIx1*g.al2Ix5*g.al29Ial2*g.x5Ial2 - 
  12*g.OIx2*g.al2Ix5*g.al29Ial2*g.x5Ial2 - 
  6*g.OIx4*g.al2Ix5*g.al29Ial2*g.x5Ial2 - 
  6*pow(g.al2Ix5,2)*g.al29Ial2*g.x5Ial2 - 
  (pow(M_PI,2)*g.al29Ix4*g.x5Ial2)/2. + 
  6*pow(g.OIm1,2)*g.al29Ix4*g.x5Ial2 + 
  12*g.OIm1*g.OIal1*g.al29Ix4*g.x5Ial2 + 
  6*pow(g.OIal1,2)*g.al29Ix4*g.x5Ial2 - 
  12*g.OIm1*g.OIx1*g.al29Ix4*g.x5Ial2 - 
  12*g.OIal1*g.OIx1*g.al29Ix4*g.x5Ial2 + 
  6*pow(g.OIx1,2)*g.al29Ix4*g.x5Ial2 - 
  12*g.OIm1*g.OIx2*g.al29Ix4*g.x5Ial2 - 
  12*g.OIal1*g.OIx2*g.al29Ix4*g.x5Ial2 + 
  12*g.OIx1*g.OIx2*g.al29Ix4*g.x5Ial2 + 
  6*pow(g.OIx2,2)*g.al29Ix4*g.x5Ial2 - 
  12*g.OIm1*g.al2Ix5*g.al29Ix4*g.x5Ial2 - 
  12*g.OIal1*g.al2Ix5*g.al29Ix4*g.x5Ial2 + 
  12*g.OIx1*g.al2Ix5*g.al29Ix4*g.x5Ial2 + 
  12*g.OIx2*g.al2Ix5*g.al29Ix4*g.x5Ial2 + 
  6*pow(g.al2Ix5,2)*g.al29Ix4*g.x5Ial2 - 
  (pow(M_PI,2)*pow(g.x5Ial2,2))/4. + 
  3*pow(g.OIm1,2)*pow(g.x5Ial2,2) + 
  6*g.OIm1*g.OIal1*pow(g.x5Ial2,2) + 
  3*pow(g.OIal1,2)*pow(g.x5Ial2,2) + 
  3*g.OIm1*g.OIal2*pow(g.x5Ial2,2) + 
  3*g.OIal1*g.OIal2*pow(g.x5Ial2,2) + 
  (3*pow(g.OIal2,2)*pow(g.x5Ial2,2))/4. - 
  6*g.OIm1*g.OIx1*pow(g.x5Ial2,2) - 
  6*g.OIal1*g.OIx1*pow(g.x5Ial2,2) - 
  3*g.OIal2*g.OIx1*pow(g.x5Ial2,2) + 
  3*pow(g.OIx1,2)*pow(g.x5Ial2,2) - 
  6*g.OIm1*g.OIx2*pow(g.x5Ial2,2) - 
  6*g.OIal1*g.OIx2*pow(g.x5Ial2,2) - 
  3*g.OIal2*g.OIx2*pow(g.x5Ial2,2) + 
  6*g.OIx1*g.OIx2*pow(g.x5Ial2,2) + 
  3*pow(g.OIx2,2)*pow(g.x5Ial2,2) - 
  3*g.OIm1*g.OIx4*pow(g.x5Ial2,2) - 
  3*g.OIal1*g.OIx4*pow(g.x5Ial2,2) - 
  (3*g.OIal2*g.OIx4*pow(g.x5Ial2,2))/2. + 
  3*g.OIx1*g.OIx4*pow(g.x5Ial2,2) + 
  3*g.OIx2*g.OIx4*pow(g.x5Ial2,2) + 
  (3*pow(g.OIx4,2)*pow(g.x5Ial2,2))/4. - 
  6*g.OIm1*g.al2Ix5*pow(g.x5Ial2,2) - 
  6*g.OIal1*g.al2Ix5*pow(g.x5Ial2,2) - 
  3*g.OIal2*g.al2Ix5*pow(g.x5Ial2,2) + 
  6*g.OIx1*g.al2Ix5*pow(g.x5Ial2,2) + 
  6*g.OIx2*g.al2Ix5*pow(g.x5Ial2,2) + 
  3*g.OIx4*g.al2Ix5*pow(g.x5Ial2,2) + 
  3*pow(g.al2Ix5,2)*pow(g.x5Ial2,2) - 
  6*g.OIm1*g.al29Ial2*pow(g.x5Ial2,2) - 
  6*g.OIal1*g.al29Ial2*pow(g.x5Ial2,2) - 
  3*g.OIal2*g.al29Ial2*pow(g.x5Ial2,2) + 
  6*g.OIx1*g.al29Ial2*pow(g.x5Ial2,2) + 
  6*g.OIx2*g.al29Ial2*pow(g.x5Ial2,2) + 
  3*g.OIx4*g.al29Ial2*pow(g.x5Ial2,2) + 
  6*g.al2Ix5*g.al29Ial2*pow(g.x5Ial2,2) + 
  6*g.OIm1*g.al29Ix4*pow(g.x5Ial2,2) + 
  6*g.OIal1*g.al29Ix4*pow(g.x5Ial2,2) - 
  6*g.OIx1*g.al29Ix4*pow(g.x5Ial2,2) - 
  6*g.OIx2*g.al29Ix4*pow(g.x5Ial2,2) - 
  6*g.al2Ix5*g.al29Ix4*pow(g.x5Ial2,2) + 2*g.OIm1*pow(g.x5Ial2,3) + 
  2*g.OIal1*pow(g.x5Ial2,3) + g.OIal2*pow(g.x5Ial2,3) - 
  2*g.OIx1*pow(g.x5Ial2,3) - 2*g.OIx2*pow(g.x5Ial2,3) - 
  g.OIx4*pow(g.x5Ial2,3) - 2*g.al2Ix5*pow(g.x5Ial2,3) - 
  2*g.al29Ial2*pow(g.x5Ial2,3) + 2*g.al29Ix4*pow(g.x5Ial2,3) + 
  pow(g.x5Ial2,4)/2. + 16*zeta3*g.x5Ix4 + 
  (pow(M_PI,2)*g.OIm1*g.x5Ix4)/2. - 2*pow(g.OIm1,3)*g.x5Ix4 + 
  (pow(M_PI,2)*g.OIal1*g.x5Ix4)/2. - 6*pow(g.OIm1,2)*g.OIal1*g.x5Ix4 - 
  6*g.OIm1*pow(g.OIal1,2)*g.x5Ix4 - 2*pow(g.OIal1,3)*g.x5Ix4 - 
  (pow(M_PI,2)*g.OIx1*g.x5Ix4)/2. + 6*pow(g.OIm1,2)*g.OIx1*g.x5Ix4 + 
  12*g.OIm1*g.OIal1*g.OIx1*g.x5Ix4 + 
  6*pow(g.OIal1,2)*g.OIx1*g.x5Ix4 - 
  6*g.OIm1*pow(g.OIx1,2)*g.x5Ix4 - 
  6*g.OIal1*pow(g.OIx1,2)*g.x5Ix4 + 2*pow(g.OIx1,3)*g.x5Ix4 - 
  (pow(M_PI,2)*g.OIx2*g.x5Ix4)/2. + 6*pow(g.OIm1,2)*g.OIx2*g.x5Ix4 + 
  12*g.OIm1*g.OIal1*g.OIx2*g.x5Ix4 + 
  6*pow(g.OIal1,2)*g.OIx2*g.x5Ix4 - 
  12*g.OIm1*g.OIx1*g.OIx2*g.x5Ix4 - 
  12*g.OIal1*g.OIx1*g.OIx2*g.x5Ix4 + 
  6*pow(g.OIx1,2)*g.OIx2*g.x5Ix4 - 6*g.OIm1*pow(g.OIx2,2)*g.x5Ix4 - 
  6*g.OIal1*pow(g.OIx2,2)*g.x5Ix4 + 
  6*g.OIx1*pow(g.OIx2,2)*g.x5Ix4 + 2*pow(g.OIx2,3)*g.x5Ix4 - 
  (pow(M_PI,2)*g.al2Ix5*g.x5Ix4)/2. + 
  6*pow(g.OIm1,2)*g.al2Ix5*g.x5Ix4 + 
  12*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ix4 + 
  6*pow(g.OIal1,2)*g.al2Ix5*g.x5Ix4 - 
  12*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  12*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ix4 + 
  6*pow(g.OIx1,2)*g.al2Ix5*g.x5Ix4 - 
  12*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  12*g.OIal1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  12*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  6*pow(g.OIx2,2)*g.al2Ix5*g.x5Ix4 - 
  6*g.OIm1*pow(g.al2Ix5,2)*g.x5Ix4 - 
  6*g.OIal1*pow(g.al2Ix5,2)*g.x5Ix4 + 
  6*g.OIx1*pow(g.al2Ix5,2)*g.x5Ix4 + 
  6*g.OIx2*pow(g.al2Ix5,2)*g.x5Ix4 + 2*pow(g.al2Ix5,3)*g.x5Ix4 + 
  (pow(M_PI,2)*g.x5Ial2*g.x5Ix4)/2. - 
  6*pow(g.OIm1,2)*g.x5Ial2*g.x5Ix4 - 
  12*g.OIm1*g.OIal1*g.x5Ial2*g.x5Ix4 - 
  6*pow(g.OIal1,2)*g.x5Ial2*g.x5Ix4 + 
  12*g.OIm1*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  12*g.OIal1*g.OIx1*g.x5Ial2*g.x5Ix4 - 
  6*pow(g.OIx1,2)*g.x5Ial2*g.x5Ix4 + 
  12*g.OIm1*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  12*g.OIal1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  12*g.OIx1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  6*pow(g.OIx2,2)*g.x5Ial2*g.x5Ix4 + 
  12*g.OIm1*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  12*g.OIal1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  12*g.OIx1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  12*g.OIx2*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  6*pow(g.al2Ix5,2)*g.x5Ial2*g.x5Ix4 - 
  6*g.OIm1*pow(g.x5Ial2,2)*g.x5Ix4 - 
  6*g.OIal1*pow(g.x5Ial2,2)*g.x5Ix4 + 
  6*g.OIx1*pow(g.x5Ial2,2)*g.x5Ix4 + 
  6*g.OIx2*pow(g.x5Ial2,2)*g.x5Ix4 + 
  6*g.al2Ix5*pow(g.x5Ial2,2)*g.x5Ix4 - 2*pow(g.x5Ial2,3)*g.x5Ix4 - 
  (pow(M_PI,2)*pow(g.x5Ix4,2))/4. + 3*pow(g.OIm1,2)*pow(g.x5Ix4,2) + 
  6*g.OIm1*g.OIal1*pow(g.x5Ix4,2) + 
  3*pow(g.OIal1,2)*pow(g.x5Ix4,2) - 
  6*g.OIm1*g.OIx1*pow(g.x5Ix4,2) - 
  6*g.OIal1*g.OIx1*pow(g.x5Ix4,2) + 
  3*pow(g.OIx1,2)*pow(g.x5Ix4,2) - 
  6*g.OIm1*g.OIx2*pow(g.x5Ix4,2) - 
  6*g.OIal1*g.OIx2*pow(g.x5Ix4,2) + 
  6*g.OIx1*g.OIx2*pow(g.x5Ix4,2) + 
  3*pow(g.OIx2,2)*pow(g.x5Ix4,2) - 
  6*g.OIm1*g.al2Ix5*pow(g.x5Ix4,2) - 
  6*g.OIal1*g.al2Ix5*pow(g.x5Ix4,2) + 
  6*g.OIx1*g.al2Ix5*pow(g.x5Ix4,2) + 
  6*g.OIx2*g.al2Ix5*pow(g.x5Ix4,2) + 
  3*pow(g.al2Ix5,2)*pow(g.x5Ix4,2) + 
  6*g.OIm1*g.x5Ial2*pow(g.x5Ix4,2) + 
  6*g.OIal1*g.x5Ial2*pow(g.x5Ix4,2) - 
  6*g.OIx1*g.x5Ial2*pow(g.x5Ix4,2) - 
  6*g.OIx2*g.x5Ial2*pow(g.x5Ix4,2) - 
  6*g.al2Ix5*g.x5Ial2*pow(g.x5Ix4,2) + 
  3*pow(g.x5Ial2,2)*pow(g.x5Ix4,2) - 2*g.OIm1*pow(g.x5Ix4,3) - 
  2*g.OIal1*pow(g.x5Ix4,3) + 2*g.OIx1*pow(g.x5Ix4,3) + 
  2*g.OIx2*pow(g.x5Ix4,3) + 2*g.al2Ix5*pow(g.x5Ix4,3) - 
  2*g.x5Ial2*pow(g.x5Ix4,3) + pow(g.x5Ix4,4)/2. + 
  (pow(M_PI,2)*g.OIal1Ial1)/2. - 6*pow(g.OIm1,2)*g.OIal1Ial1 - 
  12*g.OIm1*g.OIal1*g.OIal1Ial1 - (15*pow(g.OIal1,2)*g.OIal1Ial1)/2. - 
  6*g.OIm1*g.OIal2*g.OIal1Ial1 - 6*g.OIal1*g.OIal2*g.OIal1Ial1 - 
  (3*pow(g.OIal2,2)*g.OIal1Ial1)/2. + 12*g.OIm1*g.OIx1*g.OIal1Ial1 + 
  12*g.OIal1*g.OIx1*g.OIal1Ial1 + 6*g.OIal2*g.OIx1*g.OIal1Ial1 - 
  6*pow(g.OIx1,2)*g.OIal1Ial1 + 6*g.OIm1*g.OIx2*g.OIal1Ial1 + 
  6*g.OIal1*g.OIx2*g.OIal1Ial1 + 3*g.OIal2*g.OIx2*g.OIal1Ial1 - 
  6*g.OIx1*g.OIx2*g.OIal1Ial1 - (3*pow(g.OIx2,2)*g.OIal1Ial1)/2. + 
  6*g.OIm1*g.OIx4*g.OIal1Ial1 + 6*g.OIal1*g.OIx4*g.OIal1Ial1 + 
  3*g.OIal2*g.OIx4*g.OIal1Ial1 - 6*g.OIx1*g.OIx4*g.OIal1Ial1 - 
  3*g.OIx2*g.OIx4*g.OIal1Ial1 - (3*pow(g.OIx4,2)*g.OIal1Ial1)/2. - 
  6*g.OIm1*g.al8Ix5*g.OIal1Ial1 - 6*g.OIal1*g.al8Ix5*g.OIal1Ial1 - 
  3*g.OIal2*g.al8Ix5*g.OIal1Ial1 + 6*g.OIx1*g.al8Ix5*g.OIal1Ial1 + 
  3*g.OIx2*g.al8Ix5*g.OIal1Ial1 + 3*g.OIx4*g.al8Ix5*g.OIal1Ial1 - 
  (3*pow(g.al8Ix5,2)*g.OIal1Ial1)/2. - 6*g.OIm1*g.OIal1*g.OIal1Ix2 - 
  3*pow(g.OIal1,2)*g.OIal1Ix2 - 3*g.OIal1*g.OIal2*g.OIal1Ix2 + 
  6*g.OIal1*g.OIx1*g.OIal1Ix2 + 3*g.OIal1*g.OIx4*g.OIal1Ix2 - 
  3*g.OIal1*g.al8Ix5*g.OIal1Ix2 + (pow(M_PI,2)*g.OIal2Ix5)/4. - 
  3*pow(g.OIm1,2)*g.OIal2Ix5 - 6*g.OIm1*g.OIal1*g.OIal2Ix5 - 
  3*pow(g.OIal1,2)*g.OIal2Ix5 - 3*g.OIm1*g.OIal2*g.OIal2Ix5 - 
  3*g.OIal1*g.OIal2*g.OIal2Ix5 - (3*pow(g.OIal2,2)*g.OIal2Ix5)/4. + 
  6*g.OIm1*g.OIx1*g.OIal2Ix5 + 6*g.OIal1*g.OIx1*g.OIal2Ix5 + 
  3*g.OIal2*g.OIx1*g.OIal2Ix5 - 3*pow(g.OIx1,2)*g.OIal2Ix5 + 
  6*g.OIm1*g.OIx2*g.OIal2Ix5 + 6*g.OIal1*g.OIx2*g.OIal2Ix5 + 
  3*g.OIal2*g.OIx2*g.OIal2Ix5 - 6*g.OIx1*g.OIx2*g.OIal2Ix5 - 
  3*pow(g.OIx2,2)*g.OIal2Ix5 + 3*g.OIm1*g.OIx4*g.OIal2Ix5 + 
  3*g.OIal1*g.OIx4*g.OIal2Ix5 + (3*g.OIal2*g.OIx4*g.OIal2Ix5)/2. - 
  3*g.OIx1*g.OIx4*g.OIal2Ix5 - 3*g.OIx2*g.OIx4*g.OIal2Ix5 - 
  (3*pow(g.OIx4,2)*g.OIal2Ix5)/4. + 6*g.OIm1*g.OIal1*g.OIal29Ial2 + 
  3*pow(g.OIal1,2)*g.OIal29Ial2 + 3*g.OIal1*g.OIal2*g.OIal29Ial2 - 
  6*g.OIal1*g.OIx1*g.OIal29Ial2 - 6*g.OIm1*g.OIx2*g.OIal29Ial2 - 
  6*g.OIal1*g.OIx2*g.OIal29Ial2 - 3*g.OIal2*g.OIx2*g.OIal29Ial2 + 
  6*g.OIx1*g.OIx2*g.OIal29Ial2 + 3*pow(g.OIx2,2)*g.OIal29Ial2 - 
  3*g.OIal1*g.OIx4*g.OIal29Ial2 + 3*g.OIx2*g.OIx4*g.OIal29Ial2 - 
  6*g.OIm1*g.al2Ix5*g.OIal29Ial2 - 6*g.OIal1*g.al2Ix5*g.OIal29Ial2 - 
  3*g.OIal2*g.al2Ix5*g.OIal29Ial2 + 6*g.OIx1*g.al2Ix5*g.OIal29Ial2 + 
  6*g.OIx2*g.al2Ix5*g.OIal29Ial2 + 3*g.OIx4*g.al2Ix5*g.OIal29Ial2 + 
  3*pow(g.al2Ix5,2)*g.OIal29Ial2 + 6*g.OIm1*g.x5Ial2*g.OIal29Ial2 + 
  6*g.OIal1*g.x5Ial2*g.OIal29Ial2 + 3*g.OIal2*g.x5Ial2*g.OIal29Ial2 - 
  6*g.OIx1*g.x5Ial2*g.OIal29Ial2 - 6*g.OIx2*g.x5Ial2*g.OIal29Ial2 - 
  3*g.OIx4*g.x5Ial2*g.OIal29Ial2 - 6*g.al2Ix5*g.x5Ial2*g.OIal29Ial2 + 
  3*pow(g.x5Ial2,2)*g.OIal29Ial2 - 6*g.OIm1*g.OIal1*g.OIal29Ix4 - 
  3*pow(g.OIal1,2)*g.OIal29Ix4 + 6*g.OIal1*g.OIx1*g.OIal29Ix4 + 
  6*g.OIm1*g.OIx2*g.OIal29Ix4 + 6*g.OIal1*g.OIx2*g.OIal29Ix4 - 
  6*g.OIx1*g.OIx2*g.OIal29Ix4 - 3*pow(g.OIx2,2)*g.OIal29Ix4 + 
  6*g.OIm1*g.al2Ix5*g.OIal29Ix4 + 6*g.OIal1*g.al2Ix5*g.OIal29Ix4 - 
  6*g.OIx1*g.al2Ix5*g.OIal29Ix4 - 6*g.OIx2*g.al2Ix5*g.OIal29Ix4 - 
  3*pow(g.al2Ix5,2)*g.OIal29Ix4 - 6*g.OIm1*g.x5Ial2*g.OIal29Ix4 - 
  6*g.OIal1*g.x5Ial2*g.OIal29Ix4 + 6*g.OIx1*g.x5Ial2*g.OIal29Ix4 + 
  6*g.OIx2*g.x5Ial2*g.OIal29Ix4 + 6*g.al2Ix5*g.x5Ial2*g.OIal29Ix4 - 
  3*pow(g.x5Ial2,2)*g.OIal29Ix4 + (pow(M_PI,2)*g.OIx5Ial2)/4. - 
  3*pow(g.OIm1,2)*g.OIx5Ial2 - 6*g.OIm1*g.OIal1*g.OIx5Ial2 - 
  3*pow(g.OIal1,2)*g.OIx5Ial2 - 3*g.OIm1*g.OIal2*g.OIx5Ial2 - 
  3*g.OIal1*g.OIal2*g.OIx5Ial2 - (3*pow(g.OIal2,2)*g.OIx5Ial2)/4. + 
  6*g.OIm1*g.OIx1*g.OIx5Ial2 + 6*g.OIal1*g.OIx1*g.OIx5Ial2 + 
  3*g.OIal2*g.OIx1*g.OIx5Ial2 - 3*pow(g.OIx1,2)*g.OIx5Ial2 + 
  6*g.OIm1*g.OIx2*g.OIx5Ial2 + 6*g.OIal1*g.OIx2*g.OIx5Ial2 + 
  3*g.OIal2*g.OIx2*g.OIx5Ial2 - 6*g.OIx1*g.OIx2*g.OIx5Ial2 - 
  3*pow(g.OIx2,2)*g.OIx5Ial2 + 3*g.OIm1*g.OIx4*g.OIx5Ial2 + 
  3*g.OIal1*g.OIx4*g.OIx5Ial2 + (3*g.OIal2*g.OIx4*g.OIx5Ial2)/2. - 
  3*g.OIx1*g.OIx4*g.OIx5Ial2 - 3*g.OIx2*g.OIx4*g.OIx5Ial2 - 
  (3*pow(g.OIx4,2)*g.OIx5Ial2)/4. + 6*g.OIm1*g.al2Ix5*g.OIx5Ial2 + 
  6*g.OIal1*g.al2Ix5*g.OIx5Ial2 + 3*g.OIal2*g.al2Ix5*g.OIx5Ial2 - 
  6*g.OIx1*g.al2Ix5*g.OIx5Ial2 - 6*g.OIx2*g.al2Ix5*g.OIx5Ial2 - 
  3*g.OIx4*g.al2Ix5*g.OIx5Ial2 - 3*pow(g.al2Ix5,2)*g.OIx5Ial2 - 
  6*g.OIm1*g.x5Ial2*g.OIx5Ial2 - 6*g.OIal1*g.x5Ial2*g.OIx5Ial2 - 
  3*g.OIal2*g.x5Ial2*g.OIx5Ial2 + 6*g.OIx1*g.x5Ial2*g.OIx5Ial2 + 
  6*g.OIx2*g.x5Ial2*g.OIx5Ial2 + 3*g.OIx4*g.x5Ial2*g.OIx5Ial2 + 
  6*g.al2Ix5*g.x5Ial2*g.OIx5Ial2 - 3*pow(g.x5Ial2,2)*g.OIx5Ial2 - 
  (pow(M_PI,2)*g.OIx5Ix4)/4. + 3*pow(g.OIm1,2)*g.OIx5Ix4 + 
  6*g.OIm1*g.OIal1*g.OIx5Ix4 + 3*pow(g.OIal1,2)*g.OIx5Ix4 - 
  6*g.OIm1*g.OIx1*g.OIx5Ix4 - 6*g.OIal1*g.OIx1*g.OIx5Ix4 + 
  3*pow(g.OIx1,2)*g.OIx5Ix4 - 6*g.OIm1*g.OIx2*g.OIx5Ix4 - 
  6*g.OIal1*g.OIx2*g.OIx5Ix4 + 6*g.OIx1*g.OIx2*g.OIx5Ix4 + 
  3*pow(g.OIx2,2)*g.OIx5Ix4 - 6*g.OIm1*g.al2Ix5*g.OIx5Ix4 - 
  6*g.OIal1*g.al2Ix5*g.OIx5Ix4 + 6*g.OIx1*g.al2Ix5*g.OIx5Ix4 + 
  6*g.OIx2*g.al2Ix5*g.OIx5Ix4 + 3*pow(g.al2Ix5,2)*g.OIx5Ix4 + 
  6*g.OIm1*g.x5Ial2*g.OIx5Ix4 + 6*g.OIal1*g.x5Ial2*g.OIx5Ix4 - 
  6*g.OIx1*g.x5Ial2*g.OIx5Ix4 - 6*g.OIx2*g.x5Ial2*g.OIx5Ix4 - 
  6*g.al2Ix5*g.x5Ial2*g.OIx5Ix4 + 3*pow(g.x5Ial2,2)*g.OIx5Ix4 + 
  (pow(M_PI,2)*g.al1I0Ix2)/2. - 6*pow(g.OIm1,2)*g.al1I0Ix2 - 
  12*g.OIm1*g.OIal1*g.al1I0Ix2 - 6*pow(g.OIal1,2)*g.al1I0Ix2 - 
  6*g.OIm1*g.OIal2*g.al1I0Ix2 - 6*g.OIal1*g.OIal2*g.al1I0Ix2 - 
  (3*pow(g.OIal2,2)*g.al1I0Ix2)/2. + 12*g.OIm1*g.OIx1*g.al1I0Ix2 + 
  12*g.OIal1*g.OIx1*g.al1I0Ix2 + 6*g.OIal2*g.OIx1*g.al1I0Ix2 - 
  6*pow(g.OIx1,2)*g.al1I0Ix2 + 6*g.OIm1*g.OIx4*g.al1I0Ix2 + 
  6*g.OIal1*g.OIx4*g.al1I0Ix2 + 3*g.OIal2*g.OIx4*g.al1I0Ix2 - 
  6*g.OIx1*g.OIx4*g.al1I0Ix2 - (3*pow(g.OIx4,2)*g.al1I0Ix2)/2. - 
  6*g.OIm1*g.al8Ix5*g.al1I0Ix2 - 6*g.OIal1*g.al8Ix5*g.al1I0Ix2 - 
  3*g.OIal2*g.al8Ix5*g.al1I0Ix2 + 6*g.OIx1*g.al8Ix5*g.al1I0Ix2 + 
  3*g.OIx4*g.al8Ix5*g.al1I0Ix2 - (3*pow(g.al8Ix5,2)*g.al1I0Ix2)/2. + 
  (pow(M_PI,2)*g.al14Ial2Ix5)/2. - 6*pow(g.OIm1,2)*g.al14Ial2Ix5 - 
  12*g.OIm1*g.OIal1*g.al14Ial2Ix5 - 6*pow(g.OIal1,2)*g.al14Ial2Ix5 - 
  6*g.OIm1*g.OIal2*g.al14Ial2Ix5 - 6*g.OIal1*g.OIal2*g.al14Ial2Ix5 - 
  (3*pow(g.OIal2,2)*g.al14Ial2Ix5)/2. + 
  12*g.OIm1*g.OIx1*g.al14Ial2Ix5 + 12*g.OIal1*g.OIx1*g.al14Ial2Ix5 + 
  6*g.OIal2*g.OIx1*g.al14Ial2Ix5 - 6*pow(g.OIx1,2)*g.al14Ial2Ix5 + 
  12*g.OIm1*g.OIx2*g.al14Ial2Ix5 + 12*g.OIal1*g.OIx2*g.al14Ial2Ix5 + 
  6*g.OIal2*g.OIx2*g.al14Ial2Ix5 - 12*g.OIx1*g.OIx2*g.al14Ial2Ix5 - 
  6*pow(g.OIx2,2)*g.al14Ial2Ix5 + 6*g.OIm1*g.OIx4*g.al14Ial2Ix5 + 
  6*g.OIal1*g.OIx4*g.al14Ial2Ix5 + 3*g.OIal2*g.OIx4*g.al14Ial2Ix5 - 
  6*g.OIx1*g.OIx4*g.al14Ial2Ix5 - 6*g.OIx2*g.OIx4*g.al14Ial2Ix5 - 
  (3*pow(g.OIx4,2)*g.al14Ial2Ix5)/2. - (pow(M_PI,2)*g.al29Ix5Ial2)/2. + 
  6*pow(g.OIm1,2)*g.al29Ix5Ial2 + 12*g.OIm1*g.OIal1*g.al29Ix5Ial2 + 
  6*pow(g.OIal1,2)*g.al29Ix5Ial2 + 6*g.OIm1*g.OIal2*g.al29Ix5Ial2 + 
  6*g.OIal1*g.OIal2*g.al29Ix5Ial2 + 
  (3*pow(g.OIal2,2)*g.al29Ix5Ial2)/2. - 
  12*g.OIm1*g.OIx1*g.al29Ix5Ial2 - 12*g.OIal1*g.OIx1*g.al29Ix5Ial2 - 
  6*g.OIal2*g.OIx1*g.al29Ix5Ial2 + 6*pow(g.OIx1,2)*g.al29Ix5Ial2 - 
  12*g.OIm1*g.OIx2*g.al29Ix5Ial2 - 12*g.OIal1*g.OIx2*g.al29Ix5Ial2 - 
  6*g.OIal2*g.OIx2*g.al29Ix5Ial2 + 12*g.OIx1*g.OIx2*g.al29Ix5Ial2 + 
  6*pow(g.OIx2,2)*g.al29Ix5Ial2 - 6*g.OIm1*g.OIx4*g.al29Ix5Ial2 - 
  6*g.OIal1*g.OIx4*g.al29Ix5Ial2 - 3*g.OIal2*g.OIx4*g.al29Ix5Ial2 + 
  6*g.OIx1*g.OIx4*g.al29Ix5Ial2 + 6*g.OIx2*g.OIx4*g.al29Ix5Ial2 + 
  (3*pow(g.OIx4,2)*g.al29Ix5Ial2)/2. - 
  12*g.OIm1*g.al2Ix5*g.al29Ix5Ial2 - 
  12*g.OIal1*g.al2Ix5*g.al29Ix5Ial2 - 
  6*g.OIal2*g.al2Ix5*g.al29Ix5Ial2 + 12*g.OIx1*g.al2Ix5*g.al29Ix5Ial2 + 
  12*g.OIx2*g.al2Ix5*g.al29Ix5Ial2 + 6*g.OIx4*g.al2Ix5*g.al29Ix5Ial2 + 
  6*pow(g.al2Ix5,2)*g.al29Ix5Ial2 + 12*g.OIm1*g.x5Ial2*g.al29Ix5Ial2 + 
  12*g.OIal1*g.x5Ial2*g.al29Ix5Ial2 + 
  6*g.OIal2*g.x5Ial2*g.al29Ix5Ial2 - 12*g.OIx1*g.x5Ial2*g.al29Ix5Ial2 - 
  12*g.OIx2*g.x5Ial2*g.al29Ix5Ial2 - 6*g.OIx4*g.x5Ial2*g.al29Ix5Ial2 - 
  12*g.al2Ix5*g.x5Ial2*g.al29Ix5Ial2 + 
  6*pow(g.x5Ial2,2)*g.al29Ix5Ial2 + (pow(M_PI,2)*g.al29Ix5Ix4)/2. - 
  6*pow(g.OIm1,2)*g.al29Ix5Ix4 - 12*g.OIm1*g.OIal1*g.al29Ix5Ix4 - 
  6*pow(g.OIal1,2)*g.al29Ix5Ix4 + 12*g.OIm1*g.OIx1*g.al29Ix5Ix4 + 
  12*g.OIal1*g.OIx1*g.al29Ix5Ix4 - 6*pow(g.OIx1,2)*g.al29Ix5Ix4 + 
  12*g.OIm1*g.OIx2*g.al29Ix5Ix4 + 12*g.OIal1*g.OIx2*g.al29Ix5Ix4 - 
  12*g.OIx1*g.OIx2*g.al29Ix5Ix4 - 6*pow(g.OIx2,2)*g.al29Ix5Ix4 + 
  12*g.OIm1*g.al2Ix5*g.al29Ix5Ix4 + 12*g.OIal1*g.al2Ix5*g.al29Ix5Ix4 - 
  12*g.OIx1*g.al2Ix5*g.al29Ix5Ix4 - 12*g.OIx2*g.al2Ix5*g.al29Ix5Ix4 - 
  6*pow(g.al2Ix5,2)*g.al29Ix5Ix4 - 12*g.OIm1*g.x5Ial2*g.al29Ix5Ix4 - 
  12*g.OIal1*g.x5Ial2*g.al29Ix5Ix4 + 12*g.OIx1*g.x5Ial2*g.al29Ix5Ix4 + 
  12*g.OIx2*g.x5Ial2*g.al29Ix5Ix4 + 12*g.al2Ix5*g.x5Ial2*g.al29Ix5Ix4 - 
  6*pow(g.x5Ial2,2)*g.al29Ix5Ix4 + 6*g.OIm1*g.OIal1*g.al8Ial14Ix5 + 
  3*pow(g.OIal1,2)*g.al8Ial14Ix5 + 3*g.OIal1*g.OIal2*g.al8Ial14Ix5 - 
  6*g.OIal1*g.OIx1*g.al8Ial14Ix5 - 6*g.OIm1*g.OIx2*g.al8Ial14Ix5 - 
  6*g.OIal1*g.OIx2*g.al8Ial14Ix5 - 3*g.OIal2*g.OIx2*g.al8Ial14Ix5 + 
  6*g.OIx1*g.OIx2*g.al8Ial14Ix5 + 3*pow(g.OIx2,2)*g.al8Ial14Ix5 - 
  3*g.OIal1*g.OIx4*g.al8Ial14Ix5 + 3*g.OIx2*g.OIx4*g.al8Ial14Ix5 + 
  12*g.OIm1*g.OI0Ial1Ial1 + 15*g.OIal1*g.OI0Ial1Ial1 + 
  6*g.OIal2*g.OI0Ial1Ial1 - 12*g.OIx1*g.OI0Ial1Ial1 - 
  6*g.OIx2*g.OI0Ial1Ial1 - 6*g.OIx4*g.OI0Ial1Ial1 + 
  6*g.al8Ix5*g.OI0Ial1Ial1 + 3*g.OIal1*g.OI0Ial1Ix2 + 
  3*g.OIm1*g.OI0Ial2Ix5 + 3*g.OIal1*g.OI0Ial2Ix5 + 
  (3*g.OIal2*g.OI0Ial2Ix5)/2. - 3*g.OIx1*g.OI0Ial2Ix5 - 
  3*g.OIx2*g.OI0Ial2Ix5 - (3*g.OIx4*g.OI0Ial2Ix5)/2. - 
  3*g.OIal1*g.OI0Ial29Ial2 + 3*g.OIx2*g.OI0Ial29Ial2 + 
  3*g.al2Ix5*g.OI0Ial29Ial2 - 3*g.x5Ial2*g.OI0Ial29Ial2 + 
  3*g.OIal1*g.OI0Ial29Ix4 - 3*g.OIx2*g.OI0Ial29Ix4 - 
  3*g.al2Ix5*g.OI0Ial29Ix4 + 3*g.x5Ial2*g.OI0Ial29Ix4 + 
  3*g.OIm1*g.OI0Ix5Ial2 + 3*g.OIal1*g.OI0Ix5Ial2 + 
  (3*g.OIal2*g.OI0Ix5Ial2)/2. - 3*g.OIx1*g.OI0Ix5Ial2 - 
  3*g.OIx2*g.OI0Ix5Ial2 - (3*g.OIx4*g.OI0Ix5Ial2)/2. - 
  3*g.al2Ix5*g.OI0Ix5Ial2 + 3*g.x5Ial2*g.OI0Ix5Ial2 - 
  3*g.OIm1*g.OI0Ix5Ix4 - 3*g.OIal1*g.OI0Ix5Ix4 + 3*g.OIx1*g.OI0Ix5Ix4 + 
  3*g.OIx2*g.OI0Ix5Ix4 + 3*g.al2Ix5*g.OI0Ix5Ix4 - 
  3*g.x5Ial2*g.OI0Ix5Ix4 + 6*g.OIm1*g.OIal1I0Ial1 + 
  9*g.OIal1*g.OIal1I0Ial1 + 3*g.OIal2*g.OIal1I0Ial1 - 
  6*g.OIx1*g.OIal1I0Ial1 - 3*g.OIx2*g.OIal1I0Ial1 - 
  3*g.OIx4*g.OIal1I0Ial1 + 3*g.al8Ix5*g.OIal1I0Ial1 + 
  6*g.OIm1*g.OIal1I0Ix2 + 6*g.OIal1*g.OIal1I0Ix2 + 
  3*g.OIal2*g.OIal1I0Ix2 - 6*g.OIx1*g.OIal1I0Ix2 - 
  3*g.OIx4*g.OIal1I0Ix2 + 3*g.al8Ix5*g.OIal1I0Ix2 + 
  6*g.OIm1*g.OIal2Ial2Ix5 + 6*g.OIal1*g.OIal2Ial2Ix5 + 
  3*g.OIal2*g.OIal2Ial2Ix5 - 6*g.OIx1*g.OIal2Ial2Ix5 - 
  6*g.OIx2*g.OIal2Ial2Ix5 - 3*g.OIx4*g.OIal2Ial2Ix5 - 
  6*g.OIm1*g.OIal29Ix5Ial2 - 6*g.OIal1*g.OIal29Ix5Ial2 - 
  3*g.OIal2*g.OIal29Ix5Ial2 + 6*g.OIx1*g.OIal29Ix5Ial2 + 
  6*g.OIx2*g.OIal29Ix5Ial2 + 3*g.OIx4*g.OIal29Ix5Ial2 + 
  6*g.al2Ix5*g.OIal29Ix5Ial2 - 6*g.x5Ial2*g.OIal29Ix5Ial2 + 
  6*g.OIm1*g.OIal29Ix5Ix4 + 6*g.OIal1*g.OIal29Ix5Ix4 - 
  6*g.OIx1*g.OIal29Ix5Ix4 - 6*g.OIx2*g.OIal29Ix5Ix4 - 
  6*g.al2Ix5*g.OIal29Ix5Ix4 + 6*g.x5Ial2*g.OIal29Ix5Ix4 + 
  6*g.OIm1*g.OIx5Ix5Ial2 + 6*g.OIal1*g.OIx5Ix5Ial2 + 
  3*g.OIal2*g.OIx5Ix5Ial2 - 6*g.OIx1*g.OIx5Ix5Ial2 - 
  6*g.OIx2*g.OIx5Ix5Ial2 - 3*g.OIx4*g.OIx5Ix5Ial2 - 
  6*g.al2Ix5*g.OIx5Ix5Ial2 + 6*g.x5Ial2*g.OIx5Ix5Ial2 - 
  6*g.OIm1*g.OIx5Ix5Ix4 - 6*g.OIal1*g.OIx5Ix5Ix4 + 
  6*g.OIx1*g.OIx5Ix5Ix4 + 6*g.OIx2*g.OIx5Ix5Ix4 + 
  6*g.al2Ix5*g.OIx5Ix5Ix4 - 6*g.x5Ial2*g.OIx5Ix5Ix4 + 
  12*g.OIm1*g.al1I0I0Ix2 + 12*g.OIal1*g.al1I0I0Ix2 + 
  6*g.OIal2*g.al1I0I0Ix2 - 12*g.OIx1*g.al1I0I0Ix2 - 
  6*g.OIx4*g.al1I0I0Ix2 + 6*g.al8Ix5*g.al1I0I0Ix2 + 
  12*g.OIm1*g.al14Ial2Ial2Ix5 + 12*g.OIal1*g.al14Ial2Ial2Ix5 + 
  6*g.OIal2*g.al14Ial2Ial2Ix5 - 12*g.OIx1*g.al14Ial2Ial2Ix5 - 
  12*g.OIx2*g.al14Ial2Ial2Ix5 - 6*g.OIx4*g.al14Ial2Ial2Ix5 - 
  12*g.OIm1*g.al29Ix5Ix5Ial2 - 12*g.OIal1*g.al29Ix5Ix5Ial2 - 
  6*g.OIal2*g.al29Ix5Ix5Ial2 + 12*g.OIx1*g.al29Ix5Ix5Ial2 + 
  12*g.OIx2*g.al29Ix5Ix5Ial2 + 6*g.OIx4*g.al29Ix5Ix5Ial2 + 
  12*g.al2Ix5*g.al29Ix5Ix5Ial2 - 12*g.x5Ial2*g.al29Ix5Ix5Ial2 + 
  12*g.OIm1*g.al29Ix5Ix5Ix4 + 12*g.OIal1*g.al29Ix5Ix5Ix4 - 
  12*g.OIx1*g.al29Ix5Ix5Ix4 - 12*g.OIx2*g.al29Ix5Ix5Ix4 - 
  12*g.al2Ix5*g.al29Ix5Ix5Ix4 + 12*g.x5Ial2*g.al29Ix5Ix5Ix4 - 
  6*g.OIm1*g.al8I0Ial2Ix5 - 6*g.OIal1*g.al8I0Ial2Ix5 - 
  3*g.OIal2*g.al8I0Ial2Ix5 + 6*g.OIx1*g.al8I0Ial2Ix5 + 
  6*g.OIx2*g.al8I0Ial2Ix5 + 3*g.OIx4*g.al8I0Ial2Ix5 - 
  6*g.OIm1*g.al8Ial14Ial2Ix5 - 6*g.OIal1*g.al8Ial14Ial2Ix5 - 
  3*g.OIal2*g.al8Ial14Ial2Ix5 + 6*g.OIx1*g.al8Ial14Ial2Ix5 + 
  6*g.OIx2*g.al8Ial14Ial2Ix5 + 3*g.OIx4*g.al8Ial14Ial2Ix5 + 
  3*g.OIal1*g.al8Ial8Ial14Ix5 - 3*g.OIx2*g.al8Ial8Ial14Ix5 - 
  12*g.OI0I0Ial1Ial1 - (3*g.OI0I0Ial2Ix5)/2. - (3*g.OI0I0Ix5Ial2)/2. + 
  (3*g.OI0I0Ix5Ix4)/2. - 9*g.OI0Ial1I0Ial1 - 3*g.OI0Ial1I0Ix2 - 
  3*g.OI0Ial2Ial2Ix5 + 3*g.OI0Ial29Ix5Ial2 - 3*g.OI0Ial29Ix5Ix4 - 
  3*g.OI0Ix5Ix5Ial2 + 3*g.OI0Ix5Ix5Ix4 - 6*g.OIal1I0I0Ial1 - 
  6*g.OIal1I0I0Ix2 - 6*g.OIal2Ial2Ial2Ix5 + 6*g.OIal29Ix5Ix5Ial2 - 
  6*g.OIal29Ix5Ix5Ix4 - 6*g.OIx5Ix5Ix5Ial2 + 6*g.OIx5Ix5Ix5Ix4 - 
  12*g.al1I0I0I0Ix2 - 12*g.al14Ial2Ial2Ial2Ix5 + 12*g.al29Ix5Ix5Ix5Ial2 - 
  12*g.al29Ix5Ix5Ix5Ix4 + 3*g.al8I0I0Ial2Ix5 + 6*g.al8I0Ial2Ial2Ix5 + 
  6*g.al8Ial14Ial2Ial2Ix5 - 3*g.al8Ial8I0Ial2Ix5 - 3*g.al8Ial8Ial14Ial2Ix5
;
 

std::vector<GiNaC::ex>integr24;

integr24.push_back(integre0);
integr24.push_back(integre1);
integr24.push_back(integre2);
integr24.push_back(integre3);
integr24.push_back(integre4);

return integr24;
}
