
#include "../header.h"
#include "../struct-myGHPL.h"
std::vector<GiNaC::ex>  integral4( myGHPLs  & g) {
      using namespace GiNaC;

     #include "../boundary.h"
     ex zeta3=1.2020569031595942;
     ex d37s3 = 9.03301789873836469269;
     ex d38s3 = 22.0377098912592295221202221000567;

     ex integre0 =  -1;
     ex integre1 =  
  -2*g.OIm1 + 2*g.OIal1 + 2*g.OIx1 - 2*g.OIx2 + 2*g.al20Ix5 - 
  2*g.al25I1 + 2*g.al25Ix3 - 2*g.al35Ial2 + 2*g.al35Ix4 - 2*g.al5Ial1 + 
  2*g.al5Ix2
;
     ex integre2 =    
pow(M_PI,2)/6. - 2*pow(g.OIm1,2) + 4*g.OIm1*g.OIal1 - 
  2*pow(g.OIal1,2) + 4*g.OIm1*g.OIx1 - 4*g.OIal1*g.OIx1 - 
  2*pow(g.OIx1,2) - 4*g.OIm1*g.OIx2 + 4*g.OIal1*g.OIx2 + 
  4*g.OIx1*g.OIx2 - 2*pow(g.OIx2,2) + 4*g.OIm1*g.al20Ix5 - 
  4*g.OIal1*g.al20Ix5 - 4*g.OIx1*g.al20Ix5 + 4*g.OIx2*g.al20Ix5 - 
  2*pow(g.al20Ix5,2) - 4*g.OIm1*g.al25I1 + 4*g.OIal1*g.al25I1 + 
  4*g.OIx1*g.al25I1 - 4*g.OIx2*g.al25I1 + 4*g.al20Ix5*g.al25I1 - 
  2*pow(g.al25I1,2) + 4*g.OIm1*g.al25Ix3 - 4*g.OIal1*g.al25Ix3 - 
  4*g.OIx1*g.al25Ix3 + 4*g.OIx2*g.al25Ix3 - 4*g.al20Ix5*g.al25Ix3 + 
  4*g.al25I1*g.al25Ix3 - 2*pow(g.al25Ix3,2) - 4*g.OIm1*g.al35Ial2 + 
  4*g.OIal1*g.al35Ial2 + 4*g.OIx1*g.al35Ial2 - 4*g.OIx2*g.al35Ial2 + 
  4*g.al20Ix5*g.al35Ial2 - 4*g.al25I1*g.al35Ial2 + 
  4*g.al25Ix3*g.al35Ial2 - 2*pow(g.al35Ial2,2) + 4*g.OIm1*g.al35Ix4 - 
  4*g.OIal1*g.al35Ix4 - 4*g.OIx1*g.al35Ix4 + 4*g.OIx2*g.al35Ix4 - 
  4*g.al20Ix5*g.al35Ix4 + 4*g.al25I1*g.al35Ix4 - 
  4*g.al25Ix3*g.al35Ix4 + 4*g.al35Ial2*g.al35Ix4 - 
  2*pow(g.al35Ix4,2) - 4*g.OIm1*g.al5Ial1 + 8*g.OIal1*g.al5Ial1 + 
  4*g.OIx1*g.al5Ial1 - 4*g.OIx2*g.al5Ial1 + 4*g.al20Ix5*g.al5Ial1 - 
  4*g.al25I1*g.al5Ial1 + 4*g.al25Ix3*g.al5Ial1 - 
  4*g.al35Ial2*g.al5Ial1 + 4*g.al35Ix4*g.al5Ial1 - 
  2*pow(g.al5Ial1,2) + 4*g.OIm1*g.al5Ix2 - 4*g.OIal1*g.al5Ix2 - 
  4*g.OIx1*g.al5Ix2 - 4*g.al20Ix5*g.al5Ix2 + 4*g.al25I1*g.al5Ix2 - 
  4*g.al25Ix3*g.al5Ix2 + 4*g.al35Ial2*g.al5Ix2 - 4*g.al35Ix4*g.al5Ix2 + 
  4*g.al5Ial1*g.al5Ix2 - 2*pow(g.al5Ix2,2) - 4*g.OIal5Ial1 + 
  4*g.OIal5Ix2 - 4*g.al5I0Ial1 + 4*g.al5I0Ix2
;
     ex integre3 =    
(32*zeta3)/3. + (pow(M_PI,2)*g.OIm1)/3. - (4*pow(g.OIm1,3))/3. - 
  (pow(M_PI,2)*g.OIal1)/3. + 4*pow(g.OIm1,2)*g.OIal1 - 
  4*g.OIm1*pow(g.OIal1,2) + (4*pow(g.OIal1,3))/3. - 
  (pow(M_PI,2)*g.OIx1)/3. + 4*pow(g.OIm1,2)*g.OIx1 - 
  8*g.OIm1*g.OIal1*g.OIx1 + 4*pow(g.OIal1,2)*g.OIx1 - 
  4*g.OIm1*pow(g.OIx1,2) + 4*g.OIal1*pow(g.OIx1,2) + 
  (4*pow(g.OIx1,3))/3. + (pow(M_PI,2)*g.OIx2)/3. - 
  4*pow(g.OIm1,2)*g.OIx2 + 8*g.OIm1*g.OIal1*g.OIx2 - 
  4*pow(g.OIal1,2)*g.OIx2 + 8*g.OIm1*g.OIx1*g.OIx2 - 
  8*g.OIal1*g.OIx1*g.OIx2 - 4*pow(g.OIx1,2)*g.OIx2 - 
  4*g.OIm1*pow(g.OIx2,2) + 4*g.OIal1*pow(g.OIx2,2) + 
  4*g.OIx1*pow(g.OIx2,2) - (4*pow(g.OIx2,3))/3. - 
  (pow(M_PI,2)*g.al20Ix5)/3. + 4*pow(g.OIm1,2)*g.al20Ix5 - 
  8*g.OIm1*g.OIal1*g.al20Ix5 + 4*pow(g.OIal1,2)*g.al20Ix5 - 
  8*g.OIm1*g.OIx1*g.al20Ix5 + 8*g.OIal1*g.OIx1*g.al20Ix5 + 
  4*pow(g.OIx1,2)*g.al20Ix5 + 8*g.OIm1*g.OIx2*g.al20Ix5 - 
  8*g.OIal1*g.OIx2*g.al20Ix5 - 8*g.OIx1*g.OIx2*g.al20Ix5 + 
  4*pow(g.OIx2,2)*g.al20Ix5 - 4*g.OIm1*pow(g.al20Ix5,2) + 
  4*g.OIal1*pow(g.al20Ix5,2) + 4*g.OIx1*pow(g.al20Ix5,2) - 
  4*g.OIx2*pow(g.al20Ix5,2) + (4*pow(g.al20Ix5,3))/3. + 
  (pow(M_PI,2)*g.al25I1)/3. - 4*pow(g.OIm1,2)*g.al25I1 + 
  8*g.OIm1*g.OIal1*g.al25I1 - 4*pow(g.OIal1,2)*g.al25I1 + 
  8*g.OIm1*g.OIx1*g.al25I1 - 8*g.OIal1*g.OIx1*g.al25I1 - 
  4*pow(g.OIx1,2)*g.al25I1 - 8*g.OIm1*g.OIx2*g.al25I1 + 
  8*g.OIal1*g.OIx2*g.al25I1 + 8*g.OIx1*g.OIx2*g.al25I1 - 
  4*pow(g.OIx2,2)*g.al25I1 + 8*g.OIm1*g.al20Ix5*g.al25I1 - 
  8*g.OIal1*g.al20Ix5*g.al25I1 - 8*g.OIx1*g.al20Ix5*g.al25I1 + 
  8*g.OIx2*g.al20Ix5*g.al25I1 - 4*pow(g.al20Ix5,2)*g.al25I1 - 
  4*g.OIm1*pow(g.al25I1,2) + 4*g.OIal1*pow(g.al25I1,2) + 
  4*g.OIx1*pow(g.al25I1,2) - 4*g.OIx2*pow(g.al25I1,2) + 
  4*g.al20Ix5*pow(g.al25I1,2) - (4*pow(g.al25I1,3))/3. - 
  (pow(M_PI,2)*g.al25Ix3)/3. + 4*pow(g.OIm1,2)*g.al25Ix3 - 
  8*g.OIm1*g.OIal1*g.al25Ix3 + 4*pow(g.OIal1,2)*g.al25Ix3 - 
  8*g.OIm1*g.OIx1*g.al25Ix3 + 8*g.OIal1*g.OIx1*g.al25Ix3 + 
  4*pow(g.OIx1,2)*g.al25Ix3 + 8*g.OIm1*g.OIx2*g.al25Ix3 - 
  8*g.OIal1*g.OIx2*g.al25Ix3 - 8*g.OIx1*g.OIx2*g.al25Ix3 + 
  4*pow(g.OIx2,2)*g.al25Ix3 - 8*g.OIm1*g.al20Ix5*g.al25Ix3 + 
  8*g.OIal1*g.al20Ix5*g.al25Ix3 + 8*g.OIx1*g.al20Ix5*g.al25Ix3 - 
  8*g.OIx2*g.al20Ix5*g.al25Ix3 + 4*pow(g.al20Ix5,2)*g.al25Ix3 + 
  8*g.OIm1*g.al25I1*g.al25Ix3 - 8*g.OIal1*g.al25I1*g.al25Ix3 - 
  8*g.OIx1*g.al25I1*g.al25Ix3 + 8*g.OIx2*g.al25I1*g.al25Ix3 - 
  8*g.al20Ix5*g.al25I1*g.al25Ix3 + 4*pow(g.al25I1,2)*g.al25Ix3 - 
  4*g.OIm1*pow(g.al25Ix3,2) + 4*g.OIal1*pow(g.al25Ix3,2) + 
  4*g.OIx1*pow(g.al25Ix3,2) - 4*g.OIx2*pow(g.al25Ix3,2) + 
  4*g.al20Ix5*pow(g.al25Ix3,2) - 4*g.al25I1*pow(g.al25Ix3,2) + 
  (4*pow(g.al25Ix3,3))/3. + (pow(M_PI,2)*g.al35Ial2)/3. - 
  4*pow(g.OIm1,2)*g.al35Ial2 + 8*g.OIm1*g.OIal1*g.al35Ial2 - 
  4*pow(g.OIal1,2)*g.al35Ial2 + 8*g.OIm1*g.OIx1*g.al35Ial2 - 
  8*g.OIal1*g.OIx1*g.al35Ial2 - 4*pow(g.OIx1,2)*g.al35Ial2 - 
  8*g.OIm1*g.OIx2*g.al35Ial2 + 8*g.OIal1*g.OIx2*g.al35Ial2 + 
  8*g.OIx1*g.OIx2*g.al35Ial2 - 4*pow(g.OIx2,2)*g.al35Ial2 + 
  8*g.OIm1*g.al20Ix5*g.al35Ial2 - 8*g.OIal1*g.al20Ix5*g.al35Ial2 - 
  8*g.OIx1*g.al20Ix5*g.al35Ial2 + 8*g.OIx2*g.al20Ix5*g.al35Ial2 - 
  4*pow(g.al20Ix5,2)*g.al35Ial2 - 8*g.OIm1*g.al25I1*g.al35Ial2 + 
  8*g.OIal1*g.al25I1*g.al35Ial2 + 8*g.OIx1*g.al25I1*g.al35Ial2 - 
  8*g.OIx2*g.al25I1*g.al35Ial2 + 8*g.al20Ix5*g.al25I1*g.al35Ial2 - 
  4*pow(g.al25I1,2)*g.al35Ial2 + 8*g.OIm1*g.al25Ix3*g.al35Ial2 - 
  8*g.OIal1*g.al25Ix3*g.al35Ial2 - 8*g.OIx1*g.al25Ix3*g.al35Ial2 + 
  8*g.OIx2*g.al25Ix3*g.al35Ial2 - 8*g.al20Ix5*g.al25Ix3*g.al35Ial2 + 
  8*g.al25I1*g.al25Ix3*g.al35Ial2 - 4*pow(g.al25Ix3,2)*g.al35Ial2 - 
  4*g.OIm1*pow(g.al35Ial2,2) + 4*g.OIal1*pow(g.al35Ial2,2) + 
  4*g.OIx1*pow(g.al35Ial2,2) - 4*g.OIx2*pow(g.al35Ial2,2) + 
  4*g.al20Ix5*pow(g.al35Ial2,2) - 4*g.al25I1*pow(g.al35Ial2,2) + 
  4*g.al25Ix3*pow(g.al35Ial2,2) - (4*pow(g.al35Ial2,3))/3. - 
  (pow(M_PI,2)*g.al35Ix4)/3. + 4*pow(g.OIm1,2)*g.al35Ix4 - 
  8*g.OIm1*g.OIal1*g.al35Ix4 + 4*pow(g.OIal1,2)*g.al35Ix4 - 
  8*g.OIm1*g.OIx1*g.al35Ix4 + 8*g.OIal1*g.OIx1*g.al35Ix4 + 
  4*pow(g.OIx1,2)*g.al35Ix4 + 8*g.OIm1*g.OIx2*g.al35Ix4 - 
  8*g.OIal1*g.OIx2*g.al35Ix4 - 8*g.OIx1*g.OIx2*g.al35Ix4 + 
  4*pow(g.OIx2,2)*g.al35Ix4 - 8*g.OIm1*g.al20Ix5*g.al35Ix4 + 
  8*g.OIal1*g.al20Ix5*g.al35Ix4 + 8*g.OIx1*g.al20Ix5*g.al35Ix4 - 
  8*g.OIx2*g.al20Ix5*g.al35Ix4 + 4*pow(g.al20Ix5,2)*g.al35Ix4 + 
  8*g.OIm1*g.al25I1*g.al35Ix4 - 8*g.OIal1*g.al25I1*g.al35Ix4 - 
  8*g.OIx1*g.al25I1*g.al35Ix4 + 8*g.OIx2*g.al25I1*g.al35Ix4 - 
  8*g.al20Ix5*g.al25I1*g.al35Ix4 + 4*pow(g.al25I1,2)*g.al35Ix4 - 
  8*g.OIm1*g.al25Ix3*g.al35Ix4 + 8*g.OIal1*g.al25Ix3*g.al35Ix4 + 
  8*g.OIx1*g.al25Ix3*g.al35Ix4 - 8*g.OIx2*g.al25Ix3*g.al35Ix4 + 
  8*g.al20Ix5*g.al25Ix3*g.al35Ix4 - 8*g.al25I1*g.al25Ix3*g.al35Ix4 + 
  4*pow(g.al25Ix3,2)*g.al35Ix4 + 8*g.OIm1*g.al35Ial2*g.al35Ix4 - 
  8*g.OIal1*g.al35Ial2*g.al35Ix4 - 8*g.OIx1*g.al35Ial2*g.al35Ix4 + 
  8*g.OIx2*g.al35Ial2*g.al35Ix4 - 8*g.al20Ix5*g.al35Ial2*g.al35Ix4 + 
  8*g.al25I1*g.al35Ial2*g.al35Ix4 - 8*g.al25Ix3*g.al35Ial2*g.al35Ix4 + 
  4*pow(g.al35Ial2,2)*g.al35Ix4 - 4*g.OIm1*pow(g.al35Ix4,2) + 
  4*g.OIal1*pow(g.al35Ix4,2) + 4*g.OIx1*pow(g.al35Ix4,2) - 
  4*g.OIx2*pow(g.al35Ix4,2) + 4*g.al20Ix5*pow(g.al35Ix4,2) - 
  4*g.al25I1*pow(g.al35Ix4,2) + 4*g.al25Ix3*pow(g.al35Ix4,2) - 
  4*g.al35Ial2*pow(g.al35Ix4,2) + (4*pow(g.al35Ix4,3))/3. + 
  (pow(M_PI,2)*g.al5Ial1)/3. - 4*pow(g.OIm1,2)*g.al5Ial1 + 
  16*g.OIm1*g.OIal1*g.al5Ial1 - 16*pow(g.OIal1,2)*g.al5Ial1 + 
  8*g.OIm1*g.OIx1*g.al5Ial1 - 16*g.OIal1*g.OIx1*g.al5Ial1 - 
  4*pow(g.OIx1,2)*g.al5Ial1 - 8*g.OIm1*g.OIx2*g.al5Ial1 + 
  16*g.OIal1*g.OIx2*g.al5Ial1 + 8*g.OIx1*g.OIx2*g.al5Ial1 - 
  4*pow(g.OIx2,2)*g.al5Ial1 + 8*g.OIm1*g.al20Ix5*g.al5Ial1 - 
  16*g.OIal1*g.al20Ix5*g.al5Ial1 - 8*g.OIx1*g.al20Ix5*g.al5Ial1 + 
  8*g.OIx2*g.al20Ix5*g.al5Ial1 - 4*pow(g.al20Ix5,2)*g.al5Ial1 - 
  8*g.OIm1*g.al25I1*g.al5Ial1 + 16*g.OIal1*g.al25I1*g.al5Ial1 + 
  8*g.OIx1*g.al25I1*g.al5Ial1 - 8*g.OIx2*g.al25I1*g.al5Ial1 + 
  8*g.al20Ix5*g.al25I1*g.al5Ial1 - 4*pow(g.al25I1,2)*g.al5Ial1 + 
  8*g.OIm1*g.al25Ix3*g.al5Ial1 - 16*g.OIal1*g.al25Ix3*g.al5Ial1 - 
  8*g.OIx1*g.al25Ix3*g.al5Ial1 + 8*g.OIx2*g.al25Ix3*g.al5Ial1 - 
  8*g.al20Ix5*g.al25Ix3*g.al5Ial1 + 8*g.al25I1*g.al25Ix3*g.al5Ial1 - 
  4*pow(g.al25Ix3,2)*g.al5Ial1 - 8*g.OIm1*g.al35Ial2*g.al5Ial1 + 
  16*g.OIal1*g.al35Ial2*g.al5Ial1 + 8*g.OIx1*g.al35Ial2*g.al5Ial1 - 
  8*g.OIx2*g.al35Ial2*g.al5Ial1 + 8*g.al20Ix5*g.al35Ial2*g.al5Ial1 - 
  8*g.al25I1*g.al35Ial2*g.al5Ial1 + 8*g.al25Ix3*g.al35Ial2*g.al5Ial1 - 
  4*pow(g.al35Ial2,2)*g.al5Ial1 + 8*g.OIm1*g.al35Ix4*g.al5Ial1 - 
  16*g.OIal1*g.al35Ix4*g.al5Ial1 - 8*g.OIx1*g.al35Ix4*g.al5Ial1 + 
  8*g.OIx2*g.al35Ix4*g.al5Ial1 - 8*g.al20Ix5*g.al35Ix4*g.al5Ial1 + 
  8*g.al25I1*g.al35Ix4*g.al5Ial1 - 8*g.al25Ix3*g.al35Ix4*g.al5Ial1 + 
  8*g.al35Ial2*g.al35Ix4*g.al5Ial1 - 4*pow(g.al35Ix4,2)*g.al5Ial1 - 
  4*g.OIm1*pow(g.al5Ial1,2) + 16*g.OIal1*pow(g.al5Ial1,2) + 
  4*g.OIx1*pow(g.al5Ial1,2) - 4*g.OIx2*pow(g.al5Ial1,2) + 
  4*g.al20Ix5*pow(g.al5Ial1,2) - 4*g.al25I1*pow(g.al5Ial1,2) + 
  4*g.al25Ix3*pow(g.al5Ial1,2) - 4*g.al35Ial2*pow(g.al5Ial1,2) + 
  4*g.al35Ix4*pow(g.al5Ial1,2) - (4*pow(g.al5Ial1,3))/3. - 
  (pow(M_PI,2)*g.al5Ix2)/3. + 4*pow(g.OIm1,2)*g.al5Ix2 - 
  8*g.OIm1*g.OIal1*g.al5Ix2 + 4*pow(g.OIal1,2)*g.al5Ix2 - 
  8*g.OIm1*g.OIx1*g.al5Ix2 + 8*g.OIal1*g.OIx1*g.al5Ix2 + 
  4*pow(g.OIx1,2)*g.al5Ix2 - 8*g.OIm1*g.al20Ix5*g.al5Ix2 + 
  8*g.OIal1*g.al20Ix5*g.al5Ix2 + 8*g.OIx1*g.al20Ix5*g.al5Ix2 + 
  4*pow(g.al20Ix5,2)*g.al5Ix2 + 8*g.OIm1*g.al25I1*g.al5Ix2 - 
  8*g.OIal1*g.al25I1*g.al5Ix2 - 8*g.OIx1*g.al25I1*g.al5Ix2 - 
  8*g.al20Ix5*g.al25I1*g.al5Ix2 + 4*pow(g.al25I1,2)*g.al5Ix2 - 
  8*g.OIm1*g.al25Ix3*g.al5Ix2 + 8*g.OIal1*g.al25Ix3*g.al5Ix2 + 
  8*g.OIx1*g.al25Ix3*g.al5Ix2 + 8*g.al20Ix5*g.al25Ix3*g.al5Ix2 - 
  8*g.al25I1*g.al25Ix3*g.al5Ix2 + 4*pow(g.al25Ix3,2)*g.al5Ix2 + 
  8*g.OIm1*g.al35Ial2*g.al5Ix2 - 8*g.OIal1*g.al35Ial2*g.al5Ix2 - 
  8*g.OIx1*g.al35Ial2*g.al5Ix2 - 8*g.al20Ix5*g.al35Ial2*g.al5Ix2 + 
  8*g.al25I1*g.al35Ial2*g.al5Ix2 - 8*g.al25Ix3*g.al35Ial2*g.al5Ix2 + 
  4*pow(g.al35Ial2,2)*g.al5Ix2 - 8*g.OIm1*g.al35Ix4*g.al5Ix2 + 
  8*g.OIal1*g.al35Ix4*g.al5Ix2 + 8*g.OIx1*g.al35Ix4*g.al5Ix2 + 
  8*g.al20Ix5*g.al35Ix4*g.al5Ix2 - 8*g.al25I1*g.al35Ix4*g.al5Ix2 + 
  8*g.al25Ix3*g.al35Ix4*g.al5Ix2 - 8*g.al35Ial2*g.al35Ix4*g.al5Ix2 + 
  4*pow(g.al35Ix4,2)*g.al5Ix2 + 8*g.OIm1*g.al5Ial1*g.al5Ix2 - 
  16*g.OIal1*g.al5Ial1*g.al5Ix2 - 8*g.OIx1*g.al5Ial1*g.al5Ix2 - 
  8*g.al20Ix5*g.al5Ial1*g.al5Ix2 + 8*g.al25I1*g.al5Ial1*g.al5Ix2 - 
  8*g.al25Ix3*g.al5Ial1*g.al5Ix2 + 8*g.al35Ial2*g.al5Ial1*g.al5Ix2 - 
  8*g.al35Ix4*g.al5Ial1*g.al5Ix2 + 4*pow(g.al5Ial1,2)*g.al5Ix2 - 
  4*g.OIm1*pow(g.al5Ix2,2) + 4*g.OIal1*pow(g.al5Ix2,2) + 
  4*g.OIx1*pow(g.al5Ix2,2) + 4*g.al20Ix5*pow(g.al5Ix2,2) - 
  4*g.al25I1*pow(g.al5Ix2,2) + 4*g.al25Ix3*pow(g.al5Ix2,2) - 
  4*g.al35Ial2*pow(g.al5Ix2,2) + 4*g.al35Ix4*pow(g.al5Ix2,2) - 
  4*g.al5Ial1*pow(g.al5Ix2,2) + (4*pow(g.al5Ix2,3))/3. - 
  8*g.OIm1*g.OIal5Ial1 + 16*g.OIal1*g.OIal5Ial1 + 
  8*g.OIx1*g.OIal5Ial1 - 8*g.OIx2*g.OIal5Ial1 + 
  8*g.al20Ix5*g.OIal5Ial1 - 8*g.al25I1*g.OIal5Ial1 + 
  8*g.al25Ix3*g.OIal5Ial1 - 8*g.al35Ial2*g.OIal5Ial1 + 
  8*g.al35Ix4*g.OIal5Ial1 - 16*g.al5Ial1*g.OIal5Ial1 + 
  8*g.al5Ix2*g.OIal5Ial1 + 8*g.OIm1*g.OIal5Ix2 - 8*g.OIal1*g.OIal5Ix2 - 
  8*g.OIx1*g.OIal5Ix2 - 8*g.al20Ix5*g.OIal5Ix2 + 
  8*g.al25I1*g.OIal5Ix2 - 8*g.al25Ix3*g.OIal5Ix2 + 
  8*g.al35Ial2*g.OIal5Ix2 - 8*g.al35Ix4*g.OIal5Ix2 + 
  8*g.al5Ial1*g.OIal5Ix2 - 8*g.OIm1*g.al5I0Ial1 + 
  16*g.OIal1*g.al5I0Ial1 + 8*g.OIx1*g.al5I0Ial1 - 
  8*g.OIx2*g.al5I0Ial1 + 8*g.al20Ix5*g.al5I0Ial1 - 
  8*g.al25I1*g.al5I0Ial1 + 8*g.al25Ix3*g.al5I0Ial1 - 
  8*g.al35Ial2*g.al5I0Ial1 + 8*g.al35Ix4*g.al5I0Ial1 - 
  16*g.al5Ial1*g.al5I0Ial1 + 8*g.al5Ix2*g.al5I0Ial1 + 
  8*g.OIm1*g.al5I0Ix2 - 8*g.OIal1*g.al5I0Ix2 - 8*g.OIx1*g.al5I0Ix2 - 
  8*g.al20Ix5*g.al5I0Ix2 + 8*g.al25I1*g.al5I0Ix2 - 
  8*g.al25Ix3*g.al5I0Ix2 + 8*g.al35Ial2*g.al5I0Ix2 - 
  8*g.al35Ix4*g.al5I0Ix2 + 8*g.al5Ial1*g.al5I0Ix2 - 8*g.OI0Ial5Ial1 + 
  8*g.OI0Ial5Ix2 - 8*g.OIal5I0Ial1 + 8*g.OIal5I0Ix2 + 8*g.OIal5Ial5Ial1 - 
  8*g.OIal5Ial5Ix2 - 8*g.al5I0I0Ial1 + 8*g.al5I0I0Ix2 + 
  8*g.al5I0Ial5Ial1 - 8*g.al5I0Ial5Ix2 + 8*g.al5Ial5I0Ial1 - 
  8*g.al5Ial5I0Ix2
;
     ex integre4 =   
 bc4i4 + (64*zeta3*g.OIm1)/3. + (pow(M_PI,2)*pow(g.OIm1,2))/3. - 
  (2*pow(g.OIm1,4))/3. - (64*zeta3*g.OIal1)/3. - 
  (2*pow(M_PI,2)*g.OIm1*g.OIal1)/3. + (8*pow(g.OIm1,3)*g.OIal1)/3. + 
  (pow(M_PI,2)*pow(g.OIal1,2))/3. - 4*pow(g.OIm1,2)*pow(g.OIal1,2) + 
  (8*g.OIm1*pow(g.OIal1,3))/3. - (2*pow(g.OIal1,4))/3. - 
  (64*zeta3*g.OIx1)/3. - (2*pow(M_PI,2)*g.OIm1*g.OIx1)/3. + 
  (8*pow(g.OIm1,3)*g.OIx1)/3. + (2*pow(M_PI,2)*g.OIal1*g.OIx1)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.OIx1 + 8*g.OIm1*pow(g.OIal1,2)*g.OIx1 - 
  (8*pow(g.OIal1,3)*g.OIx1)/3. + (pow(M_PI,2)*pow(g.OIx1,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.OIx1,2) + 8*g.OIm1*g.OIal1*pow(g.OIx1,2) - 
  4*pow(g.OIal1,2)*pow(g.OIx1,2) + (8*g.OIm1*pow(g.OIx1,3))/3. - 
  (8*g.OIal1*pow(g.OIx1,3))/3. - (2*pow(g.OIx1,4))/3. + 
  (64*zeta3*g.OIx2)/3. + (2*pow(M_PI,2)*g.OIm1*g.OIx2)/3. - 
  (8*pow(g.OIm1,3)*g.OIx2)/3. - (2*pow(M_PI,2)*g.OIal1*g.OIx2)/3. + 
  8*pow(g.OIm1,2)*g.OIal1*g.OIx2 - 8*g.OIm1*pow(g.OIal1,2)*g.OIx2 + 
  (8*pow(g.OIal1,3)*g.OIx2)/3. - (2*pow(M_PI,2)*g.OIx1*g.OIx2)/3. + 
  8*pow(g.OIm1,2)*g.OIx1*g.OIx2 - 16*g.OIm1*g.OIal1*g.OIx1*g.OIx2 + 
  8*pow(g.OIal1,2)*g.OIx1*g.OIx2 - 8*g.OIm1*pow(g.OIx1,2)*g.OIx2 + 
  8*g.OIal1*pow(g.OIx1,2)*g.OIx2 + (8*pow(g.OIx1,3)*g.OIx2)/3. + 
  (pow(M_PI,2)*pow(g.OIx2,2))/3. - 4*pow(g.OIm1,2)*pow(g.OIx2,2) + 
  8*g.OIm1*g.OIal1*pow(g.OIx2,2) - 
  4*pow(g.OIal1,2)*pow(g.OIx2,2) + 8*g.OIm1*g.OIx1*pow(g.OIx2,2) - 
  8*g.OIal1*g.OIx1*pow(g.OIx2,2) - 4*pow(g.OIx1,2)*pow(g.OIx2,2) - 
  (8*g.OIm1*pow(g.OIx2,3))/3. + (8*g.OIal1*pow(g.OIx2,3))/3. + 
  (8*g.OIx1*pow(g.OIx2,3))/3. - (2*pow(g.OIx2,4))/3. - 
  (64*zeta3*g.al20Ix5)/3. - (2*pow(M_PI,2)*g.OIm1*g.al20Ix5)/3. + 
  (8*pow(g.OIm1,3)*g.al20Ix5)/3. + 
  (2*pow(M_PI,2)*g.OIal1*g.al20Ix5)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.al20Ix5 + 
  8*g.OIm1*pow(g.OIal1,2)*g.al20Ix5 - 
  (8*pow(g.OIal1,3)*g.al20Ix5)/3. + 
  (2*pow(M_PI,2)*g.OIx1*g.al20Ix5)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.al20Ix5 + 
  16*g.OIm1*g.OIal1*g.OIx1*g.al20Ix5 - 
  8*pow(g.OIal1,2)*g.OIx1*g.al20Ix5 + 
  8*g.OIm1*pow(g.OIx1,2)*g.al20Ix5 - 
  8*g.OIal1*pow(g.OIx1,2)*g.al20Ix5 - 
  (8*pow(g.OIx1,3)*g.al20Ix5)/3. - 
  (2*pow(M_PI,2)*g.OIx2*g.al20Ix5)/3. + 
  8*pow(g.OIm1,2)*g.OIx2*g.al20Ix5 - 
  16*g.OIm1*g.OIal1*g.OIx2*g.al20Ix5 + 
  8*pow(g.OIal1,2)*g.OIx2*g.al20Ix5 - 
  16*g.OIm1*g.OIx1*g.OIx2*g.al20Ix5 + 
  16*g.OIal1*g.OIx1*g.OIx2*g.al20Ix5 + 
  8*pow(g.OIx1,2)*g.OIx2*g.al20Ix5 + 
  8*g.OIm1*pow(g.OIx2,2)*g.al20Ix5 - 
  8*g.OIal1*pow(g.OIx2,2)*g.al20Ix5 - 
  8*g.OIx1*pow(g.OIx2,2)*g.al20Ix5 + 
  (8*pow(g.OIx2,3)*g.al20Ix5)/3. + (pow(M_PI,2)*pow(g.al20Ix5,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al20Ix5,2) + 
  8*g.OIm1*g.OIal1*pow(g.al20Ix5,2) - 
  4*pow(g.OIal1,2)*pow(g.al20Ix5,2) + 
  8*g.OIm1*g.OIx1*pow(g.al20Ix5,2) - 
  8*g.OIal1*g.OIx1*pow(g.al20Ix5,2) - 
  4*pow(g.OIx1,2)*pow(g.al20Ix5,2) - 
  8*g.OIm1*g.OIx2*pow(g.al20Ix5,2) + 
  8*g.OIal1*g.OIx2*pow(g.al20Ix5,2) + 
  8*g.OIx1*g.OIx2*pow(g.al20Ix5,2) - 
  4*pow(g.OIx2,2)*pow(g.al20Ix5,2) + 
  (8*g.OIm1*pow(g.al20Ix5,3))/3. - (8*g.OIal1*pow(g.al20Ix5,3))/3. - 
  (8*g.OIx1*pow(g.al20Ix5,3))/3. + (8*g.OIx2*pow(g.al20Ix5,3))/3. - 
  (2*pow(g.al20Ix5,4))/3. + (64*zeta3*g.al25I1)/3. + 
  (2*pow(M_PI,2)*g.OIm1*g.al25I1)/3. - (8*pow(g.OIm1,3)*g.al25I1)/3. - 
  (2*pow(M_PI,2)*g.OIal1*g.al25I1)/3. + 
  8*pow(g.OIm1,2)*g.OIal1*g.al25I1 - 
  8*g.OIm1*pow(g.OIal1,2)*g.al25I1 + 
  (8*pow(g.OIal1,3)*g.al25I1)/3. - (2*pow(M_PI,2)*g.OIx1*g.al25I1)/3. + 
  8*pow(g.OIm1,2)*g.OIx1*g.al25I1 - 
  16*g.OIm1*g.OIal1*g.OIx1*g.al25I1 + 
  8*pow(g.OIal1,2)*g.OIx1*g.al25I1 - 
  8*g.OIm1*pow(g.OIx1,2)*g.al25I1 + 
  8*g.OIal1*pow(g.OIx1,2)*g.al25I1 + (8*pow(g.OIx1,3)*g.al25I1)/3. + 
  (2*pow(M_PI,2)*g.OIx2*g.al25I1)/3. - 
  8*pow(g.OIm1,2)*g.OIx2*g.al25I1 + 
  16*g.OIm1*g.OIal1*g.OIx2*g.al25I1 - 
  8*pow(g.OIal1,2)*g.OIx2*g.al25I1 + 
  16*g.OIm1*g.OIx1*g.OIx2*g.al25I1 - 
  16*g.OIal1*g.OIx1*g.OIx2*g.al25I1 - 
  8*pow(g.OIx1,2)*g.OIx2*g.al25I1 - 
  8*g.OIm1*pow(g.OIx2,2)*g.al25I1 + 
  8*g.OIal1*pow(g.OIx2,2)*g.al25I1 + 
  8*g.OIx1*pow(g.OIx2,2)*g.al25I1 - (8*pow(g.OIx2,3)*g.al25I1)/3. - 
  (2*pow(M_PI,2)*g.al20Ix5*g.al25I1)/3. + 
  8*pow(g.OIm1,2)*g.al20Ix5*g.al25I1 - 
  16*g.OIm1*g.OIal1*g.al20Ix5*g.al25I1 + 
  8*pow(g.OIal1,2)*g.al20Ix5*g.al25I1 - 
  16*g.OIm1*g.OIx1*g.al20Ix5*g.al25I1 + 
  16*g.OIal1*g.OIx1*g.al20Ix5*g.al25I1 + 
  8*pow(g.OIx1,2)*g.al20Ix5*g.al25I1 + 
  16*g.OIm1*g.OIx2*g.al20Ix5*g.al25I1 - 
  16*g.OIal1*g.OIx2*g.al20Ix5*g.al25I1 - 
  16*g.OIx1*g.OIx2*g.al20Ix5*g.al25I1 + 
  8*pow(g.OIx2,2)*g.al20Ix5*g.al25I1 - 
  8*g.OIm1*pow(g.al20Ix5,2)*g.al25I1 + 
  8*g.OIal1*pow(g.al20Ix5,2)*g.al25I1 + 
  8*g.OIx1*pow(g.al20Ix5,2)*g.al25I1 - 
  8*g.OIx2*pow(g.al20Ix5,2)*g.al25I1 + 
  (8*pow(g.al20Ix5,3)*g.al25I1)/3. + 
  (pow(M_PI,2)*pow(g.al25I1,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al25I1,2) + 
  8*g.OIm1*g.OIal1*pow(g.al25I1,2) - 
  4*pow(g.OIal1,2)*pow(g.al25I1,2) + 
  8*g.OIm1*g.OIx1*pow(g.al25I1,2) - 
  8*g.OIal1*g.OIx1*pow(g.al25I1,2) - 
  4*pow(g.OIx1,2)*pow(g.al25I1,2) - 
  8*g.OIm1*g.OIx2*pow(g.al25I1,2) + 
  8*g.OIal1*g.OIx2*pow(g.al25I1,2) + 
  8*g.OIx1*g.OIx2*pow(g.al25I1,2) - 
  4*pow(g.OIx2,2)*pow(g.al25I1,2) + 
  8*g.OIm1*g.al20Ix5*pow(g.al25I1,2) - 
  8*g.OIal1*g.al20Ix5*pow(g.al25I1,2) - 
  8*g.OIx1*g.al20Ix5*pow(g.al25I1,2) + 
  8*g.OIx2*g.al20Ix5*pow(g.al25I1,2) - 
  4*pow(g.al20Ix5,2)*pow(g.al25I1,2) - 
  (8*g.OIm1*pow(g.al25I1,3))/3. + (8*g.OIal1*pow(g.al25I1,3))/3. + 
  (8*g.OIx1*pow(g.al25I1,3))/3. - (8*g.OIx2*pow(g.al25I1,3))/3. + 
  (8*g.al20Ix5*pow(g.al25I1,3))/3. - (2*pow(g.al25I1,4))/3. - 
  (64*zeta3*g.al25Ix3)/3. - (2*pow(M_PI,2)*g.OIm1*g.al25Ix3)/3. + 
  (8*pow(g.OIm1,3)*g.al25Ix3)/3. + 
  (2*pow(M_PI,2)*g.OIal1*g.al25Ix3)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.al25Ix3 + 
  8*g.OIm1*pow(g.OIal1,2)*g.al25Ix3 - 
  (8*pow(g.OIal1,3)*g.al25Ix3)/3. + 
  (2*pow(M_PI,2)*g.OIx1*g.al25Ix3)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.al25Ix3 + 
  16*g.OIm1*g.OIal1*g.OIx1*g.al25Ix3 - 
  8*pow(g.OIal1,2)*g.OIx1*g.al25Ix3 + 
  8*g.OIm1*pow(g.OIx1,2)*g.al25Ix3 - 
  8*g.OIal1*pow(g.OIx1,2)*g.al25Ix3 - 
  (8*pow(g.OIx1,3)*g.al25Ix3)/3. - 
  (2*pow(M_PI,2)*g.OIx2*g.al25Ix3)/3. + 
  8*pow(g.OIm1,2)*g.OIx2*g.al25Ix3 - 
  16*g.OIm1*g.OIal1*g.OIx2*g.al25Ix3 + 
  8*pow(g.OIal1,2)*g.OIx2*g.al25Ix3 - 
  16*g.OIm1*g.OIx1*g.OIx2*g.al25Ix3 + 
  16*g.OIal1*g.OIx1*g.OIx2*g.al25Ix3 + 
  8*pow(g.OIx1,2)*g.OIx2*g.al25Ix3 + 
  8*g.OIm1*pow(g.OIx2,2)*g.al25Ix3 - 
  8*g.OIal1*pow(g.OIx2,2)*g.al25Ix3 - 
  8*g.OIx1*pow(g.OIx2,2)*g.al25Ix3 + 
  (8*pow(g.OIx2,3)*g.al25Ix3)/3. + 
  (2*pow(M_PI,2)*g.al20Ix5*g.al25Ix3)/3. - 
  8*pow(g.OIm1,2)*g.al20Ix5*g.al25Ix3 + 
  16*g.OIm1*g.OIal1*g.al20Ix5*g.al25Ix3 - 
  8*pow(g.OIal1,2)*g.al20Ix5*g.al25Ix3 + 
  16*g.OIm1*g.OIx1*g.al20Ix5*g.al25Ix3 - 
  16*g.OIal1*g.OIx1*g.al20Ix5*g.al25Ix3 - 
  8*pow(g.OIx1,2)*g.al20Ix5*g.al25Ix3 - 
  16*g.OIm1*g.OIx2*g.al20Ix5*g.al25Ix3 + 
  16*g.OIal1*g.OIx2*g.al20Ix5*g.al25Ix3 + 
  16*g.OIx1*g.OIx2*g.al20Ix5*g.al25Ix3 - 
  8*pow(g.OIx2,2)*g.al20Ix5*g.al25Ix3 + 
  8*g.OIm1*pow(g.al20Ix5,2)*g.al25Ix3 - 
  8*g.OIal1*pow(g.al20Ix5,2)*g.al25Ix3 - 
  8*g.OIx1*pow(g.al20Ix5,2)*g.al25Ix3 + 
  8*g.OIx2*pow(g.al20Ix5,2)*g.al25Ix3 - 
  (8*pow(g.al20Ix5,3)*g.al25Ix3)/3. - 
  (2*pow(M_PI,2)*g.al25I1*g.al25Ix3)/3. + 
  8*pow(g.OIm1,2)*g.al25I1*g.al25Ix3 - 
  16*g.OIm1*g.OIal1*g.al25I1*g.al25Ix3 + 
  8*pow(g.OIal1,2)*g.al25I1*g.al25Ix3 - 
  16*g.OIm1*g.OIx1*g.al25I1*g.al25Ix3 + 
  16*g.OIal1*g.OIx1*g.al25I1*g.al25Ix3 + 
  8*pow(g.OIx1,2)*g.al25I1*g.al25Ix3 + 
  16*g.OIm1*g.OIx2*g.al25I1*g.al25Ix3 - 
  16*g.OIal1*g.OIx2*g.al25I1*g.al25Ix3 - 
  16*g.OIx1*g.OIx2*g.al25I1*g.al25Ix3 + 
  8*pow(g.OIx2,2)*g.al25I1*g.al25Ix3 - 
  16*g.OIm1*g.al20Ix5*g.al25I1*g.al25Ix3 + 
  16*g.OIal1*g.al20Ix5*g.al25I1*g.al25Ix3 + 
  16*g.OIx1*g.al20Ix5*g.al25I1*g.al25Ix3 - 
  16*g.OIx2*g.al20Ix5*g.al25I1*g.al25Ix3 + 
  8*pow(g.al20Ix5,2)*g.al25I1*g.al25Ix3 + 
  8*g.OIm1*pow(g.al25I1,2)*g.al25Ix3 - 
  8*g.OIal1*pow(g.al25I1,2)*g.al25Ix3 - 
  8*g.OIx1*pow(g.al25I1,2)*g.al25Ix3 + 
  8*g.OIx2*pow(g.al25I1,2)*g.al25Ix3 - 
  8*g.al20Ix5*pow(g.al25I1,2)*g.al25Ix3 + 
  (8*pow(g.al25I1,3)*g.al25Ix3)/3. + 
  (pow(M_PI,2)*pow(g.al25Ix3,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al25Ix3,2) + 
  8*g.OIm1*g.OIal1*pow(g.al25Ix3,2) - 
  4*pow(g.OIal1,2)*pow(g.al25Ix3,2) + 
  8*g.OIm1*g.OIx1*pow(g.al25Ix3,2) - 
  8*g.OIal1*g.OIx1*pow(g.al25Ix3,2) - 
  4*pow(g.OIx1,2)*pow(g.al25Ix3,2) - 
  8*g.OIm1*g.OIx2*pow(g.al25Ix3,2) + 
  8*g.OIal1*g.OIx2*pow(g.al25Ix3,2) + 
  8*g.OIx1*g.OIx2*pow(g.al25Ix3,2) - 
  4*pow(g.OIx2,2)*pow(g.al25Ix3,2) + 
  8*g.OIm1*g.al20Ix5*pow(g.al25Ix3,2) - 
  8*g.OIal1*g.al20Ix5*pow(g.al25Ix3,2) - 
  8*g.OIx1*g.al20Ix5*pow(g.al25Ix3,2) + 
  8*g.OIx2*g.al20Ix5*pow(g.al25Ix3,2) - 
  4*pow(g.al20Ix5,2)*pow(g.al25Ix3,2) - 
  8*g.OIm1*g.al25I1*pow(g.al25Ix3,2) + 
  8*g.OIal1*g.al25I1*pow(g.al25Ix3,2) + 
  8*g.OIx1*g.al25I1*pow(g.al25Ix3,2) - 
  8*g.OIx2*g.al25I1*pow(g.al25Ix3,2) + 
  8*g.al20Ix5*g.al25I1*pow(g.al25Ix3,2) - 
  4*pow(g.al25I1,2)*pow(g.al25Ix3,2) + 
  (8*g.OIm1*pow(g.al25Ix3,3))/3. - (8*g.OIal1*pow(g.al25Ix3,3))/3. - 
  (8*g.OIx1*pow(g.al25Ix3,3))/3. + (8*g.OIx2*pow(g.al25Ix3,3))/3. - 
  (8*g.al20Ix5*pow(g.al25Ix3,3))/3. + 
  (8*g.al25I1*pow(g.al25Ix3,3))/3. - (2*pow(g.al25Ix3,4))/3. + 
  (64*zeta3*g.al35Ial2)/3. + (2*pow(M_PI,2)*g.OIm1*g.al35Ial2)/3. - 
  (8*pow(g.OIm1,3)*g.al35Ial2)/3. - 
  (2*pow(M_PI,2)*g.OIal1*g.al35Ial2)/3. + 
  8*pow(g.OIm1,2)*g.OIal1*g.al35Ial2 - 
  8*g.OIm1*pow(g.OIal1,2)*g.al35Ial2 + 
  (8*pow(g.OIal1,3)*g.al35Ial2)/3. - 
  (2*pow(M_PI,2)*g.OIx1*g.al35Ial2)/3. + 
  8*pow(g.OIm1,2)*g.OIx1*g.al35Ial2 - 
  16*g.OIm1*g.OIal1*g.OIx1*g.al35Ial2 + 
  8*pow(g.OIal1,2)*g.OIx1*g.al35Ial2 - 
  8*g.OIm1*pow(g.OIx1,2)*g.al35Ial2 + 
  8*g.OIal1*pow(g.OIx1,2)*g.al35Ial2 + 
  (8*pow(g.OIx1,3)*g.al35Ial2)/3. + 
  (2*pow(M_PI,2)*g.OIx2*g.al35Ial2)/3. - 
  8*pow(g.OIm1,2)*g.OIx2*g.al35Ial2 + 
  16*g.OIm1*g.OIal1*g.OIx2*g.al35Ial2 - 
  8*pow(g.OIal1,2)*g.OIx2*g.al35Ial2 + 
  16*g.OIm1*g.OIx1*g.OIx2*g.al35Ial2 - 
  16*g.OIal1*g.OIx1*g.OIx2*g.al35Ial2 - 
  8*pow(g.OIx1,2)*g.OIx2*g.al35Ial2 - 
  8*g.OIm1*pow(g.OIx2,2)*g.al35Ial2 + 
  8*g.OIal1*pow(g.OIx2,2)*g.al35Ial2 + 
  8*g.OIx1*pow(g.OIx2,2)*g.al35Ial2 - 
  (8*pow(g.OIx2,3)*g.al35Ial2)/3. - 
  (2*pow(M_PI,2)*g.al20Ix5*g.al35Ial2)/3. + 
  8*pow(g.OIm1,2)*g.al20Ix5*g.al35Ial2 - 
  16*g.OIm1*g.OIal1*g.al20Ix5*g.al35Ial2 + 
  8*pow(g.OIal1,2)*g.al20Ix5*g.al35Ial2 - 
  16*g.OIm1*g.OIx1*g.al20Ix5*g.al35Ial2 + 
  16*g.OIal1*g.OIx1*g.al20Ix5*g.al35Ial2 + 
  8*pow(g.OIx1,2)*g.al20Ix5*g.al35Ial2 + 
  16*g.OIm1*g.OIx2*g.al20Ix5*g.al35Ial2 - 
  16*g.OIal1*g.OIx2*g.al20Ix5*g.al35Ial2 - 
  16*g.OIx1*g.OIx2*g.al20Ix5*g.al35Ial2 + 
  8*pow(g.OIx2,2)*g.al20Ix5*g.al35Ial2 - 
  8*g.OIm1*pow(g.al20Ix5,2)*g.al35Ial2 + 
  8*g.OIal1*pow(g.al20Ix5,2)*g.al35Ial2 + 
  8*g.OIx1*pow(g.al20Ix5,2)*g.al35Ial2 - 
  8*g.OIx2*pow(g.al20Ix5,2)*g.al35Ial2 + 
  (8*pow(g.al20Ix5,3)*g.al35Ial2)/3. + 
  (2*pow(M_PI,2)*g.al25I1*g.al35Ial2)/3. - 
  8*pow(g.OIm1,2)*g.al25I1*g.al35Ial2 + 
  16*g.OIm1*g.OIal1*g.al25I1*g.al35Ial2 - 
  8*pow(g.OIal1,2)*g.al25I1*g.al35Ial2 + 
  16*g.OIm1*g.OIx1*g.al25I1*g.al35Ial2 - 
  16*g.OIal1*g.OIx1*g.al25I1*g.al35Ial2 - 
  8*pow(g.OIx1,2)*g.al25I1*g.al35Ial2 - 
  16*g.OIm1*g.OIx2*g.al25I1*g.al35Ial2 + 
  16*g.OIal1*g.OIx2*g.al25I1*g.al35Ial2 + 
  16*g.OIx1*g.OIx2*g.al25I1*g.al35Ial2 - 
  8*pow(g.OIx2,2)*g.al25I1*g.al35Ial2 + 
  16*g.OIm1*g.al20Ix5*g.al25I1*g.al35Ial2 - 
  16*g.OIal1*g.al20Ix5*g.al25I1*g.al35Ial2 - 
  16*g.OIx1*g.al20Ix5*g.al25I1*g.al35Ial2 + 
  16*g.OIx2*g.al20Ix5*g.al25I1*g.al35Ial2 - 
  8*pow(g.al20Ix5,2)*g.al25I1*g.al35Ial2 - 
  8*g.OIm1*pow(g.al25I1,2)*g.al35Ial2 + 
  8*g.OIal1*pow(g.al25I1,2)*g.al35Ial2 + 
  8*g.OIx1*pow(g.al25I1,2)*g.al35Ial2 - 
  8*g.OIx2*pow(g.al25I1,2)*g.al35Ial2 + 
  8*g.al20Ix5*pow(g.al25I1,2)*g.al35Ial2 - 
  (8*pow(g.al25I1,3)*g.al35Ial2)/3. - 
  (2*pow(M_PI,2)*g.al25Ix3*g.al35Ial2)/3. + 
  8*pow(g.OIm1,2)*g.al25Ix3*g.al35Ial2 - 
  16*g.OIm1*g.OIal1*g.al25Ix3*g.al35Ial2 + 
  8*pow(g.OIal1,2)*g.al25Ix3*g.al35Ial2 - 
  16*g.OIm1*g.OIx1*g.al25Ix3*g.al35Ial2 + 
  16*g.OIal1*g.OIx1*g.al25Ix3*g.al35Ial2 + 
  8*pow(g.OIx1,2)*g.al25Ix3*g.al35Ial2 + 
  16*g.OIm1*g.OIx2*g.al25Ix3*g.al35Ial2 - 
  16*g.OIal1*g.OIx2*g.al25Ix3*g.al35Ial2 - 
  16*g.OIx1*g.OIx2*g.al25Ix3*g.al35Ial2 + 
  8*pow(g.OIx2,2)*g.al25Ix3*g.al35Ial2 - 
  16*g.OIm1*g.al20Ix5*g.al25Ix3*g.al35Ial2 + 
  16*g.OIal1*g.al20Ix5*g.al25Ix3*g.al35Ial2 + 
  16*g.OIx1*g.al20Ix5*g.al25Ix3*g.al35Ial2 - 
  16*g.OIx2*g.al20Ix5*g.al25Ix3*g.al35Ial2 + 
  8*pow(g.al20Ix5,2)*g.al25Ix3*g.al35Ial2 + 
  16*g.OIm1*g.al25I1*g.al25Ix3*g.al35Ial2 - 
  16*g.OIal1*g.al25I1*g.al25Ix3*g.al35Ial2 - 
  16*g.OIx1*g.al25I1*g.al25Ix3*g.al35Ial2 + 
  16*g.OIx2*g.al25I1*g.al25Ix3*g.al35Ial2 - 
  16*g.al20Ix5*g.al25I1*g.al25Ix3*g.al35Ial2 + 
  8*pow(g.al25I1,2)*g.al25Ix3*g.al35Ial2 - 
  8*g.OIm1*pow(g.al25Ix3,2)*g.al35Ial2 + 
  8*g.OIal1*pow(g.al25Ix3,2)*g.al35Ial2 + 
  8*g.OIx1*pow(g.al25Ix3,2)*g.al35Ial2 - 
  8*g.OIx2*pow(g.al25Ix3,2)*g.al35Ial2 + 
  8*g.al20Ix5*pow(g.al25Ix3,2)*g.al35Ial2 - 
  8*g.al25I1*pow(g.al25Ix3,2)*g.al35Ial2 + 
  (8*pow(g.al25Ix3,3)*g.al35Ial2)/3. + 
  (pow(M_PI,2)*pow(g.al35Ial2,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al35Ial2,2) + 
  8*g.OIm1*g.OIal1*pow(g.al35Ial2,2) - 
  4*pow(g.OIal1,2)*pow(g.al35Ial2,2) + 
  8*g.OIm1*g.OIx1*pow(g.al35Ial2,2) - 
  8*g.OIal1*g.OIx1*pow(g.al35Ial2,2) - 
  4*pow(g.OIx1,2)*pow(g.al35Ial2,2) - 
  8*g.OIm1*g.OIx2*pow(g.al35Ial2,2) + 
  8*g.OIal1*g.OIx2*pow(g.al35Ial2,2) + 
  8*g.OIx1*g.OIx2*pow(g.al35Ial2,2) - 
  4*pow(g.OIx2,2)*pow(g.al35Ial2,2) + 
  8*g.OIm1*g.al20Ix5*pow(g.al35Ial2,2) - 
  8*g.OIal1*g.al20Ix5*pow(g.al35Ial2,2) - 
  8*g.OIx1*g.al20Ix5*pow(g.al35Ial2,2) + 
  8*g.OIx2*g.al20Ix5*pow(g.al35Ial2,2) - 
  4*pow(g.al20Ix5,2)*pow(g.al35Ial2,2) - 
  8*g.OIm1*g.al25I1*pow(g.al35Ial2,2) + 
  8*g.OIal1*g.al25I1*pow(g.al35Ial2,2) + 
  8*g.OIx1*g.al25I1*pow(g.al35Ial2,2) - 
  8*g.OIx2*g.al25I1*pow(g.al35Ial2,2) + 
  8*g.al20Ix5*g.al25I1*pow(g.al35Ial2,2) - 
  4*pow(g.al25I1,2)*pow(g.al35Ial2,2) + 
  8*g.OIm1*g.al25Ix3*pow(g.al35Ial2,2) - 
  8*g.OIal1*g.al25Ix3*pow(g.al35Ial2,2) - 
  8*g.OIx1*g.al25Ix3*pow(g.al35Ial2,2) + 
  8*g.OIx2*g.al25Ix3*pow(g.al35Ial2,2) - 
  8*g.al20Ix5*g.al25Ix3*pow(g.al35Ial2,2) + 
  8*g.al25I1*g.al25Ix3*pow(g.al35Ial2,2) - 
  4*pow(g.al25Ix3,2)*pow(g.al35Ial2,2) - 
  (8*g.OIm1*pow(g.al35Ial2,3))/3. + 
  (8*g.OIal1*pow(g.al35Ial2,3))/3. + 
  (8*g.OIx1*pow(g.al35Ial2,3))/3. - (8*g.OIx2*pow(g.al35Ial2,3))/3. + 
  (8*g.al20Ix5*pow(g.al35Ial2,3))/3. - 
  (8*g.al25I1*pow(g.al35Ial2,3))/3. + 
  (8*g.al25Ix3*pow(g.al35Ial2,3))/3. - (2*pow(g.al35Ial2,4))/3. - 
  (64*zeta3*g.al35Ix4)/3. - (2*pow(M_PI,2)*g.OIm1*g.al35Ix4)/3. + 
  (8*pow(g.OIm1,3)*g.al35Ix4)/3. + 
  (2*pow(M_PI,2)*g.OIal1*g.al35Ix4)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.al35Ix4 + 
  8*g.OIm1*pow(g.OIal1,2)*g.al35Ix4 - 
  (8*pow(g.OIal1,3)*g.al35Ix4)/3. + 
  (2*pow(M_PI,2)*g.OIx1*g.al35Ix4)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.al35Ix4 + 
  16*g.OIm1*g.OIal1*g.OIx1*g.al35Ix4 - 
  8*pow(g.OIal1,2)*g.OIx1*g.al35Ix4 + 
  8*g.OIm1*pow(g.OIx1,2)*g.al35Ix4 - 
  8*g.OIal1*pow(g.OIx1,2)*g.al35Ix4 - 
  (8*pow(g.OIx1,3)*g.al35Ix4)/3. - 
  (2*pow(M_PI,2)*g.OIx2*g.al35Ix4)/3. + 
  8*pow(g.OIm1,2)*g.OIx2*g.al35Ix4 - 
  16*g.OIm1*g.OIal1*g.OIx2*g.al35Ix4 + 
  8*pow(g.OIal1,2)*g.OIx2*g.al35Ix4 - 
  16*g.OIm1*g.OIx1*g.OIx2*g.al35Ix4 + 
  16*g.OIal1*g.OIx1*g.OIx2*g.al35Ix4 + 
  8*pow(g.OIx1,2)*g.OIx2*g.al35Ix4 + 
  8*g.OIm1*pow(g.OIx2,2)*g.al35Ix4 - 
  8*g.OIal1*pow(g.OIx2,2)*g.al35Ix4 - 
  8*g.OIx1*pow(g.OIx2,2)*g.al35Ix4 + 
  (8*pow(g.OIx2,3)*g.al35Ix4)/3. + 
  (2*pow(M_PI,2)*g.al20Ix5*g.al35Ix4)/3. - 
  8*pow(g.OIm1,2)*g.al20Ix5*g.al35Ix4 + 
  16*g.OIm1*g.OIal1*g.al20Ix5*g.al35Ix4 - 
  8*pow(g.OIal1,2)*g.al20Ix5*g.al35Ix4 + 
  16*g.OIm1*g.OIx1*g.al20Ix5*g.al35Ix4 - 
  16*g.OIal1*g.OIx1*g.al20Ix5*g.al35Ix4 - 
  8*pow(g.OIx1,2)*g.al20Ix5*g.al35Ix4 - 
  16*g.OIm1*g.OIx2*g.al20Ix5*g.al35Ix4 + 
  16*g.OIal1*g.OIx2*g.al20Ix5*g.al35Ix4 + 
  16*g.OIx1*g.OIx2*g.al20Ix5*g.al35Ix4 - 
  8*pow(g.OIx2,2)*g.al20Ix5*g.al35Ix4 + 
  8*g.OIm1*pow(g.al20Ix5,2)*g.al35Ix4 - 
  8*g.OIal1*pow(g.al20Ix5,2)*g.al35Ix4 - 
  8*g.OIx1*pow(g.al20Ix5,2)*g.al35Ix4 + 
  8*g.OIx2*pow(g.al20Ix5,2)*g.al35Ix4 - 
  (8*pow(g.al20Ix5,3)*g.al35Ix4)/3. - 
  (2*pow(M_PI,2)*g.al25I1*g.al35Ix4)/3. + 
  8*pow(g.OIm1,2)*g.al25I1*g.al35Ix4 - 
  16*g.OIm1*g.OIal1*g.al25I1*g.al35Ix4 + 
  8*pow(g.OIal1,2)*g.al25I1*g.al35Ix4 - 
  16*g.OIm1*g.OIx1*g.al25I1*g.al35Ix4 + 
  16*g.OIal1*g.OIx1*g.al25I1*g.al35Ix4 + 
  8*pow(g.OIx1,2)*g.al25I1*g.al35Ix4 + 
  16*g.OIm1*g.OIx2*g.al25I1*g.al35Ix4 - 
  16*g.OIal1*g.OIx2*g.al25I1*g.al35Ix4 - 
  16*g.OIx1*g.OIx2*g.al25I1*g.al35Ix4 + 
  8*pow(g.OIx2,2)*g.al25I1*g.al35Ix4 - 
  16*g.OIm1*g.al20Ix5*g.al25I1*g.al35Ix4 + 
  16*g.OIal1*g.al20Ix5*g.al25I1*g.al35Ix4 + 
  16*g.OIx1*g.al20Ix5*g.al25I1*g.al35Ix4 - 
  16*g.OIx2*g.al20Ix5*g.al25I1*g.al35Ix4 + 
  8*pow(g.al20Ix5,2)*g.al25I1*g.al35Ix4 + 
  8*g.OIm1*pow(g.al25I1,2)*g.al35Ix4 - 
  8*g.OIal1*pow(g.al25I1,2)*g.al35Ix4 - 
  8*g.OIx1*pow(g.al25I1,2)*g.al35Ix4 + 
  8*g.OIx2*pow(g.al25I1,2)*g.al35Ix4 - 
  8*g.al20Ix5*pow(g.al25I1,2)*g.al35Ix4 + 
  (8*pow(g.al25I1,3)*g.al35Ix4)/3. + 
  (2*pow(M_PI,2)*g.al25Ix3*g.al35Ix4)/3. - 
  8*pow(g.OIm1,2)*g.al25Ix3*g.al35Ix4 + 
  16*g.OIm1*g.OIal1*g.al25Ix3*g.al35Ix4 - 
  8*pow(g.OIal1,2)*g.al25Ix3*g.al35Ix4 + 
  16*g.OIm1*g.OIx1*g.al25Ix3*g.al35Ix4 - 
  16*g.OIal1*g.OIx1*g.al25Ix3*g.al35Ix4 - 
  8*pow(g.OIx1,2)*g.al25Ix3*g.al35Ix4 - 
  16*g.OIm1*g.OIx2*g.al25Ix3*g.al35Ix4 + 
  16*g.OIal1*g.OIx2*g.al25Ix3*g.al35Ix4 + 
  16*g.OIx1*g.OIx2*g.al25Ix3*g.al35Ix4 - 
  8*pow(g.OIx2,2)*g.al25Ix3*g.al35Ix4 + 
  16*g.OIm1*g.al20Ix5*g.al25Ix3*g.al35Ix4 - 
  16*g.OIal1*g.al20Ix5*g.al25Ix3*g.al35Ix4 - 
  16*g.OIx1*g.al20Ix5*g.al25Ix3*g.al35Ix4 + 
  16*g.OIx2*g.al20Ix5*g.al25Ix3*g.al35Ix4 - 
  8*pow(g.al20Ix5,2)*g.al25Ix3*g.al35Ix4 - 
  16*g.OIm1*g.al25I1*g.al25Ix3*g.al35Ix4 + 
  16*g.OIal1*g.al25I1*g.al25Ix3*g.al35Ix4 + 
  16*g.OIx1*g.al25I1*g.al25Ix3*g.al35Ix4 - 
  16*g.OIx2*g.al25I1*g.al25Ix3*g.al35Ix4 + 
  16*g.al20Ix5*g.al25I1*g.al25Ix3*g.al35Ix4 - 
  8*pow(g.al25I1,2)*g.al25Ix3*g.al35Ix4 + 
  8*g.OIm1*pow(g.al25Ix3,2)*g.al35Ix4 - 
  8*g.OIal1*pow(g.al25Ix3,2)*g.al35Ix4 - 
  8*g.OIx1*pow(g.al25Ix3,2)*g.al35Ix4 + 
  8*g.OIx2*pow(g.al25Ix3,2)*g.al35Ix4 - 
  8*g.al20Ix5*pow(g.al25Ix3,2)*g.al35Ix4 + 
  8*g.al25I1*pow(g.al25Ix3,2)*g.al35Ix4 - 
  (8*pow(g.al25Ix3,3)*g.al35Ix4)/3. - 
  (2*pow(M_PI,2)*g.al35Ial2*g.al35Ix4)/3. + 
  8*pow(g.OIm1,2)*g.al35Ial2*g.al35Ix4 - 
  16*g.OIm1*g.OIal1*g.al35Ial2*g.al35Ix4 + 
  8*pow(g.OIal1,2)*g.al35Ial2*g.al35Ix4 - 
  16*g.OIm1*g.OIx1*g.al35Ial2*g.al35Ix4 + 
  16*g.OIal1*g.OIx1*g.al35Ial2*g.al35Ix4 + 
  8*pow(g.OIx1,2)*g.al35Ial2*g.al35Ix4 + 
  16*g.OIm1*g.OIx2*g.al35Ial2*g.al35Ix4 - 
  16*g.OIal1*g.OIx2*g.al35Ial2*g.al35Ix4 - 
  16*g.OIx1*g.OIx2*g.al35Ial2*g.al35Ix4 + 
  8*pow(g.OIx2,2)*g.al35Ial2*g.al35Ix4 - 
  16*g.OIm1*g.al20Ix5*g.al35Ial2*g.al35Ix4 + 
  16*g.OIal1*g.al20Ix5*g.al35Ial2*g.al35Ix4 + 
  16*g.OIx1*g.al20Ix5*g.al35Ial2*g.al35Ix4 - 
  16*g.OIx2*g.al20Ix5*g.al35Ial2*g.al35Ix4 + 
  8*pow(g.al20Ix5,2)*g.al35Ial2*g.al35Ix4 + 
  16*g.OIm1*g.al25I1*g.al35Ial2*g.al35Ix4 - 
  16*g.OIal1*g.al25I1*g.al35Ial2*g.al35Ix4 - 
  16*g.OIx1*g.al25I1*g.al35Ial2*g.al35Ix4 + 
  16*g.OIx2*g.al25I1*g.al35Ial2*g.al35Ix4 - 
  16*g.al20Ix5*g.al25I1*g.al35Ial2*g.al35Ix4 + 
  8*pow(g.al25I1,2)*g.al35Ial2*g.al35Ix4 - 
  16*g.OIm1*g.al25Ix3*g.al35Ial2*g.al35Ix4 + 
  16*g.OIal1*g.al25Ix3*g.al35Ial2*g.al35Ix4 + 
  16*g.OIx1*g.al25Ix3*g.al35Ial2*g.al35Ix4 - 
  16*g.OIx2*g.al25Ix3*g.al35Ial2*g.al35Ix4 + 
  16*g.al20Ix5*g.al25Ix3*g.al35Ial2*g.al35Ix4 - 
  16*g.al25I1*g.al25Ix3*g.al35Ial2*g.al35Ix4 + 
  8*pow(g.al25Ix3,2)*g.al35Ial2*g.al35Ix4 + 
  8*g.OIm1*pow(g.al35Ial2,2)*g.al35Ix4 - 
  8*g.OIal1*pow(g.al35Ial2,2)*g.al35Ix4 - 
  8*g.OIx1*pow(g.al35Ial2,2)*g.al35Ix4 + 
  8*g.OIx2*pow(g.al35Ial2,2)*g.al35Ix4 - 
  8*g.al20Ix5*pow(g.al35Ial2,2)*g.al35Ix4 + 
  8*g.al25I1*pow(g.al35Ial2,2)*g.al35Ix4 - 
  8*g.al25Ix3*pow(g.al35Ial2,2)*g.al35Ix4 + 
  (8*pow(g.al35Ial2,3)*g.al35Ix4)/3. + 
  (pow(M_PI,2)*pow(g.al35Ix4,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al35Ix4,2) + 
  8*g.OIm1*g.OIal1*pow(g.al35Ix4,2) - 
  4*pow(g.OIal1,2)*pow(g.al35Ix4,2) + 
  8*g.OIm1*g.OIx1*pow(g.al35Ix4,2) - 
  8*g.OIal1*g.OIx1*pow(g.al35Ix4,2) - 
  4*pow(g.OIx1,2)*pow(g.al35Ix4,2) - 
  8*g.OIm1*g.OIx2*pow(g.al35Ix4,2) + 
  8*g.OIal1*g.OIx2*pow(g.al35Ix4,2) + 
  8*g.OIx1*g.OIx2*pow(g.al35Ix4,2) - 
  4*pow(g.OIx2,2)*pow(g.al35Ix4,2) + 
  8*g.OIm1*g.al20Ix5*pow(g.al35Ix4,2) - 
  8*g.OIal1*g.al20Ix5*pow(g.al35Ix4,2) - 
  8*g.OIx1*g.al20Ix5*pow(g.al35Ix4,2) + 
  8*g.OIx2*g.al20Ix5*pow(g.al35Ix4,2) - 
  4*pow(g.al20Ix5,2)*pow(g.al35Ix4,2) - 
  8*g.OIm1*g.al25I1*pow(g.al35Ix4,2) + 
  8*g.OIal1*g.al25I1*pow(g.al35Ix4,2) + 
  8*g.OIx1*g.al25I1*pow(g.al35Ix4,2) - 
  8*g.OIx2*g.al25I1*pow(g.al35Ix4,2) + 
  8*g.al20Ix5*g.al25I1*pow(g.al35Ix4,2) - 
  4*pow(g.al25I1,2)*pow(g.al35Ix4,2) + 
  8*g.OIm1*g.al25Ix3*pow(g.al35Ix4,2) - 
  8*g.OIal1*g.al25Ix3*pow(g.al35Ix4,2) - 
  8*g.OIx1*g.al25Ix3*pow(g.al35Ix4,2) + 
  8*g.OIx2*g.al25Ix3*pow(g.al35Ix4,2) - 
  8*g.al20Ix5*g.al25Ix3*pow(g.al35Ix4,2) + 
  8*g.al25I1*g.al25Ix3*pow(g.al35Ix4,2) - 
  4*pow(g.al25Ix3,2)*pow(g.al35Ix4,2) - 
  8*g.OIm1*g.al35Ial2*pow(g.al35Ix4,2) + 
  8*g.OIal1*g.al35Ial2*pow(g.al35Ix4,2) + 
  8*g.OIx1*g.al35Ial2*pow(g.al35Ix4,2) - 
  8*g.OIx2*g.al35Ial2*pow(g.al35Ix4,2) + 
  8*g.al20Ix5*g.al35Ial2*pow(g.al35Ix4,2) - 
  8*g.al25I1*g.al35Ial2*pow(g.al35Ix4,2) + 
  8*g.al25Ix3*g.al35Ial2*pow(g.al35Ix4,2) - 
  4*pow(g.al35Ial2,2)*pow(g.al35Ix4,2) + 
  (8*g.OIm1*pow(g.al35Ix4,3))/3. - (8*g.OIal1*pow(g.al35Ix4,3))/3. - 
  (8*g.OIx1*pow(g.al35Ix4,3))/3. + (8*g.OIx2*pow(g.al35Ix4,3))/3. - 
  (8*g.al20Ix5*pow(g.al35Ix4,3))/3. + 
  (8*g.al25I1*pow(g.al35Ix4,3))/3. - 
  (8*g.al25Ix3*pow(g.al35Ix4,3))/3. + 
  (8*g.al35Ial2*pow(g.al35Ix4,3))/3. - (2*pow(g.al35Ix4,4))/3. + 
  (64*zeta3*g.al5Ial1)/3. + (2*pow(M_PI,2)*g.OIm1*g.al5Ial1)/3. - 
  (8*pow(g.OIm1,3)*g.al5Ial1)/3. - 
  (4*pow(M_PI,2)*g.OIal1*g.al5Ial1)/3. + 
  16*pow(g.OIm1,2)*g.OIal1*g.al5Ial1 - 
  32*g.OIm1*pow(g.OIal1,2)*g.al5Ial1 + 
  (64*pow(g.OIal1,3)*g.al5Ial1)/3. - 
  (2*pow(M_PI,2)*g.OIx1*g.al5Ial1)/3. + 
  8*pow(g.OIm1,2)*g.OIx1*g.al5Ial1 - 
  32*g.OIm1*g.OIal1*g.OIx1*g.al5Ial1 + 
  32*pow(g.OIal1,2)*g.OIx1*g.al5Ial1 - 
  8*g.OIm1*pow(g.OIx1,2)*g.al5Ial1 + 
  16*g.OIal1*pow(g.OIx1,2)*g.al5Ial1 + 
  (8*pow(g.OIx1,3)*g.al5Ial1)/3. + 
  (2*pow(M_PI,2)*g.OIx2*g.al5Ial1)/3. - 
  8*pow(g.OIm1,2)*g.OIx2*g.al5Ial1 + 
  32*g.OIm1*g.OIal1*g.OIx2*g.al5Ial1 - 
  32*pow(g.OIal1,2)*g.OIx2*g.al5Ial1 + 
  16*g.OIm1*g.OIx1*g.OIx2*g.al5Ial1 - 
  32*g.OIal1*g.OIx1*g.OIx2*g.al5Ial1 - 
  8*pow(g.OIx1,2)*g.OIx2*g.al5Ial1 - 
  8*g.OIm1*pow(g.OIx2,2)*g.al5Ial1 + 
  16*g.OIal1*pow(g.OIx2,2)*g.al5Ial1 + 
  8*g.OIx1*pow(g.OIx2,2)*g.al5Ial1 - 
  (8*pow(g.OIx2,3)*g.al5Ial1)/3. - 
  (2*pow(M_PI,2)*g.al20Ix5*g.al5Ial1)/3. + 
  8*pow(g.OIm1,2)*g.al20Ix5*g.al5Ial1 - 
  32*g.OIm1*g.OIal1*g.al20Ix5*g.al5Ial1 + 
  32*pow(g.OIal1,2)*g.al20Ix5*g.al5Ial1 - 
  16*g.OIm1*g.OIx1*g.al20Ix5*g.al5Ial1 + 
  32*g.OIal1*g.OIx1*g.al20Ix5*g.al5Ial1 + 
  8*pow(g.OIx1,2)*g.al20Ix5*g.al5Ial1 + 
  16*g.OIm1*g.OIx2*g.al20Ix5*g.al5Ial1 - 
  32*g.OIal1*g.OIx2*g.al20Ix5*g.al5Ial1 - 
  16*g.OIx1*g.OIx2*g.al20Ix5*g.al5Ial1 + 
  8*pow(g.OIx2,2)*g.al20Ix5*g.al5Ial1 - 
  8*g.OIm1*pow(g.al20Ix5,2)*g.al5Ial1 + 
  16*g.OIal1*pow(g.al20Ix5,2)*g.al5Ial1 + 
  8*g.OIx1*pow(g.al20Ix5,2)*g.al5Ial1 - 
  8*g.OIx2*pow(g.al20Ix5,2)*g.al5Ial1 + 
  (8*pow(g.al20Ix5,3)*g.al5Ial1)/3. + 
  (2*pow(M_PI,2)*g.al25I1*g.al5Ial1)/3. - 
  8*pow(g.OIm1,2)*g.al25I1*g.al5Ial1 + 
  32*g.OIm1*g.OIal1*g.al25I1*g.al5Ial1 - 
  32*pow(g.OIal1,2)*g.al25I1*g.al5Ial1 + 
  16*g.OIm1*g.OIx1*g.al25I1*g.al5Ial1 - 
  32*g.OIal1*g.OIx1*g.al25I1*g.al5Ial1 - 
  8*pow(g.OIx1,2)*g.al25I1*g.al5Ial1 - 
  16*g.OIm1*g.OIx2*g.al25I1*g.al5Ial1 + 
  32*g.OIal1*g.OIx2*g.al25I1*g.al5Ial1 + 
  16*g.OIx1*g.OIx2*g.al25I1*g.al5Ial1 - 
  8*pow(g.OIx2,2)*g.al25I1*g.al5Ial1 + 
  16*g.OIm1*g.al20Ix5*g.al25I1*g.al5Ial1 - 
  32*g.OIal1*g.al20Ix5*g.al25I1*g.al5Ial1 - 
  16*g.OIx1*g.al20Ix5*g.al25I1*g.al5Ial1 + 
  16*g.OIx2*g.al20Ix5*g.al25I1*g.al5Ial1 - 
  8*pow(g.al20Ix5,2)*g.al25I1*g.al5Ial1 - 
  8*g.OIm1*pow(g.al25I1,2)*g.al5Ial1 + 
  16*g.OIal1*pow(g.al25I1,2)*g.al5Ial1 + 
  8*g.OIx1*pow(g.al25I1,2)*g.al5Ial1 - 
  8*g.OIx2*pow(g.al25I1,2)*g.al5Ial1 + 
  8*g.al20Ix5*pow(g.al25I1,2)*g.al5Ial1 - 
  (8*pow(g.al25I1,3)*g.al5Ial1)/3. - 
  (2*pow(M_PI,2)*g.al25Ix3*g.al5Ial1)/3. + 
  8*pow(g.OIm1,2)*g.al25Ix3*g.al5Ial1 - 
  32*g.OIm1*g.OIal1*g.al25Ix3*g.al5Ial1 + 
  32*pow(g.OIal1,2)*g.al25Ix3*g.al5Ial1 - 
  16*g.OIm1*g.OIx1*g.al25Ix3*g.al5Ial1 + 
  32*g.OIal1*g.OIx1*g.al25Ix3*g.al5Ial1 + 
  8*pow(g.OIx1,2)*g.al25Ix3*g.al5Ial1 + 
  16*g.OIm1*g.OIx2*g.al25Ix3*g.al5Ial1 - 
  32*g.OIal1*g.OIx2*g.al25Ix3*g.al5Ial1 - 
  16*g.OIx1*g.OIx2*g.al25Ix3*g.al5Ial1 + 
  8*pow(g.OIx2,2)*g.al25Ix3*g.al5Ial1 - 
  16*g.OIm1*g.al20Ix5*g.al25Ix3*g.al5Ial1 + 
  32*g.OIal1*g.al20Ix5*g.al25Ix3*g.al5Ial1 + 
  16*g.OIx1*g.al20Ix5*g.al25Ix3*g.al5Ial1 - 
  16*g.OIx2*g.al20Ix5*g.al25Ix3*g.al5Ial1 + 
  8*pow(g.al20Ix5,2)*g.al25Ix3*g.al5Ial1 + 
  16*g.OIm1*g.al25I1*g.al25Ix3*g.al5Ial1 - 
  32*g.OIal1*g.al25I1*g.al25Ix3*g.al5Ial1 - 
  16*g.OIx1*g.al25I1*g.al25Ix3*g.al5Ial1 + 
  16*g.OIx2*g.al25I1*g.al25Ix3*g.al5Ial1 - 
  16*g.al20Ix5*g.al25I1*g.al25Ix3*g.al5Ial1 + 
  8*pow(g.al25I1,2)*g.al25Ix3*g.al5Ial1 - 
  8*g.OIm1*pow(g.al25Ix3,2)*g.al5Ial1 + 
  16*g.OIal1*pow(g.al25Ix3,2)*g.al5Ial1 + 
  8*g.OIx1*pow(g.al25Ix3,2)*g.al5Ial1 - 
  8*g.OIx2*pow(g.al25Ix3,2)*g.al5Ial1 + 
  8*g.al20Ix5*pow(g.al25Ix3,2)*g.al5Ial1 - 
  8*g.al25I1*pow(g.al25Ix3,2)*g.al5Ial1 + 
  (8*pow(g.al25Ix3,3)*g.al5Ial1)/3. + 
  (2*pow(M_PI,2)*g.al35Ial2*g.al5Ial1)/3. - 
  8*pow(g.OIm1,2)*g.al35Ial2*g.al5Ial1 + 
  32*g.OIm1*g.OIal1*g.al35Ial2*g.al5Ial1 - 
  32*pow(g.OIal1,2)*g.al35Ial2*g.al5Ial1 + 
  16*g.OIm1*g.OIx1*g.al35Ial2*g.al5Ial1 - 
  32*g.OIal1*g.OIx1*g.al35Ial2*g.al5Ial1 - 
  8*pow(g.OIx1,2)*g.al35Ial2*g.al5Ial1 - 
  16*g.OIm1*g.OIx2*g.al35Ial2*g.al5Ial1 + 
  32*g.OIal1*g.OIx2*g.al35Ial2*g.al5Ial1 + 
  16*g.OIx1*g.OIx2*g.al35Ial2*g.al5Ial1 - 
  8*pow(g.OIx2,2)*g.al35Ial2*g.al5Ial1 + 
  16*g.OIm1*g.al20Ix5*g.al35Ial2*g.al5Ial1 - 
  32*g.OIal1*g.al20Ix5*g.al35Ial2*g.al5Ial1 - 
  16*g.OIx1*g.al20Ix5*g.al35Ial2*g.al5Ial1 + 
  16*g.OIx2*g.al20Ix5*g.al35Ial2*g.al5Ial1 - 
  8*pow(g.al20Ix5,2)*g.al35Ial2*g.al5Ial1 - 
  16*g.OIm1*g.al25I1*g.al35Ial2*g.al5Ial1 + 
  32*g.OIal1*g.al25I1*g.al35Ial2*g.al5Ial1 + 
  16*g.OIx1*g.al25I1*g.al35Ial2*g.al5Ial1 - 
  16*g.OIx2*g.al25I1*g.al35Ial2*g.al5Ial1 + 
  16*g.al20Ix5*g.al25I1*g.al35Ial2*g.al5Ial1 - 
  8*pow(g.al25I1,2)*g.al35Ial2*g.al5Ial1 + 
  16*g.OIm1*g.al25Ix3*g.al35Ial2*g.al5Ial1 - 
  32*g.OIal1*g.al25Ix3*g.al35Ial2*g.al5Ial1 - 
  16*g.OIx1*g.al25Ix3*g.al35Ial2*g.al5Ial1 + 
  16*g.OIx2*g.al25Ix3*g.al35Ial2*g.al5Ial1 - 
  16*g.al20Ix5*g.al25Ix3*g.al35Ial2*g.al5Ial1 + 
  16*g.al25I1*g.al25Ix3*g.al35Ial2*g.al5Ial1 - 
  8*pow(g.al25Ix3,2)*g.al35Ial2*g.al5Ial1 - 
  8*g.OIm1*pow(g.al35Ial2,2)*g.al5Ial1 + 
  16*g.OIal1*pow(g.al35Ial2,2)*g.al5Ial1 + 
  8*g.OIx1*pow(g.al35Ial2,2)*g.al5Ial1 - 
  8*g.OIx2*pow(g.al35Ial2,2)*g.al5Ial1 + 
  8*g.al20Ix5*pow(g.al35Ial2,2)*g.al5Ial1 - 
  8*g.al25I1*pow(g.al35Ial2,2)*g.al5Ial1 + 
  8*g.al25Ix3*pow(g.al35Ial2,2)*g.al5Ial1 - 
  (8*pow(g.al35Ial2,3)*g.al5Ial1)/3. - 
  (2*pow(M_PI,2)*g.al35Ix4*g.al5Ial1)/3. + 
  8*pow(g.OIm1,2)*g.al35Ix4*g.al5Ial1 - 
  32*g.OIm1*g.OIal1*g.al35Ix4*g.al5Ial1 + 
  32*pow(g.OIal1,2)*g.al35Ix4*g.al5Ial1 - 
  16*g.OIm1*g.OIx1*g.al35Ix4*g.al5Ial1 + 
  32*g.OIal1*g.OIx1*g.al35Ix4*g.al5Ial1 + 
  8*pow(g.OIx1,2)*g.al35Ix4*g.al5Ial1 + 
  16*g.OIm1*g.OIx2*g.al35Ix4*g.al5Ial1 - 
  32*g.OIal1*g.OIx2*g.al35Ix4*g.al5Ial1 - 
  16*g.OIx1*g.OIx2*g.al35Ix4*g.al5Ial1 + 
  8*pow(g.OIx2,2)*g.al35Ix4*g.al5Ial1 - 
  16*g.OIm1*g.al20Ix5*g.al35Ix4*g.al5Ial1 + 
  32*g.OIal1*g.al20Ix5*g.al35Ix4*g.al5Ial1 + 
  16*g.OIx1*g.al20Ix5*g.al35Ix4*g.al5Ial1 - 
  16*g.OIx2*g.al20Ix5*g.al35Ix4*g.al5Ial1 + 
  8*pow(g.al20Ix5,2)*g.al35Ix4*g.al5Ial1 + 
  16*g.OIm1*g.al25I1*g.al35Ix4*g.al5Ial1 - 
  32*g.OIal1*g.al25I1*g.al35Ix4*g.al5Ial1 - 
  16*g.OIx1*g.al25I1*g.al35Ix4*g.al5Ial1 + 
  16*g.OIx2*g.al25I1*g.al35Ix4*g.al5Ial1 - 
  16*g.al20Ix5*g.al25I1*g.al35Ix4*g.al5Ial1 + 
  8*pow(g.al25I1,2)*g.al35Ix4*g.al5Ial1 - 
  16*g.OIm1*g.al25Ix3*g.al35Ix4*g.al5Ial1 + 
  32*g.OIal1*g.al25Ix3*g.al35Ix4*g.al5Ial1 + 
  16*g.OIx1*g.al25Ix3*g.al35Ix4*g.al5Ial1 - 
  16*g.OIx2*g.al25Ix3*g.al35Ix4*g.al5Ial1 + 
  16*g.al20Ix5*g.al25Ix3*g.al35Ix4*g.al5Ial1 - 
  16*g.al25I1*g.al25Ix3*g.al35Ix4*g.al5Ial1 + 
  8*pow(g.al25Ix3,2)*g.al35Ix4*g.al5Ial1 + 
  16*g.OIm1*g.al35Ial2*g.al35Ix4*g.al5Ial1 - 
  32*g.OIal1*g.al35Ial2*g.al35Ix4*g.al5Ial1 - 
  16*g.OIx1*g.al35Ial2*g.al35Ix4*g.al5Ial1 + 
  16*g.OIx2*g.al35Ial2*g.al35Ix4*g.al5Ial1 - 
  16*g.al20Ix5*g.al35Ial2*g.al35Ix4*g.al5Ial1 + 
  16*g.al25I1*g.al35Ial2*g.al35Ix4*g.al5Ial1 - 
  16*g.al25Ix3*g.al35Ial2*g.al35Ix4*g.al5Ial1 + 
  8*pow(g.al35Ial2,2)*g.al35Ix4*g.al5Ial1 - 
  8*g.OIm1*pow(g.al35Ix4,2)*g.al5Ial1 + 
  16*g.OIal1*pow(g.al35Ix4,2)*g.al5Ial1 + 
  8*g.OIx1*pow(g.al35Ix4,2)*g.al5Ial1 - 
  8*g.OIx2*pow(g.al35Ix4,2)*g.al5Ial1 + 
  8*g.al20Ix5*pow(g.al35Ix4,2)*g.al5Ial1 - 
  8*g.al25I1*pow(g.al35Ix4,2)*g.al5Ial1 + 
  8*g.al25Ix3*pow(g.al35Ix4,2)*g.al5Ial1 - 
  8*g.al35Ial2*pow(g.al35Ix4,2)*g.al5Ial1 + 
  (8*pow(g.al35Ix4,3)*g.al5Ial1)/3. + 
  (pow(M_PI,2)*pow(g.al5Ial1,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al5Ial1,2) + 
  32*g.OIm1*g.OIal1*pow(g.al5Ial1,2) - 
  56*pow(g.OIal1,2)*pow(g.al5Ial1,2) + 
  8*g.OIm1*g.OIx1*pow(g.al5Ial1,2) - 
  32*g.OIal1*g.OIx1*pow(g.al5Ial1,2) - 
  4*pow(g.OIx1,2)*pow(g.al5Ial1,2) - 
  8*g.OIm1*g.OIx2*pow(g.al5Ial1,2) + 
  32*g.OIal1*g.OIx2*pow(g.al5Ial1,2) + 
  8*g.OIx1*g.OIx2*pow(g.al5Ial1,2) - 
  4*pow(g.OIx2,2)*pow(g.al5Ial1,2) + 
  8*g.OIm1*g.al20Ix5*pow(g.al5Ial1,2) - 
  32*g.OIal1*g.al20Ix5*pow(g.al5Ial1,2) - 
  8*g.OIx1*g.al20Ix5*pow(g.al5Ial1,2) + 
  8*g.OIx2*g.al20Ix5*pow(g.al5Ial1,2) - 
  4*pow(g.al20Ix5,2)*pow(g.al5Ial1,2) - 
  8*g.OIm1*g.al25I1*pow(g.al5Ial1,2) + 
  32*g.OIal1*g.al25I1*pow(g.al5Ial1,2) + 
  8*g.OIx1*g.al25I1*pow(g.al5Ial1,2) - 
  8*g.OIx2*g.al25I1*pow(g.al5Ial1,2) + 
  8*g.al20Ix5*g.al25I1*pow(g.al5Ial1,2) - 
  4*pow(g.al25I1,2)*pow(g.al5Ial1,2) + 
  8*g.OIm1*g.al25Ix3*pow(g.al5Ial1,2) - 
  32*g.OIal1*g.al25Ix3*pow(g.al5Ial1,2) - 
  8*g.OIx1*g.al25Ix3*pow(g.al5Ial1,2) + 
  8*g.OIx2*g.al25Ix3*pow(g.al5Ial1,2) - 
  8*g.al20Ix5*g.al25Ix3*pow(g.al5Ial1,2) + 
  8*g.al25I1*g.al25Ix3*pow(g.al5Ial1,2) - 
  4*pow(g.al25Ix3,2)*pow(g.al5Ial1,2) - 
  8*g.OIm1*g.al35Ial2*pow(g.al5Ial1,2) + 
  32*g.OIal1*g.al35Ial2*pow(g.al5Ial1,2) + 
  8*g.OIx1*g.al35Ial2*pow(g.al5Ial1,2) - 
  8*g.OIx2*g.al35Ial2*pow(g.al5Ial1,2) + 
  8*g.al20Ix5*g.al35Ial2*pow(g.al5Ial1,2) - 
  8*g.al25I1*g.al35Ial2*pow(g.al5Ial1,2) + 
  8*g.al25Ix3*g.al35Ial2*pow(g.al5Ial1,2) - 
  4*pow(g.al35Ial2,2)*pow(g.al5Ial1,2) + 
  8*g.OIm1*g.al35Ix4*pow(g.al5Ial1,2) - 
  32*g.OIal1*g.al35Ix4*pow(g.al5Ial1,2) - 
  8*g.OIx1*g.al35Ix4*pow(g.al5Ial1,2) + 
  8*g.OIx2*g.al35Ix4*pow(g.al5Ial1,2) - 
  8*g.al20Ix5*g.al35Ix4*pow(g.al5Ial1,2) + 
  8*g.al25I1*g.al35Ix4*pow(g.al5Ial1,2) - 
  8*g.al25Ix3*g.al35Ix4*pow(g.al5Ial1,2) + 
  8*g.al35Ial2*g.al35Ix4*pow(g.al5Ial1,2) - 
  4*pow(g.al35Ix4,2)*pow(g.al5Ial1,2) - 
  (8*g.OIm1*pow(g.al5Ial1,3))/3. + (64*g.OIal1*pow(g.al5Ial1,3))/3. + 
  (8*g.OIx1*pow(g.al5Ial1,3))/3. - (8*g.OIx2*pow(g.al5Ial1,3))/3. + 
  (8*g.al20Ix5*pow(g.al5Ial1,3))/3. - 
  (8*g.al25I1*pow(g.al5Ial1,3))/3. + 
  (8*g.al25Ix3*pow(g.al5Ial1,3))/3. - 
  (8*g.al35Ial2*pow(g.al5Ial1,3))/3. + 
  (8*g.al35Ix4*pow(g.al5Ial1,3))/3. - (2*pow(g.al5Ial1,4))/3. - 
  (64*zeta3*g.al5Ix2)/3. - (2*pow(M_PI,2)*g.OIm1*g.al5Ix2)/3. + 
  (8*pow(g.OIm1,3)*g.al5Ix2)/3. + (2*pow(M_PI,2)*g.OIal1*g.al5Ix2)/3. - 
  8*pow(g.OIm1,2)*g.OIal1*g.al5Ix2 + 
  8*g.OIm1*pow(g.OIal1,2)*g.al5Ix2 - 
  (8*pow(g.OIal1,3)*g.al5Ix2)/3. + (2*pow(M_PI,2)*g.OIx1*g.al5Ix2)/3. - 
  8*pow(g.OIm1,2)*g.OIx1*g.al5Ix2 + 
  16*g.OIm1*g.OIal1*g.OIx1*g.al5Ix2 - 
  8*pow(g.OIal1,2)*g.OIx1*g.al5Ix2 + 
  8*g.OIm1*pow(g.OIx1,2)*g.al5Ix2 - 
  8*g.OIal1*pow(g.OIx1,2)*g.al5Ix2 - (8*pow(g.OIx1,3)*g.al5Ix2)/3. + 
  (2*pow(M_PI,2)*g.al20Ix5*g.al5Ix2)/3. - 
  8*pow(g.OIm1,2)*g.al20Ix5*g.al5Ix2 + 
  16*g.OIm1*g.OIal1*g.al20Ix5*g.al5Ix2 - 
  8*pow(g.OIal1,2)*g.al20Ix5*g.al5Ix2 + 
  16*g.OIm1*g.OIx1*g.al20Ix5*g.al5Ix2 - 
  16*g.OIal1*g.OIx1*g.al20Ix5*g.al5Ix2 - 
  8*pow(g.OIx1,2)*g.al20Ix5*g.al5Ix2 + 
  8*g.OIm1*pow(g.al20Ix5,2)*g.al5Ix2 - 
  8*g.OIal1*pow(g.al20Ix5,2)*g.al5Ix2 - 
  8*g.OIx1*pow(g.al20Ix5,2)*g.al5Ix2 - 
  (8*pow(g.al20Ix5,3)*g.al5Ix2)/3. - 
  (2*pow(M_PI,2)*g.al25I1*g.al5Ix2)/3. + 
  8*pow(g.OIm1,2)*g.al25I1*g.al5Ix2 - 
  16*g.OIm1*g.OIal1*g.al25I1*g.al5Ix2 + 
  8*pow(g.OIal1,2)*g.al25I1*g.al5Ix2 - 
  16*g.OIm1*g.OIx1*g.al25I1*g.al5Ix2 + 
  16*g.OIal1*g.OIx1*g.al25I1*g.al5Ix2 + 
  8*pow(g.OIx1,2)*g.al25I1*g.al5Ix2 - 
  16*g.OIm1*g.al20Ix5*g.al25I1*g.al5Ix2 + 
  16*g.OIal1*g.al20Ix5*g.al25I1*g.al5Ix2 + 
  16*g.OIx1*g.al20Ix5*g.al25I1*g.al5Ix2 + 
  8*pow(g.al20Ix5,2)*g.al25I1*g.al5Ix2 + 
  8*g.OIm1*pow(g.al25I1,2)*g.al5Ix2 - 
  8*g.OIal1*pow(g.al25I1,2)*g.al5Ix2 - 
  8*g.OIx1*pow(g.al25I1,2)*g.al5Ix2 - 
  8*g.al20Ix5*pow(g.al25I1,2)*g.al5Ix2 + 
  (8*pow(g.al25I1,3)*g.al5Ix2)/3. + 
  (2*pow(M_PI,2)*g.al25Ix3*g.al5Ix2)/3. - 
  8*pow(g.OIm1,2)*g.al25Ix3*g.al5Ix2 + 
  16*g.OIm1*g.OIal1*g.al25Ix3*g.al5Ix2 - 
  8*pow(g.OIal1,2)*g.al25Ix3*g.al5Ix2 + 
  16*g.OIm1*g.OIx1*g.al25Ix3*g.al5Ix2 - 
  16*g.OIal1*g.OIx1*g.al25Ix3*g.al5Ix2 - 
  8*pow(g.OIx1,2)*g.al25Ix3*g.al5Ix2 + 
  16*g.OIm1*g.al20Ix5*g.al25Ix3*g.al5Ix2 - 
  16*g.OIal1*g.al20Ix5*g.al25Ix3*g.al5Ix2 - 
  16*g.OIx1*g.al20Ix5*g.al25Ix3*g.al5Ix2 - 
  8*pow(g.al20Ix5,2)*g.al25Ix3*g.al5Ix2 - 
  16*g.OIm1*g.al25I1*g.al25Ix3*g.al5Ix2 + 
  16*g.OIal1*g.al25I1*g.al25Ix3*g.al5Ix2 + 
  16*g.OIx1*g.al25I1*g.al25Ix3*g.al5Ix2 + 
  16*g.al20Ix5*g.al25I1*g.al25Ix3*g.al5Ix2 - 
  8*pow(g.al25I1,2)*g.al25Ix3*g.al5Ix2 + 
  8*g.OIm1*pow(g.al25Ix3,2)*g.al5Ix2 - 
  8*g.OIal1*pow(g.al25Ix3,2)*g.al5Ix2 - 
  8*g.OIx1*pow(g.al25Ix3,2)*g.al5Ix2 - 
  8*g.al20Ix5*pow(g.al25Ix3,2)*g.al5Ix2 + 
  8*g.al25I1*pow(g.al25Ix3,2)*g.al5Ix2 ;  integre4 += - 
  (8*pow(g.al25Ix3,3)*g.al5Ix2)/3. - 
  (2*pow(M_PI,2)*g.al35Ial2*g.al5Ix2)/3. + 
  8*pow(g.OIm1,2)*g.al35Ial2*g.al5Ix2 - 
  16*g.OIm1*g.OIal1*g.al35Ial2*g.al5Ix2 + 
  8*pow(g.OIal1,2)*g.al35Ial2*g.al5Ix2 - 
  16*g.OIm1*g.OIx1*g.al35Ial2*g.al5Ix2 + 
  16*g.OIal1*g.OIx1*g.al35Ial2*g.al5Ix2 + 
  8*pow(g.OIx1,2)*g.al35Ial2*g.al5Ix2 - 
  16*g.OIm1*g.al20Ix5*g.al35Ial2*g.al5Ix2 + 
  16*g.OIal1*g.al20Ix5*g.al35Ial2*g.al5Ix2 + 
  16*g.OIx1*g.al20Ix5*g.al35Ial2*g.al5Ix2 + 
  8*pow(g.al20Ix5,2)*g.al35Ial2*g.al5Ix2 + 
  16*g.OIm1*g.al25I1*g.al35Ial2*g.al5Ix2 - 
  16*g.OIal1*g.al25I1*g.al35Ial2*g.al5Ix2 - 
  16*g.OIx1*g.al25I1*g.al35Ial2*g.al5Ix2 - 
  16*g.al20Ix5*g.al25I1*g.al35Ial2*g.al5Ix2 + 
  8*pow(g.al25I1,2)*g.al35Ial2*g.al5Ix2 - 
  16*g.OIm1*g.al25Ix3*g.al35Ial2*g.al5Ix2 + 
  16*g.OIal1*g.al25Ix3*g.al35Ial2*g.al5Ix2 + 
  16*g.OIx1*g.al25Ix3*g.al35Ial2*g.al5Ix2 + 
  16*g.al20Ix5*g.al25Ix3*g.al35Ial2*g.al5Ix2 - 
  16*g.al25I1*g.al25Ix3*g.al35Ial2*g.al5Ix2 + 
  8*pow(g.al25Ix3,2)*g.al35Ial2*g.al5Ix2 + 
  8*g.OIm1*pow(g.al35Ial2,2)*g.al5Ix2 - 
  8*g.OIal1*pow(g.al35Ial2,2)*g.al5Ix2 - 
  8*g.OIx1*pow(g.al35Ial2,2)*g.al5Ix2 - 
  8*g.al20Ix5*pow(g.al35Ial2,2)*g.al5Ix2 + 
  8*g.al25I1*pow(g.al35Ial2,2)*g.al5Ix2 - 
  8*g.al25Ix3*pow(g.al35Ial2,2)*g.al5Ix2 + 
  (8*pow(g.al35Ial2,3)*g.al5Ix2)/3. + 
  (2*pow(M_PI,2)*g.al35Ix4*g.al5Ix2)/3. - 
  8*pow(g.OIm1,2)*g.al35Ix4*g.al5Ix2 + 
  16*g.OIm1*g.OIal1*g.al35Ix4*g.al5Ix2 - 
  8*pow(g.OIal1,2)*g.al35Ix4*g.al5Ix2 + 
  16*g.OIm1*g.OIx1*g.al35Ix4*g.al5Ix2 - 
  16*g.OIal1*g.OIx1*g.al35Ix4*g.al5Ix2 - 
  8*pow(g.OIx1,2)*g.al35Ix4*g.al5Ix2 + 
  16*g.OIm1*g.al20Ix5*g.al35Ix4*g.al5Ix2 - 
  16*g.OIal1*g.al20Ix5*g.al35Ix4*g.al5Ix2 - 
  16*g.OIx1*g.al20Ix5*g.al35Ix4*g.al5Ix2 - 
  8*pow(g.al20Ix5,2)*g.al35Ix4*g.al5Ix2 - 
  16*g.OIm1*g.al25I1*g.al35Ix4*g.al5Ix2 + 
  16*g.OIal1*g.al25I1*g.al35Ix4*g.al5Ix2 + 
  16*g.OIx1*g.al25I1*g.al35Ix4*g.al5Ix2 + 
  16*g.al20Ix5*g.al25I1*g.al35Ix4*g.al5Ix2 - 
  8*pow(g.al25I1,2)*g.al35Ix4*g.al5Ix2 + 
  16*g.OIm1*g.al25Ix3*g.al35Ix4*g.al5Ix2 - 
  16*g.OIal1*g.al25Ix3*g.al35Ix4*g.al5Ix2 - 
  16*g.OIx1*g.al25Ix3*g.al35Ix4*g.al5Ix2 - 
  16*g.al20Ix5*g.al25Ix3*g.al35Ix4*g.al5Ix2 + 
  16*g.al25I1*g.al25Ix3*g.al35Ix4*g.al5Ix2 - 
  8*pow(g.al25Ix3,2)*g.al35Ix4*g.al5Ix2 - 
  16*g.OIm1*g.al35Ial2*g.al35Ix4*g.al5Ix2 + 
  16*g.OIal1*g.al35Ial2*g.al35Ix4*g.al5Ix2 + 
  16*g.OIx1*g.al35Ial2*g.al35Ix4*g.al5Ix2 + 
  16*g.al20Ix5*g.al35Ial2*g.al35Ix4*g.al5Ix2 - 
  16*g.al25I1*g.al35Ial2*g.al35Ix4*g.al5Ix2 + 
  16*g.al25Ix3*g.al35Ial2*g.al35Ix4*g.al5Ix2 - 
  8*pow(g.al35Ial2,2)*g.al35Ix4*g.al5Ix2 + 
  8*g.OIm1*pow(g.al35Ix4,2)*g.al5Ix2 - 
  8*g.OIal1*pow(g.al35Ix4,2)*g.al5Ix2 - 
  8*g.OIx1*pow(g.al35Ix4,2)*g.al5Ix2 - 
  8*g.al20Ix5*pow(g.al35Ix4,2)*g.al5Ix2 + 
  8*g.al25I1*pow(g.al35Ix4,2)*g.al5Ix2 - 
  8*g.al25Ix3*pow(g.al35Ix4,2)*g.al5Ix2 + 
  8*g.al35Ial2*pow(g.al35Ix4,2)*g.al5Ix2 - 
  (8*pow(g.al35Ix4,3)*g.al5Ix2)/3. - 
  (2*pow(M_PI,2)*g.al5Ial1*g.al5Ix2)/3. + 
  8*pow(g.OIm1,2)*g.al5Ial1*g.al5Ix2 - 
  32*g.OIm1*g.OIal1*g.al5Ial1*g.al5Ix2 + 
  32*pow(g.OIal1,2)*g.al5Ial1*g.al5Ix2 - 
  16*g.OIm1*g.OIx1*g.al5Ial1*g.al5Ix2 + 
  32*g.OIal1*g.OIx1*g.al5Ial1*g.al5Ix2 + 
  8*pow(g.OIx1,2)*g.al5Ial1*g.al5Ix2 - 
  16*g.OIm1*g.al20Ix5*g.al5Ial1*g.al5Ix2 + 
  32*g.OIal1*g.al20Ix5*g.al5Ial1*g.al5Ix2 + 
  16*g.OIx1*g.al20Ix5*g.al5Ial1*g.al5Ix2 + 
  8*pow(g.al20Ix5,2)*g.al5Ial1*g.al5Ix2 + 
  16*g.OIm1*g.al25I1*g.al5Ial1*g.al5Ix2 - 
  32*g.OIal1*g.al25I1*g.al5Ial1*g.al5Ix2 - 
  16*g.OIx1*g.al25I1*g.al5Ial1*g.al5Ix2 - 
  16*g.al20Ix5*g.al25I1*g.al5Ial1*g.al5Ix2 + 
  8*pow(g.al25I1,2)*g.al5Ial1*g.al5Ix2 - 
  16*g.OIm1*g.al25Ix3*g.al5Ial1*g.al5Ix2 + 
  32*g.OIal1*g.al25Ix3*g.al5Ial1*g.al5Ix2 + 
  16*g.OIx1*g.al25Ix3*g.al5Ial1*g.al5Ix2 + 
  16*g.al20Ix5*g.al25Ix3*g.al5Ial1*g.al5Ix2 - 
  16*g.al25I1*g.al25Ix3*g.al5Ial1*g.al5Ix2 + 
  8*pow(g.al25Ix3,2)*g.al5Ial1*g.al5Ix2 + 
  16*g.OIm1*g.al35Ial2*g.al5Ial1*g.al5Ix2 - 
  32*g.OIal1*g.al35Ial2*g.al5Ial1*g.al5Ix2 - 
  16*g.OIx1*g.al35Ial2*g.al5Ial1*g.al5Ix2 - 
  16*g.al20Ix5*g.al35Ial2*g.al5Ial1*g.al5Ix2 + 
  16*g.al25I1*g.al35Ial2*g.al5Ial1*g.al5Ix2 - 
  16*g.al25Ix3*g.al35Ial2*g.al5Ial1*g.al5Ix2 + 
  8*pow(g.al35Ial2,2)*g.al5Ial1*g.al5Ix2 - 
  16*g.OIm1*g.al35Ix4*g.al5Ial1*g.al5Ix2 + 
  32*g.OIal1*g.al35Ix4*g.al5Ial1*g.al5Ix2 + 
  16*g.OIx1*g.al35Ix4*g.al5Ial1*g.al5Ix2 + 
  16*g.al20Ix5*g.al35Ix4*g.al5Ial1*g.al5Ix2 - 
  16*g.al25I1*g.al35Ix4*g.al5Ial1*g.al5Ix2 + 
  16*g.al25Ix3*g.al35Ix4*g.al5Ial1*g.al5Ix2 - 
  16*g.al35Ial2*g.al35Ix4*g.al5Ial1*g.al5Ix2 + 
  8*pow(g.al35Ix4,2)*g.al5Ial1*g.al5Ix2 + 
  8*g.OIm1*pow(g.al5Ial1,2)*g.al5Ix2 - 
  32*g.OIal1*pow(g.al5Ial1,2)*g.al5Ix2 - 
  8*g.OIx1*pow(g.al5Ial1,2)*g.al5Ix2 - 
  8*g.al20Ix5*pow(g.al5Ial1,2)*g.al5Ix2 + 
  8*g.al25I1*pow(g.al5Ial1,2)*g.al5Ix2 - 
  8*g.al25Ix3*pow(g.al5Ial1,2)*g.al5Ix2 + 
  8*g.al35Ial2*pow(g.al5Ial1,2)*g.al5Ix2 - 
  8*g.al35Ix4*pow(g.al5Ial1,2)*g.al5Ix2 + 
  (8*pow(g.al5Ial1,3)*g.al5Ix2)/3. + 
  (pow(M_PI,2)*pow(g.al5Ix2,2))/3. - 
  4*pow(g.OIm1,2)*pow(g.al5Ix2,2) + 
  8*g.OIm1*g.OIal1*pow(g.al5Ix2,2) - 
  4*pow(g.OIal1,2)*pow(g.al5Ix2,2) + 
  8*g.OIm1*g.OIx1*pow(g.al5Ix2,2) - 
  8*g.OIal1*g.OIx1*pow(g.al5Ix2,2) - 
  4*pow(g.OIx1,2)*pow(g.al5Ix2,2) + 
  8*g.OIm1*g.al20Ix5*pow(g.al5Ix2,2) - 
  8*g.OIal1*g.al20Ix5*pow(g.al5Ix2,2) - 
  8*g.OIx1*g.al20Ix5*pow(g.al5Ix2,2) - 
  4*pow(g.al20Ix5,2)*pow(g.al5Ix2,2) - 
  8*g.OIm1*g.al25I1*pow(g.al5Ix2,2) + 
  8*g.OIal1*g.al25I1*pow(g.al5Ix2,2) + 
  8*g.OIx1*g.al25I1*pow(g.al5Ix2,2) + 
  8*g.al20Ix5*g.al25I1*pow(g.al5Ix2,2) - 
  4*pow(g.al25I1,2)*pow(g.al5Ix2,2) + 
  8*g.OIm1*g.al25Ix3*pow(g.al5Ix2,2) - 
  8*g.OIal1*g.al25Ix3*pow(g.al5Ix2,2) - 
  8*g.OIx1*g.al25Ix3*pow(g.al5Ix2,2) - 
  8*g.al20Ix5*g.al25Ix3*pow(g.al5Ix2,2) + 
  8*g.al25I1*g.al25Ix3*pow(g.al5Ix2,2) - 
  4*pow(g.al25Ix3,2)*pow(g.al5Ix2,2) - 
  8*g.OIm1*g.al35Ial2*pow(g.al5Ix2,2) + 
  8*g.OIal1*g.al35Ial2*pow(g.al5Ix2,2) + 
  8*g.OIx1*g.al35Ial2*pow(g.al5Ix2,2) + 
  8*g.al20Ix5*g.al35Ial2*pow(g.al5Ix2,2) - 
  8*g.al25I1*g.al35Ial2*pow(g.al5Ix2,2) + 
  8*g.al25Ix3*g.al35Ial2*pow(g.al5Ix2,2) - 
  4*pow(g.al35Ial2,2)*pow(g.al5Ix2,2) + 
  8*g.OIm1*g.al35Ix4*pow(g.al5Ix2,2) - 
  8*g.OIal1*g.al35Ix4*pow(g.al5Ix2,2) - 
  8*g.OIx1*g.al35Ix4*pow(g.al5Ix2,2) - 
  8*g.al20Ix5*g.al35Ix4*pow(g.al5Ix2,2) + 
  8*g.al25I1*g.al35Ix4*pow(g.al5Ix2,2) - 
  8*g.al25Ix3*g.al35Ix4*pow(g.al5Ix2,2) + 
  8*g.al35Ial2*g.al35Ix4*pow(g.al5Ix2,2) - 
  4*pow(g.al35Ix4,2)*pow(g.al5Ix2,2) - 
  8*g.OIm1*g.al5Ial1*pow(g.al5Ix2,2) + 
  16*g.OIal1*g.al5Ial1*pow(g.al5Ix2,2) + 
  8*g.OIx1*g.al5Ial1*pow(g.al5Ix2,2) + 
  8*g.al20Ix5*g.al5Ial1*pow(g.al5Ix2,2) - 
  8*g.al25I1*g.al5Ial1*pow(g.al5Ix2,2) + 
  8*g.al25Ix3*g.al5Ial1*pow(g.al5Ix2,2) - 
  8*g.al35Ial2*g.al5Ial1*pow(g.al5Ix2,2) + 
  8*g.al35Ix4*g.al5Ial1*pow(g.al5Ix2,2) - 
  4*pow(g.al5Ial1,2)*pow(g.al5Ix2,2) + 
  (8*g.OIm1*pow(g.al5Ix2,3))/3. - (8*g.OIal1*pow(g.al5Ix2,3))/3. - 
  (8*g.OIx1*pow(g.al5Ix2,3))/3. - (8*g.al20Ix5*pow(g.al5Ix2,3))/3. + 
  (8*g.al25I1*pow(g.al5Ix2,3))/3. - 
  (8*g.al25Ix3*pow(g.al5Ix2,3))/3. + 
  (8*g.al35Ial2*pow(g.al5Ix2,3))/3. - 
  (8*g.al35Ix4*pow(g.al5Ix2,3))/3. + 
  (8*g.al5Ial1*pow(g.al5Ix2,3))/3. - (2*pow(g.al5Ix2,4))/3. + 
  (2*pow(M_PI,2)*g.OIal5Ial1)/3. - 8*pow(g.OIm1,2)*g.OIal5Ial1 + 
  32*g.OIm1*g.OIal1*g.OIal5Ial1 - 32*pow(g.OIal1,2)*g.OIal5Ial1 + 
  16*g.OIm1*g.OIx1*g.OIal5Ial1 - 32*g.OIal1*g.OIx1*g.OIal5Ial1 - 
  8*pow(g.OIx1,2)*g.OIal5Ial1 - 16*g.OIm1*g.OIx2*g.OIal5Ial1 + 
  32*g.OIal1*g.OIx2*g.OIal5Ial1 + 16*g.OIx1*g.OIx2*g.OIal5Ial1 - 
  8*pow(g.OIx2,2)*g.OIal5Ial1 + 16*g.OIm1*g.al20Ix5*g.OIal5Ial1 - 
  32*g.OIal1*g.al20Ix5*g.OIal5Ial1 - 16*g.OIx1*g.al20Ix5*g.OIal5Ial1 + 
  16*g.OIx2*g.al20Ix5*g.OIal5Ial1 - 8*pow(g.al20Ix5,2)*g.OIal5Ial1 - 
  16*g.OIm1*g.al25I1*g.OIal5Ial1 + 32*g.OIal1*g.al25I1*g.OIal5Ial1 + 
  16*g.OIx1*g.al25I1*g.OIal5Ial1 - 16*g.OIx2*g.al25I1*g.OIal5Ial1 + 
  16*g.al20Ix5*g.al25I1*g.OIal5Ial1 - 8*pow(g.al25I1,2)*g.OIal5Ial1 + 
  16*g.OIm1*g.al25Ix3*g.OIal5Ial1 - 32*g.OIal1*g.al25Ix3*g.OIal5Ial1 - 
  16*g.OIx1*g.al25Ix3*g.OIal5Ial1 + 16*g.OIx2*g.al25Ix3*g.OIal5Ial1 - 
  16*g.al20Ix5*g.al25Ix3*g.OIal5Ial1 + 
  16*g.al25I1*g.al25Ix3*g.OIal5Ial1 - 8*pow(g.al25Ix3,2)*g.OIal5Ial1 - 
  16*g.OIm1*g.al35Ial2*g.OIal5Ial1 + 
  32*g.OIal1*g.al35Ial2*g.OIal5Ial1 + 
  16*g.OIx1*g.al35Ial2*g.OIal5Ial1 - 16*g.OIx2*g.al35Ial2*g.OIal5Ial1 + 
  16*g.al20Ix5*g.al35Ial2*g.OIal5Ial1 - 
  16*g.al25I1*g.al35Ial2*g.OIal5Ial1 + 
  16*g.al25Ix3*g.al35Ial2*g.OIal5Ial1 - 
  8*pow(g.al35Ial2,2)*g.OIal5Ial1 + 16*g.OIm1*g.al35Ix4*g.OIal5Ial1 - 
  32*g.OIal1*g.al35Ix4*g.OIal5Ial1 - 16*g.OIx1*g.al35Ix4*g.OIal5Ial1 + 
  16*g.OIx2*g.al35Ix4*g.OIal5Ial1 - 
  16*g.al20Ix5*g.al35Ix4*g.OIal5Ial1 + 
  16*g.al25I1*g.al35Ix4*g.OIal5Ial1 - 
  16*g.al25Ix3*g.al35Ix4*g.OIal5Ial1 + 
  16*g.al35Ial2*g.al35Ix4*g.OIal5Ial1 - 
  8*pow(g.al35Ix4,2)*g.OIal5Ial1 - 32*g.OIm1*g.al5Ial1*g.OIal5Ial1 + 
  96*g.OIal1*g.al5Ial1*g.OIal5Ial1 + 32*g.OIx1*g.al5Ial1*g.OIal5Ial1 - 
  32*g.OIx2*g.al5Ial1*g.OIal5Ial1 + 
  32*g.al20Ix5*g.al5Ial1*g.OIal5Ial1 - 
  32*g.al25I1*g.al5Ial1*g.OIal5Ial1 + 
  32*g.al25Ix3*g.al5Ial1*g.OIal5Ial1 - 
  32*g.al35Ial2*g.al5Ial1*g.OIal5Ial1 + 
  32*g.al35Ix4*g.al5Ial1*g.OIal5Ial1 - 
  32*pow(g.al5Ial1,2)*g.OIal5Ial1 + 16*g.OIm1*g.al5Ix2*g.OIal5Ial1 - 
  32*g.OIal1*g.al5Ix2*g.OIal5Ial1 - 16*g.OIx1*g.al5Ix2*g.OIal5Ial1 - 
  16*g.al20Ix5*g.al5Ix2*g.OIal5Ial1 + 
  16*g.al25I1*g.al5Ix2*g.OIal5Ial1 - 
  16*g.al25Ix3*g.al5Ix2*g.OIal5Ial1 + 
  16*g.al35Ial2*g.al5Ix2*g.OIal5Ial1 - 
  16*g.al35Ix4*g.al5Ix2*g.OIal5Ial1 + 
  32*g.al5Ial1*g.al5Ix2*g.OIal5Ial1 - 8*pow(g.al5Ix2,2)*g.OIal5Ial1 - 
  16*pow(g.OIal5Ial1,2) - (2*pow(M_PI,2)*g.OIal5Ix2)/3. + 
  8*pow(g.OIm1,2)*g.OIal5Ix2 - 16*g.OIm1*g.OIal1*g.OIal5Ix2 + 
  8*pow(g.OIal1,2)*g.OIal5Ix2 - 16*g.OIm1*g.OIx1*g.OIal5Ix2 + 
  16*g.OIal1*g.OIx1*g.OIal5Ix2 + 8*pow(g.OIx1,2)*g.OIal5Ix2 - 
  16*g.OIm1*g.al20Ix5*g.OIal5Ix2 + 16*g.OIal1*g.al20Ix5*g.OIal5Ix2 + 
  16*g.OIx1*g.al20Ix5*g.OIal5Ix2 + 8*pow(g.al20Ix5,2)*g.OIal5Ix2 + 
  16*g.OIm1*g.al25I1*g.OIal5Ix2 - 16*g.OIal1*g.al25I1*g.OIal5Ix2 - 
  16*g.OIx1*g.al25I1*g.OIal5Ix2 - 16*g.al20Ix5*g.al25I1*g.OIal5Ix2 + 
  8*pow(g.al25I1,2)*g.OIal5Ix2 - 16*g.OIm1*g.al25Ix3*g.OIal5Ix2 + 
  16*g.OIal1*g.al25Ix3*g.OIal5Ix2 + 16*g.OIx1*g.al25Ix3*g.OIal5Ix2 + 
  16*g.al20Ix5*g.al25Ix3*g.OIal5Ix2 - 
  16*g.al25I1*g.al25Ix3*g.OIal5Ix2 + 8*pow(g.al25Ix3,2)*g.OIal5Ix2 + 
  16*g.OIm1*g.al35Ial2*g.OIal5Ix2 - 16*g.OIal1*g.al35Ial2*g.OIal5Ix2 - 
  16*g.OIx1*g.al35Ial2*g.OIal5Ix2 - 
  16*g.al20Ix5*g.al35Ial2*g.OIal5Ix2 + 
  16*g.al25I1*g.al35Ial2*g.OIal5Ix2 - 
  16*g.al25Ix3*g.al35Ial2*g.OIal5Ix2 + 
  8*pow(g.al35Ial2,2)*g.OIal5Ix2 - 16*g.OIm1*g.al35Ix4*g.OIal5Ix2 + 
  16*g.OIal1*g.al35Ix4*g.OIal5Ix2 + 16*g.OIx1*g.al35Ix4*g.OIal5Ix2 + 
  16*g.al20Ix5*g.al35Ix4*g.OIal5Ix2 - 
  16*g.al25I1*g.al35Ix4*g.OIal5Ix2 + 
  16*g.al25Ix3*g.al35Ix4*g.OIal5Ix2 - 
  16*g.al35Ial2*g.al35Ix4*g.OIal5Ix2 + 8*pow(g.al35Ix4,2)*g.OIal5Ix2 + 
  16*g.OIm1*g.al5Ial1*g.OIal5Ix2 - 32*g.OIal1*g.al5Ial1*g.OIal5Ix2 - 
  16*g.OIx1*g.al5Ial1*g.OIal5Ix2 - 16*g.al20Ix5*g.al5Ial1*g.OIal5Ix2 + 
  16*g.al25I1*g.al5Ial1*g.OIal5Ix2 - 
  16*g.al25Ix3*g.al5Ial1*g.OIal5Ix2 + 
  16*g.al35Ial2*g.al5Ial1*g.OIal5Ix2 - 
  16*g.al35Ix4*g.al5Ial1*g.OIal5Ix2 + 8*pow(g.al5Ial1,2)*g.OIal5Ix2 + 
  16*g.OIal5Ial1*g.OIal5Ix2 + (2*pow(M_PI,2)*g.al5I0Ial1)/3. - 
  8*pow(g.OIm1,2)*g.al5I0Ial1 + 32*g.OIm1*g.OIal1*g.al5I0Ial1 - 
  32*pow(g.OIal1,2)*g.al5I0Ial1 + 16*g.OIm1*g.OIx1*g.al5I0Ial1 - 
  32*g.OIal1*g.OIx1*g.al5I0Ial1 - 8*pow(g.OIx1,2)*g.al5I0Ial1 - 
  16*g.OIm1*g.OIx2*g.al5I0Ial1 + 32*g.OIal1*g.OIx2*g.al5I0Ial1 + 
  16*g.OIx1*g.OIx2*g.al5I0Ial1 - 8*pow(g.OIx2,2)*g.al5I0Ial1 + 
  16*g.OIm1*g.al20Ix5*g.al5I0Ial1 - 32*g.OIal1*g.al20Ix5*g.al5I0Ial1 - 
  16*g.OIx1*g.al20Ix5*g.al5I0Ial1 + 16*g.OIx2*g.al20Ix5*g.al5I0Ial1 - 
  8*pow(g.al20Ix5,2)*g.al5I0Ial1 - 16*g.OIm1*g.al25I1*g.al5I0Ial1 + 
  32*g.OIal1*g.al25I1*g.al5I0Ial1 + 16*g.OIx1*g.al25I1*g.al5I0Ial1 - 
  16*g.OIx2*g.al25I1*g.al5I0Ial1 + 16*g.al20Ix5*g.al25I1*g.al5I0Ial1 - 
  8*pow(g.al25I1,2)*g.al5I0Ial1 + 16*g.OIm1*g.al25Ix3*g.al5I0Ial1 - 
  32*g.OIal1*g.al25Ix3*g.al5I0Ial1 - 16*g.OIx1*g.al25Ix3*g.al5I0Ial1 + 
  16*g.OIx2*g.al25Ix3*g.al5I0Ial1 - 
  16*g.al20Ix5*g.al25Ix3*g.al5I0Ial1 + 
  16*g.al25I1*g.al25Ix3*g.al5I0Ial1 - 8*pow(g.al25Ix3,2)*g.al5I0Ial1 - 
  16*g.OIm1*g.al35Ial2*g.al5I0Ial1 + 
  32*g.OIal1*g.al35Ial2*g.al5I0Ial1 + 
  16*g.OIx1*g.al35Ial2*g.al5I0Ial1 - 16*g.OIx2*g.al35Ial2*g.al5I0Ial1 + 
  16*g.al20Ix5*g.al35Ial2*g.al5I0Ial1 - 
  16*g.al25I1*g.al35Ial2*g.al5I0Ial1 + 
  16*g.al25Ix3*g.al35Ial2*g.al5I0Ial1 - 
  8*pow(g.al35Ial2,2)*g.al5I0Ial1 + 16*g.OIm1*g.al35Ix4*g.al5I0Ial1 - 
  32*g.OIal1*g.al35Ix4*g.al5I0Ial1 - 16*g.OIx1*g.al35Ix4*g.al5I0Ial1 + 
  16*g.OIx2*g.al35Ix4*g.al5I0Ial1 - 
  16*g.al20Ix5*g.al35Ix4*g.al5I0Ial1 + 
  16*g.al25I1*g.al35Ix4*g.al5I0Ial1 - 
  16*g.al25Ix3*g.al35Ix4*g.al5I0Ial1 + 
  16*g.al35Ial2*g.al35Ix4*g.al5I0Ial1 - 
  8*pow(g.al35Ix4,2)*g.al5I0Ial1 - 32*g.OIm1*g.al5Ial1*g.al5I0Ial1 + 
  96*g.OIal1*g.al5Ial1*g.al5I0Ial1 + 32*g.OIx1*g.al5Ial1*g.al5I0Ial1 - 
  32*g.OIx2*g.al5Ial1*g.al5I0Ial1 + 
  32*g.al20Ix5*g.al5Ial1*g.al5I0Ial1 - 
  32*g.al25I1*g.al5Ial1*g.al5I0Ial1 + 
  32*g.al25Ix3*g.al5Ial1*g.al5I0Ial1 - 
  32*g.al35Ial2*g.al5Ial1*g.al5I0Ial1 + 
  32*g.al35Ix4*g.al5Ial1*g.al5I0Ial1 - 
  32*pow(g.al5Ial1,2)*g.al5I0Ial1 + 16*g.OIm1*g.al5Ix2*g.al5I0Ial1 - 
  32*g.OIal1*g.al5Ix2*g.al5I0Ial1 - 16*g.OIx1*g.al5Ix2*g.al5I0Ial1 - 
  16*g.al20Ix5*g.al5Ix2*g.al5I0Ial1 + 
  16*g.al25I1*g.al5Ix2*g.al5I0Ial1 - 
  16*g.al25Ix3*g.al5Ix2*g.al5I0Ial1 + 
  16*g.al35Ial2*g.al5Ix2*g.al5I0Ial1 - 
  16*g.al35Ix4*g.al5Ix2*g.al5I0Ial1 + 
  32*g.al5Ial1*g.al5Ix2*g.al5I0Ial1 - 8*pow(g.al5Ix2,2)*g.al5I0Ial1 - 
  32*g.OIal5Ial1*g.al5I0Ial1 + 16*g.OIal5Ix2*g.al5I0Ial1 - 
  16*pow(g.al5I0Ial1,2) - (2*pow(M_PI,2)*g.al5I0Ix2)/3. + 
  8*pow(g.OIm1,2)*g.al5I0Ix2 - 16*g.OIm1*g.OIal1*g.al5I0Ix2 + 
  8*pow(g.OIal1,2)*g.al5I0Ix2 - 16*g.OIm1*g.OIx1*g.al5I0Ix2 + 
  16*g.OIal1*g.OIx1*g.al5I0Ix2 + 8*pow(g.OIx1,2)*g.al5I0Ix2 - 
  16*g.OIm1*g.al20Ix5*g.al5I0Ix2 + 16*g.OIal1*g.al20Ix5*g.al5I0Ix2 + 
  16*g.OIx1*g.al20Ix5*g.al5I0Ix2 + 8*pow(g.al20Ix5,2)*g.al5I0Ix2 + 
  16*g.OIm1*g.al25I1*g.al5I0Ix2 - 16*g.OIal1*g.al25I1*g.al5I0Ix2 - 
  16*g.OIx1*g.al25I1*g.al5I0Ix2 - 16*g.al20Ix5*g.al25I1*g.al5I0Ix2 + 
  8*pow(g.al25I1,2)*g.al5I0Ix2 - 16*g.OIm1*g.al25Ix3*g.al5I0Ix2 + 
  16*g.OIal1*g.al25Ix3*g.al5I0Ix2 + 16*g.OIx1*g.al25Ix3*g.al5I0Ix2 + 
  16*g.al20Ix5*g.al25Ix3*g.al5I0Ix2 - 
  16*g.al25I1*g.al25Ix3*g.al5I0Ix2 + 8*pow(g.al25Ix3,2)*g.al5I0Ix2 + 
  16*g.OIm1*g.al35Ial2*g.al5I0Ix2 - 16*g.OIal1*g.al35Ial2*g.al5I0Ix2 - 
  16*g.OIx1*g.al35Ial2*g.al5I0Ix2 - 
  16*g.al20Ix5*g.al35Ial2*g.al5I0Ix2 + 
  16*g.al25I1*g.al35Ial2*g.al5I0Ix2 - 
  16*g.al25Ix3*g.al35Ial2*g.al5I0Ix2 + 
  8*pow(g.al35Ial2,2)*g.al5I0Ix2 - 16*g.OIm1*g.al35Ix4*g.al5I0Ix2 + 
  16*g.OIal1*g.al35Ix4*g.al5I0Ix2 + 16*g.OIx1*g.al35Ix4*g.al5I0Ix2 + 
  16*g.al20Ix5*g.al35Ix4*g.al5I0Ix2 - 
  16*g.al25I1*g.al35Ix4*g.al5I0Ix2 + 
  16*g.al25Ix3*g.al35Ix4*g.al5I0Ix2 - 
  16*g.al35Ial2*g.al35Ix4*g.al5I0Ix2 + 8*pow(g.al35Ix4,2)*g.al5I0Ix2 + 
  16*g.OIm1*g.al5Ial1*g.al5I0Ix2 - 32*g.OIal1*g.al5Ial1*g.al5I0Ix2 - 
  16*g.OIx1*g.al5Ial1*g.al5I0Ix2 - 16*g.al20Ix5*g.al5Ial1*g.al5I0Ix2 + 
  16*g.al25I1*g.al5Ial1*g.al5I0Ix2 - 
  16*g.al25Ix3*g.al5Ial1*g.al5I0Ix2 + 
  16*g.al35Ial2*g.al5Ial1*g.al5I0Ix2 - 
  16*g.al35Ix4*g.al5Ial1*g.al5I0Ix2 + 8*pow(g.al5Ial1,2)*g.al5I0Ix2 + 
  16*g.OIal5Ial1*g.al5I0Ix2 + 16*g.al5I0Ial1*g.al5I0Ix2 - 
  16*g.OIm1*g.OI0Ial5Ial1 + 32*g.OIal1*g.OI0Ial5Ial1 + 
  16*g.OIx1*g.OI0Ial5Ial1 - 16*g.OIx2*g.OI0Ial5Ial1 + 
  16*g.al20Ix5*g.OI0Ial5Ial1 - 16*g.al25I1*g.OI0Ial5Ial1 + 
  16*g.al25Ix3*g.OI0Ial5Ial1 - 16*g.al35Ial2*g.OI0Ial5Ial1 + 
  16*g.al35Ix4*g.OI0Ial5Ial1 - 32*g.al5Ial1*g.OI0Ial5Ial1 + 
  16*g.al5Ix2*g.OI0Ial5Ial1 + 16*g.OIm1*g.OI0Ial5Ix2 - 
  16*g.OIal1*g.OI0Ial5Ix2 - 16*g.OIx1*g.OI0Ial5Ix2 - 
  16*g.al20Ix5*g.OI0Ial5Ix2 + 16*g.al25I1*g.OI0Ial5Ix2 - 
  16*g.al25Ix3*g.OI0Ial5Ix2 + 16*g.al35Ial2*g.OI0Ial5Ix2 - 
  16*g.al35Ix4*g.OI0Ial5Ix2 + 16*g.al5Ial1*g.OI0Ial5Ix2 - 
  16*g.OIm1*g.OIal5I0Ial1 + 32*g.OIal1*g.OIal5I0Ial1 + 
  16*g.OIx1*g.OIal5I0Ial1 - 16*g.OIx2*g.OIal5I0Ial1 + 
  16*g.al20Ix5*g.OIal5I0Ial1 - 16*g.al25I1*g.OIal5I0Ial1 + 
  16*g.al25Ix3*g.OIal5I0Ial1 - 16*g.al35Ial2*g.OIal5I0Ial1 + 
  16*g.al35Ix4*g.OIal5I0Ial1 - 32*g.al5Ial1*g.OIal5I0Ial1 + 
  16*g.al5Ix2*g.OIal5I0Ial1 + 16*g.OIm1*g.OIal5I0Ix2 - 
  16*g.OIal1*g.OIal5I0Ix2 - 16*g.OIx1*g.OIal5I0Ix2 - 
  16*g.al20Ix5*g.OIal5I0Ix2 + 16*g.al25I1*g.OIal5I0Ix2 - 
  16*g.al25Ix3*g.OIal5I0Ix2 + 16*g.al35Ial2*g.OIal5I0Ix2 - 
  16*g.al35Ix4*g.OIal5I0Ix2 + 16*g.al5Ial1*g.OIal5I0Ix2 + 
  16*g.OIm1*g.OIal5Ial5Ial1 - 32*g.OIal1*g.OIal5Ial5Ial1 - 
  16*g.OIx1*g.OIal5Ial5Ial1 + 16*g.OIx2*g.OIal5Ial5Ial1 - 
  16*g.al20Ix5*g.OIal5Ial5Ial1 + 16*g.al25I1*g.OIal5Ial5Ial1 - 
  16*g.al25Ix3*g.OIal5Ial5Ial1 + 16*g.al35Ial2*g.OIal5Ial5Ial1 - 
  16*g.al35Ix4*g.OIal5Ial5Ial1 + 32*g.al5Ial1*g.OIal5Ial5Ial1 - 
  16*g.al5Ix2*g.OIal5Ial5Ial1 - 16*g.OIm1*g.OIal5Ial5Ix2 + 
  16*g.OIal1*g.OIal5Ial5Ix2 + 16*g.OIx1*g.OIal5Ial5Ix2 + 
  16*g.al20Ix5*g.OIal5Ial5Ix2 - 16*g.al25I1*g.OIal5Ial5Ix2 + 
  16*g.al25Ix3*g.OIal5Ial5Ix2 - 16*g.al35Ial2*g.OIal5Ial5Ix2 + 
  16*g.al35Ix4*g.OIal5Ial5Ix2 - 16*g.al5Ial1*g.OIal5Ial5Ix2 - 
  16*g.OIm1*g.al5I0I0Ial1 + 32*g.OIal1*g.al5I0I0Ial1 + 
  16*g.OIx1*g.al5I0I0Ial1 - 16*g.OIx2*g.al5I0I0Ial1 + 
  16*g.al20Ix5*g.al5I0I0Ial1 - 16*g.al25I1*g.al5I0I0Ial1 + 
  16*g.al25Ix3*g.al5I0I0Ial1 - 16*g.al35Ial2*g.al5I0I0Ial1 + 
  16*g.al35Ix4*g.al5I0I0Ial1 - 32*g.al5Ial1*g.al5I0I0Ial1 + 
  16*g.al5Ix2*g.al5I0I0Ial1 + 16*g.OIm1*g.al5I0I0Ix2 - 
  16*g.OIal1*g.al5I0I0Ix2 - 16*g.OIx1*g.al5I0I0Ix2 - 
  16*g.al20Ix5*g.al5I0I0Ix2 + 16*g.al25I1*g.al5I0I0Ix2 - 
  16*g.al25Ix3*g.al5I0I0Ix2 + 16*g.al35Ial2*g.al5I0I0Ix2 - 
  16*g.al35Ix4*g.al5I0I0Ix2 + 16*g.al5Ial1*g.al5I0I0Ix2 + 
  16*g.OIm1*g.al5I0Ial5Ial1 - 32*g.OIal1*g.al5I0Ial5Ial1 - 
  16*g.OIx1*g.al5I0Ial5Ial1 + 16*g.OIx2*g.al5I0Ial5Ial1 - 
  16*g.al20Ix5*g.al5I0Ial5Ial1 + 16*g.al25I1*g.al5I0Ial5Ial1 - 
  16*g.al25Ix3*g.al5I0Ial5Ial1 + 16*g.al35Ial2*g.al5I0Ial5Ial1 - 
  16*g.al35Ix4*g.al5I0Ial5Ial1 + 32*g.al5Ial1*g.al5I0Ial5Ial1 - 
  16*g.al5Ix2*g.al5I0Ial5Ial1 - 16*g.OIm1*g.al5I0Ial5Ix2 + 
  16*g.OIal1*g.al5I0Ial5Ix2 + 16*g.OIx1*g.al5I0Ial5Ix2 + 
  16*g.al20Ix5*g.al5I0Ial5Ix2 - 16*g.al25I1*g.al5I0Ial5Ix2 + 
  16*g.al25Ix3*g.al5I0Ial5Ix2 - 16*g.al35Ial2*g.al5I0Ial5Ix2 + 
  16*g.al35Ix4*g.al5I0Ial5Ix2 - 16*g.al5Ial1*g.al5I0Ial5Ix2 + 
  16*g.OIm1*g.al5Ial5I0Ial1 - 32*g.OIal1*g.al5Ial5I0Ial1 - 
  16*g.OIx1*g.al5Ial5I0Ial1 + 16*g.OIx2*g.al5Ial5I0Ial1 - 
  16*g.al20Ix5*g.al5Ial5I0Ial1 + 16*g.al25I1*g.al5Ial5I0Ial1 - 
  16*g.al25Ix3*g.al5Ial5I0Ial1 + 16*g.al35Ial2*g.al5Ial5I0Ial1 - 
  16*g.al35Ix4*g.al5Ial5I0Ial1 + 32*g.al5Ial1*g.al5Ial5I0Ial1 - 
  16*g.al5Ix2*g.al5Ial5I0Ial1 - 16*g.OIm1*g.al5Ial5I0Ix2 + 
  16*g.OIal1*g.al5Ial5I0Ix2 + 16*g.OIx1*g.al5Ial5I0Ix2 + 
  16*g.al20Ix5*g.al5Ial5I0Ix2 - 16*g.al25I1*g.al5Ial5I0Ix2 + 
  16*g.al25Ix3*g.al5Ial5I0Ix2 - 16*g.al35Ial2*g.al5Ial5I0Ix2 + 
  16*g.al35Ix4*g.al5Ial5I0Ix2 - 16*g.al5Ial1*g.al5Ial5I0Ix2 - 
  16*g.OI0I0Ial5Ial1 + 16*g.OI0I0Ial5Ix2 - 16*g.OI0Ial5I0Ial1 + 
  16*g.OI0Ial5I0Ix2 + 16*g.OI0Ial5Ial5Ial1 - 16*g.OI0Ial5Ial5Ix2 - 
  16*g.OIal5I0I0Ial1 + 16*g.OIal5I0I0Ix2 + 16*g.OIal5I0Ial5Ial1 - 
  16*g.OIal5I0Ial5Ix2 + 16*g.OIal5Ial5I0Ial1 - 16*g.OIal5Ial5I0Ix2 - 
  16*g.OIal5Ial5Ial5Ial1 + 16*g.OIal5Ial5Ial5Ix2 - 16*g.al5I0I0I0Ial1 + 
  16*g.al5I0I0I0Ix2 + 16*g.al5I0I0Ial5Ial1 - 16*g.al5I0I0Ial5Ix2 + 
  16*g.al5I0Ial5I0Ial1 - 16*g.al5I0Ial5I0Ix2 - 16*g.al5I0Ial5Ial5Ial1 + 
  16*g.al5I0Ial5Ial5Ix2 + 16*g.al5Ial5I0I0Ial1 - 16*g.al5Ial5I0I0Ix2 - 
  16*g.al5Ial5I0Ial5Ial1 + 16*g.al5Ial5I0Ial5Ix2 - 
  16*g.al5Ial5Ial5I0Ial1 + 16*g.al5Ial5Ial5I0Ix2
;
 

std::vector<GiNaC::ex>integr4;

integr4.push_back(integre0);
integr4.push_back(integre1);
integr4.push_back(integre2);
integr4.push_back(integre3);
integr4.push_back(integre4);

return integr4;
}
