
#include "../header.h"
#include "../struct-myGHPL.h"
std::vector<GiNaC::ex>  integral6( myGHPLs  & g) {
      using namespace GiNaC;

     #include "../boundary.h"
     ex zeta3=1.2020569031595942;
     ex d37s3 = 9.03301789873836469269;
     ex d38s3 = 22.0377098912592295221202221000567;

     ex integre0 =  1;
     ex integre1 =  
  2*g.OIm1 + g.OIal1 - 2*g.OIx1 - g.OIx2 - g.al2Ix5 + g.x5Ial2 - g.x5Ix4
;
     ex integre2 =    
-pow(M_PI,2)/6. + 2*pow(g.OIm1,2) + 2*g.OIm1*g.OIal1 + 
  pow(g.OIal1,2)/2. - 4*g.OIm1*g.OIx1 - 2*g.OIal1*g.OIx1 + 
  2*pow(g.OIx1,2) - 2*g.OIm1*g.OIx2 - g.OIal1*g.OIx2 + 
  2*g.OIx1*g.OIx2 + pow(g.OIx2,2)/2. - 2*g.OIm1*g.al2Ix5 - 
  g.OIal1*g.al2Ix5 + 2*g.OIx1*g.al2Ix5 + g.OIx2*g.al2Ix5 + 
  pow(g.al2Ix5,2)/2. + 2*g.OIm1*g.x5Ial2 + g.OIal1*g.x5Ial2 - 
  2*g.OIx1*g.x5Ial2 - g.OIx2*g.x5Ial2 - g.al2Ix5*g.x5Ial2 + 
  pow(g.x5Ial2,2)/2. - 2*g.OIm1*g.x5Ix4 - g.OIal1*g.x5Ix4 + 
  2*g.OIx1*g.x5Ix4 + g.OIx2*g.x5Ix4 + g.al2Ix5*g.x5Ix4 - 
  g.x5Ial2*g.x5Ix4 + pow(g.x5Ix4,2)/2.
;
     ex integre3 =    
(-14*zeta3)/3. - (pow(M_PI,2)*g.OIm1)/3. + (4*pow(g.OIm1,3))/3. - 
  (pow(M_PI,2)*g.OIal1)/6. + 2*pow(g.OIm1,2)*g.OIal1 + 
  g.OIm1*pow(g.OIal1,2) + pow(g.OIal1,3)/6. + 
  (pow(M_PI,2)*g.OIx1)/3. - 4*pow(g.OIm1,2)*g.OIx1 - 
  4*g.OIm1*g.OIal1*g.OIx1 - pow(g.OIal1,2)*g.OIx1 + 
  4*g.OIm1*pow(g.OIx1,2) + 2*g.OIal1*pow(g.OIx1,2) - 
  (4*pow(g.OIx1,3))/3. + (pow(M_PI,2)*g.OIx2)/6. - 
  2*pow(g.OIm1,2)*g.OIx2 - 2*g.OIm1*g.OIal1*g.OIx2 - 
  (pow(g.OIal1,2)*g.OIx2)/2. + 4*g.OIm1*g.OIx1*g.OIx2 + 
  2*g.OIal1*g.OIx1*g.OIx2 - 2*pow(g.OIx1,2)*g.OIx2 + 
  g.OIm1*pow(g.OIx2,2) + (g.OIal1*pow(g.OIx2,2))/2. - 
  g.OIx1*pow(g.OIx2,2) - pow(g.OIx2,3)/6. + 
  (pow(M_PI,2)*g.al2Ix5)/6. - 2*pow(g.OIm1,2)*g.al2Ix5 - 
  2*g.OIm1*g.OIal1*g.al2Ix5 - (pow(g.OIal1,2)*g.al2Ix5)/2. + 
  4*g.OIm1*g.OIx1*g.al2Ix5 + 2*g.OIal1*g.OIx1*g.al2Ix5 - 
  2*pow(g.OIx1,2)*g.al2Ix5 + 2*g.OIm1*g.OIx2*g.al2Ix5 + 
  g.OIal1*g.OIx2*g.al2Ix5 - 2*g.OIx1*g.OIx2*g.al2Ix5 - 
  (pow(g.OIx2,2)*g.al2Ix5)/2. + g.OIm1*pow(g.al2Ix5,2) + 
  (g.OIal1*pow(g.al2Ix5,2))/2. - g.OIx1*pow(g.al2Ix5,2) - 
  (g.OIx2*pow(g.al2Ix5,2))/2. - pow(g.al2Ix5,3)/6. - 
  (pow(M_PI,2)*g.x5Ial2)/6. + 2*pow(g.OIm1,2)*g.x5Ial2 + 
  2*g.OIm1*g.OIal1*g.x5Ial2 + (pow(g.OIal1,2)*g.x5Ial2)/2. - 
  4*g.OIm1*g.OIx1*g.x5Ial2 - 2*g.OIal1*g.OIx1*g.x5Ial2 + 
  2*pow(g.OIx1,2)*g.x5Ial2 - 2*g.OIm1*g.OIx2*g.x5Ial2 - 
  g.OIal1*g.OIx2*g.x5Ial2 + 2*g.OIx1*g.OIx2*g.x5Ial2 + 
  (pow(g.OIx2,2)*g.x5Ial2)/2. - 2*g.OIm1*g.al2Ix5*g.x5Ial2 - 
  g.OIal1*g.al2Ix5*g.x5Ial2 + 2*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  g.OIx2*g.al2Ix5*g.x5Ial2 + (pow(g.al2Ix5,2)*g.x5Ial2)/2. + 
  g.OIm1*pow(g.x5Ial2,2) + (g.OIal1*pow(g.x5Ial2,2))/2. - 
  g.OIx1*pow(g.x5Ial2,2) - (g.OIx2*pow(g.x5Ial2,2))/2. - 
  (g.al2Ix5*pow(g.x5Ial2,2))/2. + pow(g.x5Ial2,3)/6. + 
  (pow(M_PI,2)*g.x5Ix4)/6. - 2*pow(g.OIm1,2)*g.x5Ix4 - 
  2*g.OIm1*g.OIal1*g.x5Ix4 - (pow(g.OIal1,2)*g.x5Ix4)/2. + 
  4*g.OIm1*g.OIx1*g.x5Ix4 + 2*g.OIal1*g.OIx1*g.x5Ix4 - 
  2*pow(g.OIx1,2)*g.x5Ix4 + 2*g.OIm1*g.OIx2*g.x5Ix4 + 
  g.OIal1*g.OIx2*g.x5Ix4 - 2*g.OIx1*g.OIx2*g.x5Ix4 - 
  (pow(g.OIx2,2)*g.x5Ix4)/2. + 2*g.OIm1*g.al2Ix5*g.x5Ix4 + 
  g.OIal1*g.al2Ix5*g.x5Ix4 - 2*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  g.OIx2*g.al2Ix5*g.x5Ix4 - (pow(g.al2Ix5,2)*g.x5Ix4)/2. - 
  2*g.OIm1*g.x5Ial2*g.x5Ix4 - g.OIal1*g.x5Ial2*g.x5Ix4 + 
  2*g.OIx1*g.x5Ial2*g.x5Ix4 + g.OIx2*g.x5Ial2*g.x5Ix4 + 
  g.al2Ix5*g.x5Ial2*g.x5Ix4 - (pow(g.x5Ial2,2)*g.x5Ix4)/2. + 
  g.OIm1*pow(g.x5Ix4,2) + (g.OIal1*pow(g.x5Ix4,2))/2. - 
  g.OIx1*pow(g.x5Ix4,2) - (g.OIx2*pow(g.x5Ix4,2))/2. - 
  (g.al2Ix5*pow(g.x5Ix4,2))/2. + (g.x5Ial2*pow(g.x5Ix4,2))/2. - 
  pow(g.x5Ix4,3)/6.
;
     ex integre4 =   
 bc4i6 - (28*zeta3*g.OIm1)/3. - (pow(M_PI,2)*pow(g.OIm1,2))/3. + 
  (2*pow(g.OIm1,4))/3. - (14*zeta3*g.OIal1)/3. - 
  (pow(M_PI,2)*g.OIm1*g.OIal1)/3. + (4*pow(g.OIm1,3)*g.OIal1)/3. - 
  (pow(M_PI,2)*pow(g.OIal1,2))/12. + pow(g.OIm1,2)*pow(g.OIal1,2) + 
  (g.OIm1*pow(g.OIal1,3))/3. + pow(g.OIal1,4)/24. + 
  (28*zeta3*g.OIx1)/3. + (2*pow(M_PI,2)*g.OIm1*g.OIx1)/3. - 
  (8*pow(g.OIm1,3)*g.OIx1)/3. + (pow(M_PI,2)*g.OIal1*g.OIx1)/3. - 
  4*pow(g.OIm1,2)*g.OIal1*g.OIx1 - 2*g.OIm1*pow(g.OIal1,2)*g.OIx1 - 
  (pow(g.OIal1,3)*g.OIx1)/3. - (pow(M_PI,2)*pow(g.OIx1,2))/3. + 
  4*pow(g.OIm1,2)*pow(g.OIx1,2) + 4*g.OIm1*g.OIal1*pow(g.OIx1,2) + 
  pow(g.OIal1,2)*pow(g.OIx1,2) - (8*g.OIm1*pow(g.OIx1,3))/3. - 
  (4*g.OIal1*pow(g.OIx1,3))/3. + (2*pow(g.OIx1,4))/3. + 
  (14*zeta3*g.OIx2)/3. + (pow(M_PI,2)*g.OIm1*g.OIx2)/3. - 
  (4*pow(g.OIm1,3)*g.OIx2)/3. + (pow(M_PI,2)*g.OIal1*g.OIx2)/6. - 
  2*pow(g.OIm1,2)*g.OIal1*g.OIx2 - g.OIm1*pow(g.OIal1,2)*g.OIx2 - 
  (pow(g.OIal1,3)*g.OIx2)/6. - (pow(M_PI,2)*g.OIx1*g.OIx2)/3. + 
  4*pow(g.OIm1,2)*g.OIx1*g.OIx2 + 4*g.OIm1*g.OIal1*g.OIx1*g.OIx2 + 
  pow(g.OIal1,2)*g.OIx1*g.OIx2 - 4*g.OIm1*pow(g.OIx1,2)*g.OIx2 - 
  2*g.OIal1*pow(g.OIx1,2)*g.OIx2 + (4*pow(g.OIx1,3)*g.OIx2)/3. - 
  (pow(M_PI,2)*pow(g.OIx2,2))/12. + pow(g.OIm1,2)*pow(g.OIx2,2) + 
  g.OIm1*g.OIal1*pow(g.OIx2,2) + 
  (pow(g.OIal1,2)*pow(g.OIx2,2))/4. - 
  2*g.OIm1*g.OIx1*pow(g.OIx2,2) - g.OIal1*g.OIx1*pow(g.OIx2,2) + 
  pow(g.OIx1,2)*pow(g.OIx2,2) - (g.OIm1*pow(g.OIx2,3))/3. - 
  (g.OIal1*pow(g.OIx2,3))/6. + (g.OIx1*pow(g.OIx2,3))/3. + 
  pow(g.OIx2,4)/24. + (14*zeta3*g.al2Ix5)/3. + 
  (pow(M_PI,2)*g.OIm1*g.al2Ix5)/3. - (4*pow(g.OIm1,3)*g.al2Ix5)/3. + 
  (pow(M_PI,2)*g.OIal1*g.al2Ix5)/6. - 
  2*pow(g.OIm1,2)*g.OIal1*g.al2Ix5 - 
  g.OIm1*pow(g.OIal1,2)*g.al2Ix5 - (pow(g.OIal1,3)*g.al2Ix5)/6. - 
  (pow(M_PI,2)*g.OIx1*g.al2Ix5)/3. + 4*pow(g.OIm1,2)*g.OIx1*g.al2Ix5 + 
  4*g.OIm1*g.OIal1*g.OIx1*g.al2Ix5 + 
  pow(g.OIal1,2)*g.OIx1*g.al2Ix5 - 
  4*g.OIm1*pow(g.OIx1,2)*g.al2Ix5 - 
  2*g.OIal1*pow(g.OIx1,2)*g.al2Ix5 + (4*pow(g.OIx1,3)*g.al2Ix5)/3. - 
  (pow(M_PI,2)*g.OIx2*g.al2Ix5)/6. + 2*pow(g.OIm1,2)*g.OIx2*g.al2Ix5 + 
  2*g.OIm1*g.OIal1*g.OIx2*g.al2Ix5 + 
  (pow(g.OIal1,2)*g.OIx2*g.al2Ix5)/2. - 
  4*g.OIm1*g.OIx1*g.OIx2*g.al2Ix5 - 
  2*g.OIal1*g.OIx1*g.OIx2*g.al2Ix5 + 
  2*pow(g.OIx1,2)*g.OIx2*g.al2Ix5 - g.OIm1*pow(g.OIx2,2)*g.al2Ix5 - 
  (g.OIal1*pow(g.OIx2,2)*g.al2Ix5)/2. + 
  g.OIx1*pow(g.OIx2,2)*g.al2Ix5 + (pow(g.OIx2,3)*g.al2Ix5)/6. - 
  (pow(M_PI,2)*pow(g.al2Ix5,2))/12. + 
  pow(g.OIm1,2)*pow(g.al2Ix5,2) + g.OIm1*g.OIal1*pow(g.al2Ix5,2) + 
  (pow(g.OIal1,2)*pow(g.al2Ix5,2))/4. - 
  2*g.OIm1*g.OIx1*pow(g.al2Ix5,2) - 
  g.OIal1*g.OIx1*pow(g.al2Ix5,2) + pow(g.OIx1,2)*pow(g.al2Ix5,2) - 
  g.OIm1*g.OIx2*pow(g.al2Ix5,2) - 
  (g.OIal1*g.OIx2*pow(g.al2Ix5,2))/2. + 
  g.OIx1*g.OIx2*pow(g.al2Ix5,2) + 
  (pow(g.OIx2,2)*pow(g.al2Ix5,2))/4. - 
  (g.OIm1*pow(g.al2Ix5,3))/3. - (g.OIal1*pow(g.al2Ix5,3))/6. + 
  (g.OIx1*pow(g.al2Ix5,3))/3. + (g.OIx2*pow(g.al2Ix5,3))/6. + 
  pow(g.al2Ix5,4)/24. - (14*zeta3*g.x5Ial2)/3. - 
  (pow(M_PI,2)*g.OIm1*g.x5Ial2)/3. + (4*pow(g.OIm1,3)*g.x5Ial2)/3. - 
  (pow(M_PI,2)*g.OIal1*g.x5Ial2)/6. + 
  2*pow(g.OIm1,2)*g.OIal1*g.x5Ial2 + 
  g.OIm1*pow(g.OIal1,2)*g.x5Ial2 + (pow(g.OIal1,3)*g.x5Ial2)/6. + 
  (pow(M_PI,2)*g.OIx1*g.x5Ial2)/3. - 4*pow(g.OIm1,2)*g.OIx1*g.x5Ial2 - 
  4*g.OIm1*g.OIal1*g.OIx1*g.x5Ial2 - 
  pow(g.OIal1,2)*g.OIx1*g.x5Ial2 + 
  4*g.OIm1*pow(g.OIx1,2)*g.x5Ial2 + 
  2*g.OIal1*pow(g.OIx1,2)*g.x5Ial2 - (4*pow(g.OIx1,3)*g.x5Ial2)/3. + 
  (pow(M_PI,2)*g.OIx2*g.x5Ial2)/6. - 2*pow(g.OIm1,2)*g.OIx2*g.x5Ial2 - 
  2*g.OIm1*g.OIal1*g.OIx2*g.x5Ial2 - 
  (pow(g.OIal1,2)*g.OIx2*g.x5Ial2)/2. + 
  4*g.OIm1*g.OIx1*g.OIx2*g.x5Ial2 + 
  2*g.OIal1*g.OIx1*g.OIx2*g.x5Ial2 - 
  2*pow(g.OIx1,2)*g.OIx2*g.x5Ial2 + g.OIm1*pow(g.OIx2,2)*g.x5Ial2 + 
  (g.OIal1*pow(g.OIx2,2)*g.x5Ial2)/2. - 
  g.OIx1*pow(g.OIx2,2)*g.x5Ial2 - (pow(g.OIx2,3)*g.x5Ial2)/6. + 
  (pow(M_PI,2)*g.al2Ix5*g.x5Ial2)/6. - 
  2*pow(g.OIm1,2)*g.al2Ix5*g.x5Ial2 - 
  2*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ial2 - 
  (pow(g.OIal1,2)*g.al2Ix5*g.x5Ial2)/2. + 
  4*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ial2 + 
  2*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ial2 - 
  2*pow(g.OIx1,2)*g.al2Ix5*g.x5Ial2 + 
  2*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ial2 + 
  g.OIal1*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  2*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ial2 - 
  (pow(g.OIx2,2)*g.al2Ix5*g.x5Ial2)/2. + 
  g.OIm1*pow(g.al2Ix5,2)*g.x5Ial2 + 
  (g.OIal1*pow(g.al2Ix5,2)*g.x5Ial2)/2. - 
  g.OIx1*pow(g.al2Ix5,2)*g.x5Ial2 - 
  (g.OIx2*pow(g.al2Ix5,2)*g.x5Ial2)/2. - 
  (pow(g.al2Ix5,3)*g.x5Ial2)/6. - (pow(M_PI,2)*pow(g.x5Ial2,2))/12. + 
  pow(g.OIm1,2)*pow(g.x5Ial2,2) + g.OIm1*g.OIal1*pow(g.x5Ial2,2) + 
  (pow(g.OIal1,2)*pow(g.x5Ial2,2))/4. - 
  2*g.OIm1*g.OIx1*pow(g.x5Ial2,2) - 
  g.OIal1*g.OIx1*pow(g.x5Ial2,2) + pow(g.OIx1,2)*pow(g.x5Ial2,2) - 
  g.OIm1*g.OIx2*pow(g.x5Ial2,2) - 
  (g.OIal1*g.OIx2*pow(g.x5Ial2,2))/2. + 
  g.OIx1*g.OIx2*pow(g.x5Ial2,2) + 
  (pow(g.OIx2,2)*pow(g.x5Ial2,2))/4. - 
  g.OIm1*g.al2Ix5*pow(g.x5Ial2,2) - 
  (g.OIal1*g.al2Ix5*pow(g.x5Ial2,2))/2. + 
  g.OIx1*g.al2Ix5*pow(g.x5Ial2,2) + 
  (g.OIx2*g.al2Ix5*pow(g.x5Ial2,2))/2. + 
  (pow(g.al2Ix5,2)*pow(g.x5Ial2,2))/4. + 
  (g.OIm1*pow(g.x5Ial2,3))/3. + (g.OIal1*pow(g.x5Ial2,3))/6. - 
  (g.OIx1*pow(g.x5Ial2,3))/3. - (g.OIx2*pow(g.x5Ial2,3))/6. - 
  (g.al2Ix5*pow(g.x5Ial2,3))/6. + pow(g.x5Ial2,4)/24. + 
  (14*zeta3*g.x5Ix4)/3. + (pow(M_PI,2)*g.OIm1*g.x5Ix4)/3. - 
  (4*pow(g.OIm1,3)*g.x5Ix4)/3. + (pow(M_PI,2)*g.OIal1*g.x5Ix4)/6. - 
  2*pow(g.OIm1,2)*g.OIal1*g.x5Ix4 - g.OIm1*pow(g.OIal1,2)*g.x5Ix4 - 
  (pow(g.OIal1,3)*g.x5Ix4)/6. - (pow(M_PI,2)*g.OIx1*g.x5Ix4)/3. + 
  4*pow(g.OIm1,2)*g.OIx1*g.x5Ix4 + 4*g.OIm1*g.OIal1*g.OIx1*g.x5Ix4 + 
  pow(g.OIal1,2)*g.OIx1*g.x5Ix4 - 4*g.OIm1*pow(g.OIx1,2)*g.x5Ix4 - 
  2*g.OIal1*pow(g.OIx1,2)*g.x5Ix4 + (4*pow(g.OIx1,3)*g.x5Ix4)/3. - 
  (pow(M_PI,2)*g.OIx2*g.x5Ix4)/6. + 2*pow(g.OIm1,2)*g.OIx2*g.x5Ix4 + 
  2*g.OIm1*g.OIal1*g.OIx2*g.x5Ix4 + 
  (pow(g.OIal1,2)*g.OIx2*g.x5Ix4)/2. - 
  4*g.OIm1*g.OIx1*g.OIx2*g.x5Ix4 - 2*g.OIal1*g.OIx1*g.OIx2*g.x5Ix4 + 
  2*pow(g.OIx1,2)*g.OIx2*g.x5Ix4 - g.OIm1*pow(g.OIx2,2)*g.x5Ix4 - 
  (g.OIal1*pow(g.OIx2,2)*g.x5Ix4)/2. + 
  g.OIx1*pow(g.OIx2,2)*g.x5Ix4 + (pow(g.OIx2,3)*g.x5Ix4)/6. - 
  (pow(M_PI,2)*g.al2Ix5*g.x5Ix4)/6. + 
  2*pow(g.OIm1,2)*g.al2Ix5*g.x5Ix4 + 
  2*g.OIm1*g.OIal1*g.al2Ix5*g.x5Ix4 + 
  (pow(g.OIal1,2)*g.al2Ix5*g.x5Ix4)/2. - 
  4*g.OIm1*g.OIx1*g.al2Ix5*g.x5Ix4 - 
  2*g.OIal1*g.OIx1*g.al2Ix5*g.x5Ix4 + 
  2*pow(g.OIx1,2)*g.al2Ix5*g.x5Ix4 - 
  2*g.OIm1*g.OIx2*g.al2Ix5*g.x5Ix4 - 
  g.OIal1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  2*g.OIx1*g.OIx2*g.al2Ix5*g.x5Ix4 + 
  (pow(g.OIx2,2)*g.al2Ix5*g.x5Ix4)/2. - 
  g.OIm1*pow(g.al2Ix5,2)*g.x5Ix4 - 
  (g.OIal1*pow(g.al2Ix5,2)*g.x5Ix4)/2. + 
  g.OIx1*pow(g.al2Ix5,2)*g.x5Ix4 + 
  (g.OIx2*pow(g.al2Ix5,2)*g.x5Ix4)/2. + 
  (pow(g.al2Ix5,3)*g.x5Ix4)/6. + (pow(M_PI,2)*g.x5Ial2*g.x5Ix4)/6. - 
  2*pow(g.OIm1,2)*g.x5Ial2*g.x5Ix4 - 
  2*g.OIm1*g.OIal1*g.x5Ial2*g.x5Ix4 - 
  (pow(g.OIal1,2)*g.x5Ial2*g.x5Ix4)/2. + 
  4*g.OIm1*g.OIx1*g.x5Ial2*g.x5Ix4 + 
  2*g.OIal1*g.OIx1*g.x5Ial2*g.x5Ix4 - 
  2*pow(g.OIx1,2)*g.x5Ial2*g.x5Ix4 + 
  2*g.OIm1*g.OIx2*g.x5Ial2*g.x5Ix4 + 
  g.OIal1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  2*g.OIx1*g.OIx2*g.x5Ial2*g.x5Ix4 - 
  (pow(g.OIx2,2)*g.x5Ial2*g.x5Ix4)/2. + 
  2*g.OIm1*g.al2Ix5*g.x5Ial2*g.x5Ix4 + 
  g.OIal1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  2*g.OIx1*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  g.OIx2*g.al2Ix5*g.x5Ial2*g.x5Ix4 - 
  (pow(g.al2Ix5,2)*g.x5Ial2*g.x5Ix4)/2. - 
  g.OIm1*pow(g.x5Ial2,2)*g.x5Ix4 - 
  (g.OIal1*pow(g.x5Ial2,2)*g.x5Ix4)/2. + 
  g.OIx1*pow(g.x5Ial2,2)*g.x5Ix4 + 
  (g.OIx2*pow(g.x5Ial2,2)*g.x5Ix4)/2. + 
  (g.al2Ix5*pow(g.x5Ial2,2)*g.x5Ix4)/2. - 
  (pow(g.x5Ial2,3)*g.x5Ix4)/6. - (pow(M_PI,2)*pow(g.x5Ix4,2))/12. + 
  pow(g.OIm1,2)*pow(g.x5Ix4,2) + g.OIm1*g.OIal1*pow(g.x5Ix4,2) + 
  (pow(g.OIal1,2)*pow(g.x5Ix4,2))/4. - 
  2*g.OIm1*g.OIx1*pow(g.x5Ix4,2) - g.OIal1*g.OIx1*pow(g.x5Ix4,2) + 
  pow(g.OIx1,2)*pow(g.x5Ix4,2) - g.OIm1*g.OIx2*pow(g.x5Ix4,2) - 
  (g.OIal1*g.OIx2*pow(g.x5Ix4,2))/2. + 
  g.OIx1*g.OIx2*pow(g.x5Ix4,2) + 
  (pow(g.OIx2,2)*pow(g.x5Ix4,2))/4. - 
  g.OIm1*g.al2Ix5*pow(g.x5Ix4,2) - 
  (g.OIal1*g.al2Ix5*pow(g.x5Ix4,2))/2. + 
  g.OIx1*g.al2Ix5*pow(g.x5Ix4,2) + 
  (g.OIx2*g.al2Ix5*pow(g.x5Ix4,2))/2. + 
  (pow(g.al2Ix5,2)*pow(g.x5Ix4,2))/4. + 
  g.OIm1*g.x5Ial2*pow(g.x5Ix4,2) + 
  (g.OIal1*g.x5Ial2*pow(g.x5Ix4,2))/2. - 
  g.OIx1*g.x5Ial2*pow(g.x5Ix4,2) - 
  (g.OIx2*g.x5Ial2*pow(g.x5Ix4,2))/2. - 
  (g.al2Ix5*g.x5Ial2*pow(g.x5Ix4,2))/2. + 
  (pow(g.x5Ial2,2)*pow(g.x5Ix4,2))/4. - 
  (g.OIm1*pow(g.x5Ix4,3))/3. - (g.OIal1*pow(g.x5Ix4,3))/6. + 
  (g.OIx1*pow(g.x5Ix4,3))/3. + (g.OIx2*pow(g.x5Ix4,3))/6. + 
  (g.al2Ix5*pow(g.x5Ix4,3))/6. - (g.x5Ial2*pow(g.x5Ix4,3))/6. + 
  pow(g.x5Ix4,4)/24.
;
 

std::vector<GiNaC::ex>integr6;

integr6.push_back(integre0);
integr6.push_back(integre1);
integr6.push_back(integre2);
integr6.push_back(integre3);
integr6.push_back(integre4);

return integr6;
}
